=========
CHANGELOG
=========

1.38.35
=======

* api-change:``connectcases``: This feature provides capabilities to help track and meet service level agreements (SLAs) on cases programmatically. It allows configuring a new related item of type `Sla` on a case using CreateRelatedItem API and provides the ability to search for this new related item using SearchRelatedItems API.
* api-change:``dsql``: Added GetClusterEndpointService API. The new API allows retrieving endpoint service name specific to a cluster.
* api-change:``eks``: Added support for new AL2023 ARM64 NVIDIA AMIs to the supported AMITypes.
* api-change:``events``: Adding support for KmsKeyIdentifer in CreateConnection, UpdateConnection and DescribeConnection APIs
* api-change:``resource-groups``: Resource Groups: TagSyncTasks can be created with ResourceQuery
* api-change:``s3tables``: S3 Tables now supports setting encryption configurations on table buckets and tables. Encryption configurations can use server side encryption using AES256 or KMS customer-managed keys.
* api-change:``servicecatalog``: Updated default value for the access-level-filter in SearchProvisionedProducts API to Account. For access to userLevel or roleLevel, the user must provide access-level-filter parameter.
* bugfix:Formatter: Update JSON formatter to encode raw bytes as UTF-8.


1.38.34
=======

* api-change:``entityresolution``: This is to add new metrics to our GetIdMappingJob API and also update uniqueId naming for batchDeleteUniqueIds API to be more accurate
* api-change:``taxsettings``: Indonesia SOR Tax Registration Launch


1.38.33
=======

* api-change:``connect-contact-lens``: Making sentiment optional for ListRealtimeContactAnalysisSegments Response depending on conversational analytics configuration
* api-change:``datazone``: Raise hard limit of authorized principals per SubscriptionTarget from 10 to 20.
* api-change:``detective``: Add support for Detective DualStack endpoints
* api-change:``dynamodb``: Doc only update for API descriptions.
* api-change:``marketplace-entitlement``: Add support for Marketplace Entitlement Service dual-stack endpoints for CN and GOV regions
* api-change:``meteringmarketplace``: Add support for Marketplace Metering Service dual-stack endpoints for CN regions
* api-change:``pcs``: Changed the minimum length of clusterIdentifier, computeNodeGroupIdentifier, and queueIdentifier to 3.
* api-change:``verifiedpermissions``: Adds deletion protection support to policy stores. Deletion protection is disabled by default, can be enabled via the CreatePolicyStore or UpdatePolicyStore APIs, and is visible in GetPolicyStore.


1.38.32
=======

* api-change:``application-autoscaling``: Application Auto Scaling now supports horizontal scaling for Elasticache Memcached self-designed clusters using target tracking scaling policies and scheduled scaling.
* api-change:``elasticache``: AWS ElastiCache SDK now supports using MemcachedUpgradeConfig parameter with ModifyCacheCluster API to enable updating Memcached cache node types. Please refer to updated AWS ElastiCache public documentation for detailed information on API usage and implementation.
* api-change:``m2``: Introduce three new APIs: CreateDataSetExportTask, GetDataSetExportTask and ListDataSetExportHistory. Add support for batch restart for Blu Age applications.
* api-change:``medialive``: AWS Elemental MediaLive / Features : Add support for CMAF Ingest CaptionLanguageMappings, TimedMetadataId3 settings, and Link InputResolution.
* api-change:``qbusiness``: Adds functionality to enable/disable a new Q Business Hallucination Reduction feature. If enabled, Q Business will detect and attempt to remove Hallucinations from certain Chat requests.
* api-change:``quicksight``: Add support to analysis and sheet level highlighting in QuickSight.


1.38.31
=======

* api-change:``controlcatalog``: The GetControl API now surfaces a control's Severity, CreateTime, and Identifier for a control's Implementation. The ListControls API now surfaces a control's Behavior, Severity, CreateTime, and Identifier for a control's Implementation.
* api-change:``dynamodb``: Documentation update for secondary indexes and Create_Table.
* api-change:``glue``: The TableOptimizer APIs in AWS Glue now return the DpuHours field in each TableOptimizerRun, providing clients visibility to the DPU-hours used for billing in managed Apache Iceberg table compaction optimization.
* api-change:``groundstation``: Support tagging Agents and adjust input field validations
* api-change:``transfer``: This launch includes 2 enhancements to SFTP connectors user-experience: 1) Customers can self-serve concurrent connections setting for their connectors, and 2) Customers can discover the public host key of remote servers using their SFTP connectors.


1.38.30
=======

* api-change:``bedrock-runtime``: This release introduces our latest bedrock runtime API, InvokeModelWithBidirectionalStream. The API supports both input and output streams and is supported by only HTTP2.0.
* api-change:``ce``: This release supports Pagination traits on Cost Anomaly Detection APIs.
* api-change:``cost-optimization-hub``: This release adds resource type "MemoryDbReservedInstances" and resource type "DynamoDbReservedCapacity" to the GetRecommendation, ListRecommendations, and ListRecommendationSummaries APIs to support new MemoryDB and DynamoDB RI recommendations.
* api-change:``iotfleetwise``: This release adds the option to update the strategy of state templates already associated to a vehicle, without the need to remove and re-add them.
* api-change:``securityhub``: Documentation updates for AWS Security Hub.
* api-change:``storagegateway``: Added new ActiveDirectoryStatus value, ListCacheReports paginator, and support for longer pagination tokens.
* api-change:``taxsettings``: Uzbekistan Launch on TaxSettings Page


1.38.29
=======

* api-change:``bedrock``: New options for how to handle harmful content detected by Amazon Bedrock Guardrails.
* api-change:``bedrock-runtime``: New options for how to handle harmful content detected by Amazon Bedrock Guardrails.
* api-change:``codebuild``: AWS CodeBuild now offers an enhanced debugging experience.
* api-change:``glue``: Add input validations for multiple Glue APIs
* api-change:``medialive``: AWS Elemental MediaLive now supports SDI inputs to MediaLive Anywhere Channels in workflows that use AWS SDKs.
* api-change:``personalize``: Add support for eventsConfig for CreateSolution, UpdateSolution, DescribeSolution, DescribeSolutionVersion. Add support for GetSolutionMetrics to return weighted NDCG metrics when eventsConfig is enabled for the solution.
* api-change:``transfer``: This launch enables customers to manage contents of their remote directories, by deleting old files or moving files to archive folders in remote servers once they have been retrieved. Customers will be able to automate the process using event-driven architecture.


1.38.28
=======

* api-change:``ds-data``: Doc only update - fixed broken links.
* api-change:``ec2``: Doc-only updates for Amazon EC2
* api-change:``events``: Amazon EventBridge adds support for customer-managed keys on Archives and validations for two fields: eventSourceArn and kmsKeyIdentifier.
* api-change:``s3control``: Updated max size of Prefixes parameter of Scope data type.


1.38.27
=======

* api-change:``bedrock-agent``: Added optional "customMetadataField" for Amazon Aurora knowledge bases, allowing single-column metadata. Also added optional "textIndexName" for MongoDB Atlas knowledge bases, enabling hybrid search support.
* api-change:``chime-sdk-voice``: Added FOC date as an attribute of PhoneNumberOrder, added AccessDeniedException as a possible return type of ValidateE911Address
* api-change:``mailmanager``: Add support for Dual_Stack and PrivateLink types of IngressPoint. For configuration requests, SES Mail Manager will now accept both IPv4/IPv6 dual-stack endpoints and AWS PrivateLink VPC endpoints for email receiving.
* api-change:``opensearch``: Improve descriptions for various API commands and data types.
* api-change:``route53``: Added us-gov-east-1 and us-gov-west-1 as valid Latency Based Routing regions for change-resource-record-sets.
* api-change:``sagemaker``: Adds support for i3en, m7i, r7i instance types for SageMaker Hyperpod
* api-change:``sesv2``: This release enables customers to provide attachments in the SESv2 SendEmail and SendBulkEmail APIs.
* api-change:``transcribe``: This Feature Adds Support for the "zh-HK" Locale for Batch Operations


1.38.26
=======

* api-change:``application-signals``: Application Signals now supports creating Service Level Objectives on service dependencies. Users can now create or update SLOs on discovered service dependencies to monitor their standard application metrics.
* api-change:``codebuild``: This release adds support for environment type WINDOWS_SERVER_2022_CONTAINER in ProjectEnvironment
* api-change:``ecr``: Fix for customer issues related to AWS account ID and size limitation for token.
* api-change:``ecs``: This is an Amazon ECS documentation only update to address various tickets.
* api-change:``lexv2-models``: Release feature of errorlogging for lex bot, customer can config this feature in bot version to generate log for error exception which helps debug
* api-change:``medialive``: Added support for SMPTE 2110 inputs when running a channel in a MediaLive Anywhere cluster. This feature enables ingestion of SMPTE 2110-compliant video, audio, and ancillary streams by reading SDP files that AWS Elemental MediaLive can retrieve from a network source.


1.38.25
=======

* api-change:``cleanrooms``: This release adds support for updating the analytics engine of a collaboration.
* api-change:``sagemaker``: Added tagging support for SageMaker notebook instance lifecycle configurations


1.38.24
=======

* api-change:``bedrock-runtime``: Add Prompt Caching support to Converse and ConverseStream APIs
* api-change:``deadline``: With this release you can use a new field to specify the search term match type. Search term match types currently support fuzzy and contains matching.
* api-change:``ec2``: Release VPC Route Server, a new feature allowing dynamic routing in VPCs.
* api-change:``eks``: Add support for updating RemoteNetworkConfig for hybrid nodes on EKS UpdateClusterConfig API
* api-change:``marketplace-entitlement``: Add support for Marketplace Entitlement Service dual-stack endpoints.
* api-change:``outposts``: Enabling Asset Level Capacity Management feature, which allows customers to create a Capacity Task for a single Asset on their active Outpost.
* api-change:``s3``: Amazon S3 adds support for S3 Access Points for directory buckets in AWS Dedicated Local Zones
* api-change:``s3control``: Amazon S3 adds support for S3 Access Points for directory buckets in AWS Dedicated Local Zones
* api-change:``sesv2``: Add dual-stack support to global endpoints.
* api-change:``transfer``: Add WebAppEndpointPolicy support for WebApps


1.38.23
=======

* api-change:``apigateway``: Adds support for setting the IP address type to allow dual-stack or IPv4 address types to invoke your APIs or domain names.
* api-change:``apigatewayv2``: Adds support for setting the IP address type to allow dual-stack or IPv4 address types to invoke your APIs or domain names.
* api-change:``bedrock-runtime``: Launching Multi-modality Content Filter for Amazon Bedrock Guardrails.
* api-change:``codebuild``: This release adds support for cacheNamespace in ProjectCache
* api-change:``ecs``: This is an Amazon ECS documentation only release that addresses tickets.
* api-change:``meteringmarketplace``: Add support for Marketplace Metering Service dual-stack endpoints.
* api-change:``networkmanager``: Add support for NetworkManager Dualstack endpoints.
* api-change:``payment-cryptography``: The service adds support for transferring AES-256 and other keys between the service and other service providers and HSMs. This feature uses ECDH to derive a one-time key transport key to enable these secure key exchanges.
* api-change:``quicksight``: RLS permission dataset with userAs: RLS_RULES flag, Q in QuickSight/Threshold Alerts/Schedules/Snapshots in QS embedding, toggle dataset refresh email alerts via API, transposed table with options: column width, type and index, toggle Q&A on dashboards, Oracle Service Name when creating data source.
* api-change:``sagemaker``: TransformAmiVersion for Batch Transform and SageMaker Search Service Aggregate Search API Extension


1.38.22
=======

* api-change:``batch``: This release will enable two features: Firelens log driver, and Execute Command on Batch jobs on ECS. Both features will be passed through to ECS.
* api-change:``bcm-pricing-calculator``: Added standaloneAccountRateTypeSelections for GetPreferences and UpdatePreferences APIs. Added STALE enum value to status attribute in GetBillScenario and UpdateBillScenario APIs.
* api-change:``bedrock-agent-runtime``: bedrock flow now support node action trace.
* api-change:``cloudformation``: Adding support for the new parameter "ScanFilters" in the CloudFormation StartResourceScan API. When this parameter is included, the StartResourceScan API will initiate a scan limited to the resource types specified by the parameter.
* api-change:``datazone``: This release adds new action type of Create Listing Changeset for the Metadata Enforcement Rule feature.
* api-change:``eks``: Added support for BOTTLEROCKET FIPS AMIs to AMI types in US regions.
* api-change:``gamelift``: Amazon GameLift Servers add support for additional instance types.
* api-change:``iam``: Update IAM dual-stack endpoints for BJS, IAD and PDT partitions
* api-change:``sagemaker``: add: recovery mode for SageMaker Studio apps
* api-change:``sso-oidc``: This release adds AwsAdditionalDetails in the CreateTokenWithIAM API response.


1.38.21
=======

* api-change:``arc-zonal-shift``: Add new shiftType field for ARC zonal shifts.
* api-change:``directconnect``: With this release, AWS Direct Connect allows you to tag your Direct Connect gateways. Tags are metadata that you can create and use to manage your Direct Connect gateways. For more information about tagging, see AWS Tagging Strategies.
* api-change:``mediaconvert``: This release adds a configurable Quality Level setting for the top rendition of Auto ABR jobs
* api-change:``mediatailor``: Add support for log filtering which allow customers to filter out selected event types from logs.
* api-change:``polly``: Added support for the new voice - Jihye (ko-KR). Jihye is available as a Neural voice only.
* api-change:``rds``: Add note about the Availability Zone where RDS restores the DB cluster for the RestoreDBClusterToPointInTime operation.
* api-change:``wafv2``: This release adds the ability to associate an AWS WAF v2 web ACL with an AWS Amplify App.


1.38.20
=======

* api-change:``bedrock-agent``: Adding support for Amazon OpenSearch Managed clusters as a vector database in Knowledge Bases for Amazon Bedrock
* api-change:``eks``: Added support to override upgrade-blocking readiness checks via force flag when updating a cluster.
* api-change:``gameliftstreams``: Minor updates to improve developer experience.
* api-change:``keyspaces``: Removing replication region limitation for Amazon Keyspaces Multi-Region Replication APIs.
* api-change:``marketplace-entitlement``: This release enhances the GetEntitlements API to support new filter CUSTOMER_AWS_ACCOUNT_ID in request and CustomerAWSAccountId field in response.
* api-change:``meteringmarketplace``: This release enhances the BatchMeterUsage API to support new field CustomerAWSAccountId in request and response and making CustomerIdentifier optional. CustomerAWSAccountId or CustomerIdentifier must be provided in request but not both.
* api-change:``sagemaker``: This release adds support for customer-managed KMS keys in Amazon SageMaker Partner AI Apps
* api-change:``workspaces-thin-client``: Deprecate tags field in Get API responses


1.38.19
=======

* api-change:``iotwireless``: Mark EutranCid under LteNmr optional.
* api-change:``pcs``: ClusterName/ClusterIdentifier, ComputeNodeGroupName/ComputeNodeGroupIdentifier, and QueueName/QueueIdentifier can now have 10 characters, and a minimum of 3 characters. The TagResource API action can now return ServiceQuotaExceededException.
* api-change:``qconnect``: Provides the correct value for supported model ID.
* api-change:``ssm``: This release adds the AvailableSecurityUpdatesComplianceStatus field to patch baseline operations, as well as the AvailableSecurityUpdateCount and InstancesWithAvailableSecurityUpdates to patch state operations. Applies to Windows Server managed nodes only.


1.38.18
=======

* api-change:``bedrock``: A CustomModelUnit(CMU) is an abstract view of the hardware utilization that Bedrock needs to host a a single copy of your custom imported model. Bedrock determines the number of CMUs that a model copy needs when you import the custom model. You can use CMUs to estimate the cost of Inference's.
* api-change:``datazone``: Add support for overriding selection of default AWS IAM Identity Center instance as part of Amazon DataZone domain APIs.
* api-change:``route53-recovery-control-config``: Adds dual-stack (IPv4 and IPv6) endpoint support for route53-recovery-control-config operations, opt-in dual-stack addresses for cluster endpoints, and UpdateCluster API to update the network-type of clusters between IPv4 and dual-stack.
* api-change:``sagemaker``: This release does the following: 1.) Adds DurationHours as a required field to the SearchTrainingPlanOfferings action in the SageMaker AI API; 2.) Adds support for G6e instance types for SageMaker AI inference optimization jobs.


1.38.17
=======

* api-change:``amplify``: Added appId field to Webhook responses
* api-change:``bedrock``: With this release, Bedrock Evaluation will now support bring your own inference responses.
* api-change:``controlcatalog``: Add ExemptAssumeRoot parameter to adapt for new AWS AssumeRoot capability.
* api-change:``mailmanager``: Amazon SES Mail Manager. Extended rule string and boolean expressions to support analysis in condition evaluation. Extended ingress point string expression to support analysis in condition evaluation
* api-change:``network-firewall``: You can now use flow operations to either flush or capture traffic monitored in your firewall's flow table.


1.38.16
=======

* api-change:``bedrock``: Support custom prompt routers for evaluation jobs
* api-change:``ec2``: Doc-only updates for EC2 for March 2025.
* api-change:``lambda``: Add Ruby 3.4 (ruby3.4) support to AWS Lambda.
* api-change:``mediaconnect``: This release adds support for NDI flow outputs in AWS Elemental MediaConnect. You can now send content from your MediaConnect transport streams directly to your NDI environment using the new NDI output type.
* api-change:``neptune-graph``: Update IAM Role ARN Validation to Support Role Paths
* api-change:``sagemaker``: Added support for g6, g6e, m6i, c6i instance types in SageMaker Processing Jobs.


1.38.15
=======

* api-change:``appsync``: Providing Tagging support for DomainName in AppSync
* api-change:``cleanrooms``: This release adds support for PySpark jobs. Customers can now analyze data by running jobs using approved PySpark analysis templates.
* api-change:``mediaconvert``: This release adds support for AVC passthrough, the ability to specify PTS offset without padding, and an A/V segment matching feature.
* api-change:``route53``: Amazon Route 53 now supports the iso-f regions for private DNS Amazon VPCs and cloudwatch healthchecks.


1.38.14
=======

* api-change:``application-signals``: This release adds support for adding, removing, and listing SLO time exclusion windows with the BatchUpdateExclusionWindows and ListServiceLevelObjectiveExclusionWindows APIs.
* api-change:``geo-maps``: Provide support for vector map styles in the GetStaticMap operation.
* api-change:``rum``: CloudWatch RUM now supports unminification of JS error stack traces.
* api-change:``taxsettings``: Adjust Vietnam PaymentVoucherNumber regex and minor API change.
* api-change:``wafv2``: AWS WAF now lets you inspect fragments of request URIs. You can specify the scope of the URI to inspect and narrow the set of URI fragments.


1.38.13
=======

* api-change:``cognito-identity``: Updated API model build artifacts for identity pools
* api-change:``cognito-idp``: Minor description updates to API parameters
* api-change:``glue``: This release added AllowFullTableExternalDataAccess to glue catalog resource.
* api-change:``lakeformation``: This release added "condition" to LakeFormation OptIn APIs, also added WithPrivilegedAccess flag to RegisterResource and DescribeResource.


1.38.12
=======

* api-change:``acm-pca``: Private Certificate Authority service now supports P521 and RSA3072 key algorithms.
* api-change:``amplify``: Introduced support for Skew Protection. Added enableSkewProtection field to createBranch and updateBranch API.
* api-change:``codebuild``: AWS CodeBuild now supports webhook filtering by organization name
* api-change:``datazone``: This release adds support to update projects and environments
* api-change:``dynamodb``: Generate account endpoints for DynamoDB requests using ARN-sourced account ID when available
* api-change:``ec2``: This release changes the CreateLaunchTemplate, CreateLaunchTemplateVersion, ModifyLaunchTemplate CLI and SDKs such that if you do not specify a client token, a randomly generated token is used for the request to ensure idempotency.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to adjust the participant & composition recording segment duration
* api-change:``logs``: Updated CreateLogAnomalyDetector to accept only kms key arn
* api-change:``mediapackagev2``: This release adds the ResetChannelState and ResetOriginEndpointState operation to reset MediaPackage V2 channel and origin endpoint. This release also adds a new field, UrlEncodeChildManifest, for HLS/LL-HLS to allow URL-encoding child manifest query string based on the requirements of AWS SigV4.
* api-change:``s3control``: Updating GetDataAccess response for S3 Access Grants to include the matched Grantee for the requested prefix


1.38.11
=======

* api-change:``ec2``: This release adds the GroupLongName field to the response of the DescribeAvailabilityZones API.
* api-change:``ecr``: This release adds Amazon ECR to Amazon ECR pull through cache rules support.
* api-change:``ecs``: This is a documentation only update for Amazon ECS to address various tickets.
* api-change:``inspector2``: Adding componentArn to network reachability details
* api-change:``medialive``: Add an enum option DISABLED for Output Locking Mode under Global Configuration.


1.38.10
=======

* api-change:``bedrock-agent``: Add support for computer use tools
* api-change:``bedrock-agent-runtime``: Add support for computer use tools
* api-change:``ce``: Releasing minor partition endpoint updates.
* api-change:``connect``: Add support for contact transfers in external voice systems.
* api-change:``medialive``: Adds defaultFontSize and defaultLineHeight as options in the EbuTtDDestinationSettings within the caption descriptions for an output stream.
* api-change:``pca-connector-ad``: PrivateCA Connector for Active Directory now supports dual stack endpoints. This release adds the IpAddressType option to the VpcInformation on a Connector which determines whether the endpoint supports IPv4 only or IPv4 and IPv6 traffic.
* api-change:``securityhub``: This release adds new StandardsControlsUpdatable field to the StandardsSubscription resource
* api-change:``timestream-influxdb``: This release updates the default value of pprof-disabled from false to true.


1.38.9
======

* api-change:``bedrock-agent``: Introduces support for Neptune Analytics as a vector data store and adds Context Enrichment Configurations, enabling use cases such as GraphRAG.
* api-change:``bedrock-agent-runtime``: Support Multi Agent Collaboration within Inline Agents
* api-change:``cloudfront``: Documentation updates for Amazon CloudFront.
* api-change:``ec2``: Add serviceManaged field to DescribeAddresses API response.
* api-change:``elbv2``: This release adds support for assigning IP addresses to Application Load Balancers from VPC IP Address Manager pools.
* api-change:``neptune-graph``: Several small updates to resolve customer requests.


1.38.8
======

* api-change:``bedrock``: This releases adds support for Custom Prompt Router
* api-change:``cloudtrail``: Doc-only update for CloudTrail.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to merge fragmented recordings in the event of a participant disconnect.
* api-change:``networkflowmonitor``: This release contains 2 changes. 1: DeleteScope/GetScope/UpdateScope operations now return 404 instead of 500 when the resource does not exist. 2: Expected string format for clientToken fields of CreateMonitorInput/CreateScopeInput/UpdateMonitorInput have been updated to be an UUID based string.
* api-change:``redshift-data``: This release adds support for ListStatements API to filter statements by ClusterIdentifier, WorkgroupName, and Database.
* api-change:``wafv2``: You can now perform an exact match or rate limit aggregation against the web request's JA4 fingerprint.
* api-change:``workspaces``: Added a new ModifyEndpointEncryptionMode API for managing endpoint encryption settings.


1.38.7
======

* api-change:``bedrock-runtime``: This releases adds support for Custom Prompt Router ARN
* api-change:``datasync``: AWS DataSync now supports modifying ServerHostname while updating locations SMB, NFS, and ObjectStorage.
* api-change:``gameliftstreams``: New Service: Amazon GameLift Streams delivers low-latency game streaming from AWS global infrastructure to virtually any device with a browser at up to 1080p resolution and 60 fps.
* api-change:``iotfleetwise``: This release adds floating point support for CAN/OBD signals and adds support for signed OBD signals.
* api-change:``workspaces``: Added DeviceTypeWorkSpacesThinClient type to allow users to access their WorkSpaces through a WorkSpaces Thin Client.


1.38.6
======

* api-change:``elasticache``: Doc only update, listing 'valkey7' and 'valkey8' as engine options for parameter groups.
* api-change:``iot-managed-integrations``: Adding managed integrations APIs for IoT Device Management to setup and control devices across different manufacturers and connectivity protocols. APIs include managedthing operations, credential and provisioning profile management, notification configuration, and OTA update.
* api-change:``iotsitewise``: AWS IoT SiteWise now supports MQTT-enabled, V3 gateways. Configure data destinations for real-time ingestion into AWS IoT SiteWise or buffered ingestion using Amazon S3 storage. You can also use path filters for precise data collection from specific MQTT topics.
* api-change:``rds``: Note support for Database Insights for Amazon RDS.


1.38.5
======

* api-change:``cognito-idp``: Added the capacity to return available challenges in admin authentication and to set version 3 of the pre token generation event for M2M ATC.
* api-change:``ec2``: Update the DescribeVpcs response
* api-change:``qbusiness``: Adds support for the ingestion of audio and video files by Q Business, which can be configured with the mediaExtractionConfiguration parameter.
* api-change:``rum``: Add support for PutResourcePolicy, GetResourcePolicy and DeleteResourcePolicy to support resource based policies for AWS CloudWatch RUM
* api-change:``sagemaker``: Add DomainId to CreateDomainResponse
* api-change:``transcribe``: Updating documentation for post call analytics job queueing.


1.38.4
======

* api-change:``bedrock-agent``: This release lets Amazon Bedrock Flows support newer models by increasing the maximum length of output in a prompt configuration. This release also increases the maximum number of prompt variables to 20 and the maximum number of node inputs to 20.
* api-change:``bedrock-data-automation``: Renamed and added new StandardConfiguration enums. Added support to update EncryptionConfiguration in UpdateBlueprint and UpdateDataAutomation APIs. Changed HttpStatus code for DeleteBlueprint and DeleteDataAutomationProject APIs to 200 from 204. Added APIs to support tagging.
* api-change:``bedrock-data-automation-runtime``: Added a mandatory parameter DataAutomationProfileArn to support for cross region inference for InvokeDataAutomationAsync API. Renamed DataAutomationArn to DataAutomationProjectArn. Added APIs to support tagging.
* api-change:``dms``: Add skipped status to the Result Statistics of an Assessment Run
* api-change:``eks``: Adding licenses to EKS Anywhere Subscription operations response.
* api-change:``mediaconvert``: The AWS MediaConvert Probe API allows you to analyze media files and retrieve detailed metadata about their content, format, and structure.
* api-change:``pricing``: Update GetProducts and DescribeServices API request input validations.
* api-change:``ssm``: Systems Manager doc-only updates for Feb. 2025.


1.38.3
======

* api-change:``bedrock-agent-runtime``: Introduces Sessions (preview) to enable stateful conversations in GenAI applications.
* api-change:``emr``: Definition update for EbsConfiguration.
* api-change:``qbusiness``: This release supports deleting attachments from conversations.
* api-change:``redshift-serverless``: Add track support for Redshift Serverless workgroup.
* api-change:``sagemaker``: SageMaker HubService is introducing support for creating Training Jobs in Curated Hub (Private Hub). Additionally, it is introducing two new APIs: UpdateHubContent and UpdateHubContentReference.
* api-change:``storagegateway``: This release adds support to invoke a process that cleans the specified file share's cache of file entries that are failing upload to Amazon S3.


1.38.2
======

* api-change:``application-signals``: This release adds API support for reading Service Level Objectives and Services from monitoring accounts, from SLO and Service-scoped operations, including ListServices and ListServiceLevelObjectives.
* api-change:``batch``: AWS Batch: Resource Aware Scheduling feature support
* api-change:``chime``: Removes the Amazon Chime SDK APIs from the "chime" namespace.  Amazon Chime SDK APIs continue to be available in the AWS SDK via the dedicated Amazon Chime SDK namespaces: chime-sdk-identity, chime-sdk-mediapipelines, chime-sdk-meetings, chime-sdk-messaging, and chime-sdk-voice.
* api-change:``cloudfront``: Documentation update for VPC origin config.
* api-change:``ec2``: Amazon EC2 Fleet customers can now override the Block Device Mapping specified in the Launch Template when creating a new Fleet request, saving the effort of creating and associating new Launch Templates to customize the Block Device Mapping.
* api-change:``iotfleetwise``: This release adds an optional listResponseScope request parameter in certain list API requests to limit the response to metadata only.
* api-change:``oam``: This release adds support for sharing AWS::ApplicationSignals::Service and AWS::ApplicationSignals::ServiceLevelObjective resources.
* api-change:``sagemaker``: AWS SageMaker InferenceComponents now support rolling update deployments for Inference Components.


1.38.1
======

* api-change:``codebuild``: Adding "reportArns" field in output of BatchGetBuildBatches API. "reportArns" is an array that contains the ARNs of reports created by merging reports from builds associated with the batch build.
* api-change:``devicefarm``: Add an optional configuration to the ScheduleRun and CreateRemoteAccessSession API to set a device level http/s proxy.
* api-change:``ec2``: Adds support for time-based EBS-backed AMI copy operations. Time-based copy ensures that EBS-backed AMIs are copied within and across Regions in a specified timeframe.
* api-change:``iot``: AWS IoT - AWS IoT Device Defender adds support for a new Device Defender Audit Check that monitors device certificate age and custom threshold configurations for both the new device certificate age check and existing device certificate expiry check.
* api-change:``taxsettings``: PutTaxRegistration API changes for Egypt, Greece, Vietnam countries


1.38.0
======

* api-change:``bedrock-agent``: This release improves support for newer models in Amazon Bedrock Flows.
* api-change:``bedrock-agent-runtime``: Adding support for ReasoningContent fields in Pre-Processing, Post-Processing and Orchestration Trace outputs.
* api-change:``bedrock-runtime``: This release adds Reasoning Content support to Converse and ConverseStream APIs
* api-change:``elasticache``: Documentation update, adding clarity and rephrasing.
* feature:Endpoints: Generate and use AWS-account-based endpoints for compatible services when the account ID is available. At launch, DynamoDB is the first and only compatible service. The new endpoint URL pattern will be ``https://<account-id>.ddb.<region>.amazonaws.com``. Additional services may be added in the future. See the documentation for details: https://docs.aws.amazon.com/sdkref/latest/guide/feature-account-endpoints.html


1.37.26
=======

* api-change:``appstream``: Added support for Certificate-Based Authentication on AppStream 2.0 multi-session fleets.
* api-change:``bedrock-agent``: Introduce a new parameter which represents the user-agent header value used by the Bedrock Knowledge Base Web Connector.


1.37.25
=======

* api-change:``codebuild``: Add webhook status and status message to AWS CodeBuild webhooks
* api-change:``guardduty``: Reduce the minimum number of required attack sequence signals from 2 to 1
* api-change:``license-manager-user-subscriptions``: Updates entity to include Microsoft RDS SAL as a valid type of user subscription.
* api-change:``rds``: CloudWatch Database Insights now supports Amazon RDS.
* api-change:``sagemaker``: Added new capability in the UpdateCluster operation to remove instance groups from your SageMaker HyperPod cluster.
* api-change:``workspaces-web``: Add support for toolbar configuration under user settings.


1.37.24
=======

* api-change:``codepipeline``: Add environment variables to codepipeline action declaration.
* api-change:``ecs``: This is a documentation only release for Amazon ECS that supports the CPU task limit increase.
* api-change:``lightsail``: Documentation updates for Amazon Lightsail.
* api-change:``location``: Adds support for larger property maps for tracking and geofence positions changes. It increases the maximum number of items from 3 to 4, and the maximum value length from 40 to 150.
* api-change:``mailmanager``: This release adds additional metadata fields in Mail Manager archive searches to show email source and details about emails that were archived when being sent with SES.
* api-change:``network-firewall``: This release introduces Network Firewall's Automated Domain List feature. New APIs include UpdateFirewallAnalysisSettings, StartAnalysisReport, GetAnalysisReportResults, and ListAnalysisReports. These allow customers to enable analysis on firewalls to identify and report frequently accessed domain.
* api-change:``sagemaker``: Adds r8g instance type support to SageMaker Realtime Endpoints
* api-change:``sesv2``: This release adds the ability for outbound email sent with SES to preserve emails to a Mail Manager archive.


1.37.23
=======

* api-change:``batch``: This documentation-only update corrects some typos.
* api-change:``emr-containers``: EMR on EKS StartJobRun Api will be supporting the configuration of log storage in AWS by using "managedLogs" under "MonitoringConfiguration".
* api-change:``medialive``: Adds support for creating CloudWatchAlarmTemplates for AWS Elemental MediaTailor Playback Configuration resources.


1.37.22
=======

* api-change:``amplify``: Add ComputeRoleArn to CreateApp, UpdateApp, CreateBranch, and UpdateBranch, allowing caller to specify a role to be assumed by Amplify Hosting for server-side rendered applications.
* api-change:``dms``: Support replicationConfigArn in DMS DescribeApplicableIndividualAssessments API.
* api-change:``timestream-influxdb``: This release introduces APIs to manage DbClusters and adds support for read replicas


1.37.21
=======

* api-change:``codebuild``: Added test suite names to test case metadata
* api-change:``connect``: Release Notes: 1) Analytics API enhancements: Added new ListAnalyticsDataLakeDataSets API. 2)  Onboarding API Idempotency: Adds ClientToken to instance creation and management APIs to support idempotency.
* api-change:``dms``: Introduces premigration assessment feature to DMS Serverless API for start-replication and describe-replications
* api-change:``rds-data``: Add support for Stop DB feature.
* api-change:``s3``: Added support for Content-Range header in HeadObject response.
* api-change:``wafv2``: The WAFv2 API now supports configuring data protection in webACLs.
* api-change:``workspaces-thin-client``: Update Environment and Device name field definitions


1.37.20
=======

* api-change:``accessanalyzer``: This release introduces the getFindingsStatistics API, enabling users to retrieve aggregated finding statistics for IAM Access Analyzer's external access and unused access analysis features. Updated service API and documentation.
* api-change:``acm-pca``: Private Certificate Authority (PCA) documentation updates
* api-change:``ecs``: This is a documentation only release to support migrating Amazon ECS service ARNs to the long ARN format.
* api-change:``fis``: Adds auto-pagination for the following operations: ListActions, ListExperimentTemplates, ListTargetAccountConfigurations, ListExperiments, ListExperimentResolvedTargets, ListTargetResourceTypes. Reduces length constraints of prefixes for logConfiguration and experimentReportConfiguration.
* api-change:``sagemaker``: Adds additional values to the InferenceAmiVersion parameter in the ProductionVariant data type.
* api-change:``storagegateway``: This release adds support for generating cache reports on S3 File Gateways for files that fail to upload.


1.37.19
=======

* api-change:``b2bi``: Allow spaces in the following fields in the Partnership resource: ISA 06 - Sender ID, ISA 08 - Receiver ID, GS 02 - Application Sender Code, GS 03 - Application Receiver Code
* api-change:``bedrock-agent``: This releases adds the additionalModelRequestFields field to the CreateAgent and UpdateAgent operations. Use additionalModelRequestFields to specify  additional inference parameters for a model beyond the base inference parameters.
* api-change:``bedrock-agent-runtime``: This releases adds the additionalModelRequestFields field to the InvokeInlineAgent operation. Use additionalModelRequestFields to specify  additional inference parameters for a model beyond the base inference parameters.
* api-change:``codebuild``: Add note for the RUNNER_BUILDKITE_BUILD buildType.
* api-change:``fsx``: Support for in-place Lustre version upgrades
* api-change:``medialive``: Adds a RequestId parameter to all MediaLive Workflow Monitor create operations.  The RequestId parameter allows idempotent operations.
* api-change:``opensearchserverless``: Custom OpenSearchServerless Entity ID for SAML Config.
* api-change:``polly``: Added support for the new voice - Jasmine (en-SG). Jasmine is available as a Neural voice only.


1.37.18
=======

* api-change:``acm-pca``: Private Certificate Authority service now supports Partitioned CRL as a revocation configuration option.
* api-change:``appsync``: Add support for operation level caching
* api-change:``ec2``: Adding support for the new fullSnapshotSizeInBytes field in the response of the EC2 EBS DescribeSnapshots API. This field represents the size of all the blocks that were written to the source volume at the time the snapshot was created.
* api-change:``pi``: Documentation only update for RDS Performance Insights dimensions for execution plans and locking analysis.


1.37.17
=======

* api-change:``apigatewayv2``: Documentation updates for Amazon API Gateway
* api-change:``cloudfront``: Doc-only update that adds defaults for CloudFront VpcOriginEndpointConfig values.
* api-change:``connect``: Updated the CreateContact API documentation to indicate that it only applies to EMAIL contacts.
* api-change:``dms``: New vendors for DMS Data Providers: DB2 LUW and DB2 for z/OS


1.37.16
=======

* api-change:``ecr``: Adds support to handle the new basic scanning daily quota.
* api-change:``eks``: Introduce versionStatus field to take place of status field in EKS DescribeClusterVersions API
* api-change:``mediaconvert``: This release adds support for Animated GIF output, forced chroma sample positioning metadata, and Extensible Wave Container format
* api-change:``pi``: Adds documentation for dimension groups and dimensions to analyze locks for Database Insights.
* api-change:``transcribe``: This release adds support for the Clinical Note Template Customization feature for the AWS HealthScribe APIs within Amazon Transcribe.


1.37.15
=======

* api-change:``cloudformation``: We added 5 new stack refactoring APIs: CreateStackRefactor, ExecuteStackRefactor, ListStackRefactors, DescribeStackRefactor, ListStackRefactorActions.
* api-change:``connectcases``: This release adds the ability to conditionally require fields on a template. Check public documentation for more information.
* api-change:``cost-optimization-hub``: This release enables AWS Cost Optimization Hub to show cost optimization recommendations for Amazon Auto Scaling Groups, including those with single and mixed instance types.
* api-change:``s3``: Updated list of the valid AWS Region values for the LocationConstraint parameter for general purpose buckets.


1.37.14
=======

* api-change:``rds``: Documentation updates to clarify the description for the parameter AllocatedStorage for the DB cluster data type, the description for the parameter DeleteAutomatedBackups for the DeleteDBCluster API operation, and removing an outdated note for the CreateDBParameterGroup API operation.


1.37.13
=======

* api-change:``datasync``: Doc-only update to provide more information on using Kerberos authentication with SMB locations.
* api-change:``dms``: Introduces TargetDataSettings with the TablePreparationMode option available for data migrations.
* api-change:``iam``: This release adds support for accepting encrypted SAML assertions. Customers can now configure their identity provider to encrypt the SAML assertions it sends to IAM.
* api-change:``neptune-graph``: Added argument to `list-export` to filter by graph ID
* api-change:``qbusiness``: Adds functionality to enable/disable a new Q Business Chat orchestration feature. If enabled, Q Business can orchestrate over datasources and plugins without the need for customers to select specific chat modes.
* api-change:``sagemaker``: IPv6 support for Hyperpod clusters


1.37.12
=======

* api-change:``mediatailor``: Add support for CloudWatch Vended Logs which allows for delivery of customer logs to CloudWatch Logs, S3, or Firehose.


1.37.11
=======

* api-change:``amp``: Add support for sending metrics to cross account and CMCK AMP workspaces through RoleConfiguration on Create/Update Scraper.
* api-change:``bedrock-agent-runtime``: This change is to deprecate the existing citation field under RetrieveAndGenerateStream API response in lieu of GeneratedResponsePart and RetrievedReferences
* api-change:``codebuild``: Added support for CodeBuild self-hosted Buildkite runner builds
* api-change:``geo-routes``: The OptimizeWaypoints API now supports 50 waypoints per request (20 with constraints like AccessHours or AppointmentTime). It adds waypoint clustering via Clustering and ClusteringIndex for better optimization. Also, total distance validation is removed for greater flexibility.
* api-change:``rds``: Updates to Aurora MySQL and Aurora PostgreSQL API pages with instance log type in the create and modify DB Cluster.
* api-change:``sagemaker``: This release introduces a new valid value in InstanceType parameter: p5en.48xlarge, in ProductionVariant.


1.37.10
=======

* api-change:``appstream``: Add support for managing admin consent requirement on selected domains for OneDrive Storage Connectors in AppStream2.0.
* api-change:``bedrock-agent-runtime``: Add a 'reason' field to InternalServerException
* api-change:``ecr``: Temporarily updating dualstack endpoint support
* api-change:``ecr-public``: Temporarily updating dualstack endpoint support
* api-change:``mediatailor``: Adds options for configuring how MediaTailor conditions ads before inserting them into the content stream. Based on the new settings, MediaTailor will either transcode ads to match the content stream as it has in the past, or it will insert ads without first transcoding them.
* api-change:``qbusiness``: Added APIs to manage QBusiness user subscriptions
* api-change:``s3tables``: You can now use the CreateTable API operation to create tables with schemas by adding an optional metadata argument.
* api-change:``verifiedpermissions``: Adds Cedar JSON format support for entities and context data in authorization requests


1.37.9
======

* api-change:``bcm-pricing-calculator``: Added ConflictException error type in DeleteBillScenario, BatchDeleteBillScenarioCommitmentModification, BatchDeleteBillScenarioUsageModification, BatchUpdateBillScenarioUsageModification, and BatchUpdateBillScenarioCommitmentModification API operations.
* api-change:``ecr``: Add support for Dualstack and Dualstack-with-FIPS Endpoints
* api-change:``ecr-public``: Add support for Dualstack Endpoints
* api-change:``mailmanager``: This release includes a new feature for Amazon SES Mail Manager which allows customers to specify known addresses and domains and make use of those in traffic policies and rules actions to distinguish between known and unknown entries.
* api-change:``s3``: Change the type of MpuObjectSize in CompleteMultipartUploadRequest from int to long.


1.37.8
======

* api-change:``appsync``: Add stash and outErrors to EvaluateCode/EvaluateMappingTemplate response
* api-change:``datasync``: AWS DataSync now supports the Kerberos authentication protocol for SMB locations.
* api-change:``deadline``: feature: Deadline: Add support for limiting the concurrent usage of external resources, like floating licenses, using limits and the ability to constrain the maximum number of workers that work on a job
* api-change:``ec2``: This release changes the CreateFleet CLI and SDK's such that if you do not specify a client token, a randomly generated token is used for the request to ensure idempotency.
* api-change:``firehose``: For AppendOnly streams, Firehose will automatically scale to match your throughput.
* api-change:``timestream-influxdb``: Adds 'allocatedStorage' parameter to UpdateDbInstance API that allows increasing the database instance storage size and 'dbStorageType' parameter to UpdateDbInstance API that allows changing the storage type of the database instance


1.37.7
======

* api-change:``bedrock-agent``: Add support for the prompt caching feature for Bedrock Prompt Management
* api-change:``iot``: Raised the documentParameters size limit to 30 KB for AWS IoT Device Management - Jobs.
* api-change:``mediaconvert``: This release adds support for dynamic audio configuration and the ability to disable the deblocking filter for h265 encodes.
* api-change:``s3control``: Minor fix to ARN validation for Lambda functions passed to S3 Batch Operations


1.37.6
======

* api-change:``cloudtrail``: This release introduces the SearchSampleQueries API that allows users to search for CloudTrail Lake sample queries.
* api-change:``eks``: Adds support for UpdateStrategies in EKS Managed Node Groups.
* api-change:``healthlake``: Added new authorization strategy value 'SMART_ON_FHIR' for CreateFHIRDatastore API to support Smart App 2.0
* api-change:``ssm``: Systems Manager doc-only update for January, 2025.
* api-change:``sso-oidc``: Fixed typos in the descriptions.
* api-change:``transfer``: Added CustomDirectories as a new directory option for storing inbound AS2 messages, MDN files and Status files.


1.37.5
======

* api-change:``ec2``: Added "future" allocation type for future dated capacity reservation


1.37.4
======

* api-change:``bedrock-agent-runtime``: Adds multi-turn input support for an Agent node in an Amazon Bedrock Flow
* api-change:``glue``: Docs Update for timeout changes
* api-change:``medialive``: AWS Elemental MediaLive adds a new feature, ID3 segment tagging, in CMAF Ingest output groups. It allows customers to insert ID3 tags into every output segment, controlled by a newly added channel schedule action Id3SegmentTagging.
* api-change:``workspaces-thin-client``: Rename WorkSpaces Web to WorkSpaces Secure Browser


1.37.3
======

* api-change:``batch``: Documentation-only update: clarified the description of the shareDecaySeconds parameter of the FairsharePolicy data type, clarified the description of the priority parameter of the JobQueueDetail data type.
* api-change:``cognito-idp``: corrects the dual-stack endpoint configuration for cognitoidp
* api-change:``connect``: Added DeleteContactFlowVersion API and the CAMPAIGN flow type
* api-change:``emr-serverless``: Increasing entryPoint in SparkSubmit to accept longer script paths. New limit is 4kb.
* api-change:``iotsitewise``: AWS IoT SiteWise now supports ingestion and querying of Null (all data types) and NaN (double type) values of bad or uncertain data quality. New partial error handling prevents data loss during ingestion. Enabled by default for new customers; existing customers can opt-in.
* api-change:``logs``: Documentation-only update to address doc errors
* api-change:``quicksight``: Added `DigitGroupingStyle` in ThousandsSeparator to allow grouping by `LAKH`( Indian Grouping system ) currency. Support LAKH and `CRORE` currency types in Column Formatting.
* api-change:``sns``: This release adds support for the topic attribute FifoThroughputScope for SNS FIFO topics. For details, see the documentation history in the Amazon Simple Notification Service Developer Guide.


1.37.2
======

* api-change:``bedrock-runtime``: Allow hyphens in tool name for Converse and ConverseStream APIs
* api-change:``detective``: Doc only update for Detective documentation.
* api-change:``ec2``: Release u7i-6tb.112xlarge, u7i-8tb.112xlarge, u7inh-32tb.480xlarge, p5e.48xlarge, p5en.48xlarge, f2.12xlarge, f2.48xlarge, trn2.48xlarge instance types.
* api-change:``notifications``: Added support for Managed Notifications, integration with AWS Organization and added aggregation summaries for Aggregate Notifications
* api-change:``sagemaker``: Correction of docs for  "Added support for ml.trn1.32xlarge instance type in Reserved Capacity Offering"


1.37.1
======

* api-change:``ecs``: The release addresses Amazon ECS documentation tickets.
* api-change:``sagemaker``: Added support for ml.trn1.32xlarge instance type in Reserved Capacity Offering


1.37.0
======

* api-change:``apigateway``: Documentation updates for Amazon API Gateway
* api-change:``bedrock-agent-runtime``: Now supports streaming for inline agents.
* api-change:``cognito-identity``: corrects the dual-stack endpoint configuration
* api-change:``partnercentral-selling``: Add Tagging support for ResourceSnapshotJob resources
* api-change:``s3``: This change enhances integrity protections for new SDK requests to S3. S3 SDKs now support the CRC64NVME checksum algorithm, full object checksums for multipart S3 objects, and new default integrity protections for S3 requests.
* api-change:``security-ir``: Increase minimum length of Threat Actor IP 'userAgent' to 1.
* api-change:``sesv2``: This release introduces a new recommendation in Virtual Deliverability Manager Advisor, which detects elevated complaint rates for customer sending identities.
* api-change:``workspaces``: Added GeneralPurpose.4xlarge & GeneralPurpose.8xlarge ComputeTypes.
* api-change:``workspaces-thin-client``: Mark type in MaintenanceWindow as required.
* feature:``s3``: The S3 client attempts to validate response checksums for all S3 API operations that support checksums. However, if the SDK has not implemented the specified checksum algorithm then this validation is skipped. Checksum validation behavior can be configured using the ``when_supported`` and ``when_required`` options - in code using the ``response_checksum_validation`` parameter for ``botocore.config.Config``, in the shared AWS config file using ``response_checksum_validation``, or as an env variable using ``AWS_RESPONSE_CHECKSUM_VALIDATION``.
* feature:``s3``: Added support for the CRC64NVME checksum algorithm in the S3 client through the optional AWS CRT (``awscrt``) dependency.
* feature:``s3``: S3 client behavior is updated to always calculate a CRC32 checksum by default for operations that support it (such as PutObject or UploadPart), or require it (such as DeleteObjects). Checksum behavior can be configured using ``when_supported`` and ``when_required`` options - in code using the ``request_checksum_calculation`` parameter for ``botocore.config.Config``, in the shared AWS config file using ``request_checksum_calculation``, or as an env variable using ``AWS_REQUEST_CHECKSUM_CALCULATION``. Note: Botocore will no longer automatically compute and populate the Content-MD5 header.


1.36.40
=======

* api-change:``gamelift``: Amazon GameLift releases a new game session placement feature: PriorityConfigurationOverride. You can now override how a game session queue prioritizes placement locations for a single StartGameSessionPlacement request.
* api-change:``route53``: Amazon Route 53 now supports the Mexico (Central) Region (mx-central-1) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region


1.36.39
=======

* api-change:``artifact``: Support resolving regional API calls to partition's leader region endpoint.
* api-change:``bedrock``: With this release, Bedrock Evaluation will now support latency-optimized inference for foundation models.
* api-change:``ec2``: Add support for DisconnectOnSessionTimeout flag in CreateClientVpnEndpoint and ModifyClientVpnEndpoint requests and DescribeClientVpnEndpoints responses
* api-change:``kafkaconnect``: Support updating connector configuration via UpdateConnector API. Release Operations API to monitor the status of the connector operation.
* api-change:``transcribe``: This update provides tagging support for Transcribe's Call Analytics Jobs and Call Analytics Categories.


1.36.38
=======

* api-change:``redshift``: Additions to the PubliclyAccessible and Encrypted parameters clarifying what the defaults are.
* api-change:``securitylake``: Doc only update for ServiceName that fixes several customer-reported issues
* api-change:``sts``: Fixed typos in the descriptions.


1.36.37
=======

* api-change:``codebuild``: AWS CodeBuild Now Supports BuildBatch in Reserved Capacity and Lambda
* api-change:``compute-optimizer``: This release expands AWS Compute Optimizer rightsizing recommendation support for Amazon EC2 Auto Scaling groups to include those with scaling policies and multiple instance types.
* api-change:``fms``: AWS Firewall Manager now lets you combine multiple resource tags using the logical AND operator or the logical OR operator.


1.36.36
=======

* api-change:``rds``: Updates Amazon RDS documentation to clarify the RestoreDBClusterToPointInTime description.
* api-change:``route53``: Amazon Route 53 now supports the Asia Pacific (Thailand) Region (ap-southeast-7) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region
* api-change:``sagemaker``: Adds support for IPv6 for SageMaker HyperPod cluster nodes.


1.36.35
=======

* api-change:``cloudhsmv2``: Adds support to ModifyCluster for modifying a Cluster's Hsm Type.
* api-change:``dynamodb``: This release makes Amazon DynamoDB point-in-time-recovery (PITR) to be configurable. You can set PITR recovery period for each table individually to between 1 and 35 days.
* api-change:``imagebuilder``: This release adds support for importing images from ISO disk files. Added new ImportDiskImage API operation.
* enhancement:``s3 ls``: Expose low-level ``ListBuckets` parameters ``Prefix`` and ``BucketRegion`` to high-level ``s3 ls`` command as ``--bucket-name-prefix`` and ``--bucket-region``.


1.36.34
=======

* api-change:``iotsecuretunneling``: Adds dualstack endpoint support for IoT Secure Tunneling
* api-change:``supplychain``: Allow vanity DNS domain when creating a new ASC instance


1.36.33
=======

* api-change:``ecs``: Adding SDK reference examples for Amazon ECS operations.
* api-change:``route53domains``: Doc only update for Route 53 Domains that fixes several customer-reported issues
* api-change:``s3``: This change is only for updating the model regexp of CopySource which is not for validation but only for documentation and user guide change.


1.36.32
=======

* api-change:``appsync``: Modify UpdateGraphQLAPI operation and flag authenticationType as required.
* api-change:``gamelift``: Amazon GameLift releases a new game session shutdown feature. Use the Amazon GameLift console or AWS CLI to terminate an in-progress game session that's entered a bad state or is no longer needed.
* api-change:``mediaconnect``: AWS Elemental MediaConnect now supports Content Quality Analysis for enhanced source stream monitoring. This enables you to track specific audio and video metrics in transport stream source flows, ensuring your content meets quality standards.
* api-change:``mediaconvert``: This release adds support for the AVC3 codec and fixes an alignment issue with Japanese vertical captions.
* api-change:``organizations``: Added ALL_FEATURES_MIGRATION_ORGANIZATION_SIZE_LIMIT_EXCEEDED to ConstraintViolationException for the EnableAllFeatures operation.
* api-change:``sagemaker``: Adding ETag information with Model Artifacts for Model Registry
* api-change:``sqs``: In-flight message typo fix from 20k to 120k.


1.36.31
=======

* api-change:``ecr``: Restoring custom endpoint functionality for ECR
* api-change:``ecr-public``: Restoring custom endpoint functionality for ECR Public


1.36.30
=======

* api-change:``rds``: Updates Amazon RDS documentation to correct various descriptions.


1.36.29
=======

* api-change:``bcm-pricing-calculator``: Added ConflictException to DeleteBillEstimate.
* api-change:``ecr``: Add support for Dualstack Endpoints
* api-change:``network-firewall``: Dual-stack endpoints are now supported.
* api-change:``securityhub``: Documentation updates for AWS Security Hub


1.36.28
=======

* api-change:``ecr``: Documentation update for ECR GetAccountSetting and PutAccountSetting APIs.
* api-change:``ecr-public``: Add support for Dualstack endpoints
* api-change:``eks``: This release adds support for DescribeClusterVersions API that provides important information about Kubernetes versions along with end of support dates
* api-change:``glue``: Add IncludeRoot parameters to GetCatalogs API to return root catalog.


1.36.27
=======

* api-change:``bedrock-agent``: Support for custom user agent and max web pages crawled for web connector. Support app only credentials for SharePoint connector. Increase agents memory duration limit to 365 days. Support to specify max number of session summaries to include in agent invocation context.
* api-change:``bedrock-agent-runtime``: bedrock agents now supports long term memory and performance configs. Invokeflow supports performance configs. RetrieveAndGenerate performance configs
* api-change:``bedrock-data-automation``: Documentation update for Amazon Bedrock Data Automation
* api-change:``bedrock-data-automation-runtime``: Documentation update for Amazon Bedrock Data Automation Runtime
* api-change:``billing``: Added new API's for defining and fetching Billing Views.
* api-change:``ce``: Support for retrieving cost, usage, and forecast for billing view.
* api-change:``connect``: This release supports adding NotAttributeCondition and Range to the RoutingCriteria object.
* api-change:``docdb``: Support AWS Secret Manager managed password for AWS DocumentDB instance-based cluster.
* api-change:``eks``: This release expands the catalog of upgrade insight checks
* api-change:``macie2``: This release adds support for identifying S3 general purpose buckets that exceed the Amazon Macie quota for preventative control monitoring.
* api-change:``outposts``: Add CS8365C as a supported power connector for Outpost sites.
* api-change:``sagemaker``: This release adds support for c6i, m6i and r6i instance on SageMaker Hyperpod and trn1 instances in batch


1.36.26
=======

* api-change:``appstream``: Added support for Rocky Linux 8 on Amazon AppStream 2.0
* api-change:``mediaconvert``: This release adds support for inserting timecode tracks into MP4 container outputs.
* api-change:``medialive``: MediaLive is releasing ListVersions api
* api-change:``qconnect``: Amazon Q in Connect enables agents to ask Q for assistance in multiple languages and Q will provide answers and recommended step-by-step guides in those languages. Qs default language is English (United States) and you can switch this by setting the locale configuration on the AI Agent.
* api-change:``ssm-sap``: AWS Systems Manager for SAP added support for registration and discovery of distributed ABAP applications
* api-change:``workspaces``: Added AWS Global Accelerator (AGA) support for WorkSpaces Personal.


1.36.25
=======

* api-change:``amplify``: Added WAF Configuration to Amplify Apps
* api-change:``budgets``: Releasing minor partition endpoint updates
* api-change:``connect``: This release adds support for the UpdateParticipantAuthentication API used for customer authentication within Amazon Connect chats.
* api-change:``connectparticipant``: This release adds support for the GetAuthenticationUrl and CancelParticipantAuthentication APIs used for customer authentication within Amazon Connect chats. There are also minor updates to the GetAttachment API.
* api-change:``datasync``: AWS DataSync introduces the ability to update attributes for in-cloud locations.
* api-change:``iot``: Release connectivity status query API which is a dedicated high throughput(TPS) API to query a specific device's most recent connectivity state and metadata.
* api-change:``mwaa``: Added support for Apache Airflow version 2.10.3 to MWAA.
* api-change:``quicksight``: Add support for PerformanceConfiguration attribute to Dataset entity. Allow PerformanceConfiguration specification in CreateDataset and UpdateDataset APIs.
* api-change:``resiliencehub``: AWS Resilience Hub now automatically detects already configured CloudWatch alarms and FIS experiments as part of the assessment process and returns the discovered resources in the corresponding list API responses. It also allows you to include or exclude test recommendations for an AppComponent.
* api-change:``transfer``: Added AS2 agreement configurations to control filename preservation and message signing enforcement. Added AS2 connector configuration to preserve content type from S3 objects.


1.36.24
=======

* api-change:``account``: Update endpoint configuration.
* api-change:``backup``: Add Support for Backup Indexing
* api-change:``backupsearch``: Add support for searching backups
* api-change:``batch``: This feature allows AWS Batch on Amazon EKS to support configuration of Pod Annotations, overriding Namespace on which the Batch job's Pod runs on, and allows Subpath and Persistent Volume claim to be set for AWS Batch on Amazon EKS jobs.
* api-change:``cleanroomsml``: Add support for SQL compute configuration for StartAudienceGenerationJob API.
* api-change:``cloudfront``: Adds support for OriginReadTimeout and OriginKeepaliveTimeout to create CloudFront Distributions with VPC Origins.
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support Managed Compute Rule.
* api-change:``ecs``: Added support for enableFaultInjection task definition parameter which can be used to enable Fault Injection feature on ECS tasks.
* api-change:``m2``: This release adds support for AWS Mainframe Modernization(M2) Service to allow specifying network type(ipv4, dual) for the environment instances. For dual network type, m2 environment applications will serve both IPv4 and IPv6 requests, whereas for ipv4 it will serve only IPv4 requests.
* api-change:``synthetics``: Add support to toggle outbound IPv6 traffic on canaries connected to dualstack subnets.  This behavior can be controlled via the new Ipv6AllowedForDualStack parameter of the VpcConfig input object in CreateCanary and UpdateCanary APIs.


1.36.23
=======

* api-change:``cloud9``: Added information about Ubuntu 18.04 will be removed from the available imageIds for Cloud9 because Ubuntu 18.04 has ended standard support on May 31, 2023.
* api-change:``dlm``: This release adds support for Local Zones in Amazon Data Lifecycle Manager EBS snapshot lifecycle policies.
* api-change:``ec2``: This release adds support for EBS local snapshots in AWS Dedicated Local Zones, which allows you to store snapshots of EBS volumes locally in Dedicated Local Zones.
* api-change:``greengrassv2``: Add support for runtime in GetCoreDevice and ListCoreDevices APIs.
* api-change:``medialive``: AWS Elemental MediaLive adds three new features: MediaPackage v2 endpoint support for live stream delivery, KLV metadata passthrough in CMAF Ingest output groups, and Metadata Name Modifier in CMAF Ingest output groups for customizing metadata track names in output streams.
* api-change:``rds``: This release adds support for the "MYSQL_CACHING_SHA2_PASSWORD" enum value for RDS Proxy ClientPasswordAuthType.


1.36.22
=======

* api-change:``cloudhsmv2``: Add support for Dual-Stack hsm2m.medium clusters. The customers will now be able to create hsm2m.medium clusters having both IPv4 and IPv6 connection capabilities by specifying a new param called NetworkType=DUALSTACK during cluster creation.
* api-change:``ec2``: This release adds GroupId to the response for DeleteSecurityGroup.
* api-change:``eks``: Add NodeRepairConfig in CreateNodegroupRequest and UpdateNodegroupConfigRequest
* api-change:``logs``: Limit PutIntegration IntegrationName and ListIntegrations IntegrationNamePrefix parameters to 50 characters
* api-change:``mediaconnect``: AWS Elemental MediaConnect Gateway now supports Source Specific Multicast (SSM) for ingress bridges. This enables you to specify a source IP address in addition to a multicast IP when creating or updating an ingress bridge source.
* api-change:``networkmanager``: There was a sentence fragment in UpdateDirectConnectGatewayAttachment that was causing customer confusion as to whether it's an incomplete sentence or if it was a typo. Removed the fragment.
* api-change:``servicediscovery``: AWS Cloud Map now supports service-level attributes, allowing you to associate custom metadata directly with services. These attributes can be retrieved, updated, and deleted using the new GetServiceAttributes, UpdateServiceAttributes, and DeleteServiceAttributes API calls.


1.36.21
=======

* api-change:``connect``: Configure holidays and other overrides to hours of operation in advance. During contact handling, Amazon Connect automatically checks for overrides and provides customers with an appropriate flow path. After an override period passes call center automatically reverts to standard hours of operation.
* api-change:``dms``: Add parameters to support for kerberos authentication. Add parameter for disabling the Unicode source filter with PostgreSQL settings. Add parameter to use large integer value with Kinesis/Kafka settings.
* api-change:``glue``: To support customer-managed encryption in Data Quality to allow customers encrypt data with their own KMS key, we will add a DataQualityEncryption field to the SecurityConfiguration API where customers can provide their KMS keys.
* api-change:``guardduty``: Improved descriptions for certain APIs.
* api-change:``route53domains``: This release includes the following API updates: added the enumeration type RESTORE_DOMAIN to the OperationType; constrained the Price attribute to non-negative values; updated the LangCode to allow 2 or 3 alphabetical characters.


1.36.20
=======

* api-change:``artifact``: Add support for listing active customer agreements for the calling AWS Account.
* api-change:``cloudtrail``: Doc-only updates for CloudTrail.
* api-change:``cognito-idp``: Updated descriptions for some API operations and parameters, corrected some errors in Cognito user pools
* api-change:``controlcatalog``: Minor documentation updates to the content of ImplementationDetails object part of the Control Catalog GetControl API
* api-change:``emr-serverless``: This release adds support for accessing system profile logs in Lake Formation-enabled jobs.
* api-change:``mgh``: API and documentation updates for AWS MigrationHub related to adding support for listing migration task updates and associating, disassociating and listing source resources
* api-change:``sesv2``: Introduces support for multi-region endpoint.
* api-change:``timestream-influxdb``: Adds networkType parameter to CreateDbInstance API which allows IPv6 support to the InfluxDB endpoint


1.36.19
=======

* api-change:``application-autoscaling``: Doc only update for AAS Predictive Scaling policy configuration API.
* api-change:``bcm-pricing-calculator``: Updated condition key inference from Workload Estimate, Bill Scenario, and Bill Estimate resources. Updated documentation links.
* api-change:``connect``: Add support for Push Notifications for Amazon Connect chat. With Push Notifications enabled an alert could be sent to customers about new messages even when they aren't actively using the mobile application.
* api-change:``finspace``: Update KxCommandLineArgument value parameter regex to allow for spaces and semicolons
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to customize thumbnails recording mode and interval for both Individual Participant Recording (IPR) and Server-Side Compositions (SSC).
* api-change:``sesv2``: Introduces support for creating DEED (Deterministic Easy-DKIM) identities.


1.36.18
=======

* api-change:``appsync``: Provides description of new Amazon Bedrock runtime datasource.
* api-change:``cognito-idp``: Change `CustomDomainConfig` from a required to an optional parameter for the `UpdateUserPoolDomain` operation.
* api-change:``ec2``: This release includes a new API for modifying instance network-performance-options after launch.
* api-change:``ecs``: This is a documentation only update to address various tickets for Amazon ECS.
* api-change:``keyspaces``: Amazon Keyspaces: adding the list of IAM actions required by the UpdateKeyspace API.
* api-change:``medialive``: H265 outputs now support disabling the deblocking filter.
* api-change:``workspaces``: Added text to clarify case-sensitivity


1.36.17
=======

* api-change:``partnercentral-selling``: Introducing the preview of new partner central selling APIs designed to transform how AWS partners collaborate and co-sell with multiple partners. This enables multiple partners to seamlessly engage and jointly pursue customer opportunities, fostering a new era of collaborative selling.
* api-change:``qbusiness``: This release removes the deprecated UserId and UserGroups fields from SearchRelevantContent api's request parameters.


1.36.16
=======

* api-change:``bedrock``: Introduced two APIs ListPromptRouters and GetPromptRouter for Intelligent Prompt Router feature. Add support for Bedrock Guardrails image content filter. New Bedrock Marketplace feature enabling a wider range of bedrock compatible models with self-hosted capability.
* api-change:``bedrock-agent``: This release introduces the ability to generate SQL using natural language, through a new GenerateQuery API (with native integration into Knowledge Bases); ability to ingest and retrieve images through Bedrock Data Automation; and ability to create a Knowledge Base backed by Kendra GenAI Index.
* api-change:``bedrock-agent-runtime``: This release introduces the ability to generate SQL using natural language, through a new GenerateQuery API (with native integration into Knowledge Bases); ability to ingest and retrieve images through Bedrock Data Automation; and ability to create a Knowledge Base backed by Kendra GenAI Index.
* api-change:``bedrock-data-automation``: Release Bedrock Data Automation SDK
* api-change:``bedrock-data-automation-runtime``: Release Bedrock Data Automation Runtime SDK
* api-change:``bedrock-runtime``: Added support for Intelligent Prompt Router in Invoke, InvokeStream, Converse and ConverseStream. Add support for Bedrock Guardrails image content filter. New Bedrock Marketplace feature enabling a wider range of bedrock compatible models with self-hosted capability.
* api-change:``kendra``: This release adds GenAI Index in Amazon Kendra for Retrieval Augmented Generation (RAG) and intelligent search. With the Kendra GenAI Index, customers get high retrieval accuracy powered by the latest information retrieval technologies and semantic models.
* api-change:``sagemaker``: Amazon SageMaker HyperPod launched task governance to help customers maximize accelerator utilization for model development and flexible training plans to meet training timelines and budget while reducing weeks of training time. AI apps from AWS partner is now available in SageMaker.


1.36.15
=======

* api-change:``athena``: Add FEDERATED type to CreateDataCatalog. This creates Athena Data Catalog, AWS Lambda connector, and AWS Glue connection. Create/DeleteDataCatalog returns DataCatalog. Add Status, ConnectionType, and Error to DataCatalog and DataCatalogSummary. Add DeleteCatalogOnly to delete Athena Catalog only.
* api-change:``bedrock``: Tagging support for Async Invoke resources. Added support for Distillation in CreateModelCustomizationJob API. Support for videoDataDeliveryEnabled flag in invocation logging.
* api-change:``bedrock-agent``: Releasing SDK for Multi-Agent Collaboration.
* api-change:``bedrock-agent-runtime``: Releasing SDK for multi agent collaboration
* api-change:``bedrock-runtime``: Added support for Async Invoke Operations Start, List and Get. Support for invocation logs with `requestMetadata` field in Converse, ConverseStream, Invoke and InvokeStream. Video content blocks in Converse/ConverseStream accept raw bytes or S3 URI.
* api-change:``cloudwatch``: Support for configuring AiOps investigation as alarm action
* api-change:``datazone``: Adds support for Connections, ProjectProfiles, and JobRuns APIs. Supports the new Lineage feature at GA. Adjusts optionality of a parameter for DataSource and SubscriptionTarget APIs which may adjust types in some clients.
* api-change:``dsql``: Add new API operations for Amazon Aurora DSQL. Amazon Aurora DSQL is a serverless, distributed SQL database with virtually unlimited scale, highest availability, and zero infrastructure management.
* api-change:``dynamodb``: This change adds support for global tables with multi-Region strong consistency (in preview). The UpdateTable API now supports a new attribute MultiRegionConsistency to set consistency when creating global tables. The DescribeTable output now optionally includes the MultiRegionConsistency attribute.
* api-change:``glue``: This release includes(1)Zero-ETL integration to ingest data from 3P SaaS and DynamoDB to Redshift/Redlake (2)new properties on Connections to enable reuse; new connection APIs for retrieve/preview metadata (3)support of CRUD operations for Multi-catalog (4)support of automatic statistics collections
* api-change:``lakeformation``: This release added two new LakeFormation Permissions (CREATE_CATALOG, SUPER_USER) and added Id field for CatalogResource. It also added new conditon and expression field.
* api-change:``qapps``: Add support for 11 new plugins as action cards to help automate repetitive tasks and improve productivity.
* api-change:``qbusiness``: Amazon Q Business now supports customization options for your web experience, 11 new Plugins, and QuickSight support. Amazon Q index allows software providers to enrich their native generative AI experiences with their customer's enterprise knowledge and user context spanning multiple applications.
* api-change:``quicksight``: This release includes API needed to support for Unstructured Data in Q in QuickSight Q&A (IDC).
* api-change:``redshift``: Adds support for Amazon Redshift RegisterNamespace and DeregisterNamespace APIs to share data to AWS Glue Data Catalog.
* api-change:``redshift-serverless``: Adds support for the ListManagedWorkgroups API to get an overview of existing managed workgroups.
* api-change:``s3``: Amazon S3 Metadata stores object metadata in read-only, fully managed Apache Iceberg metadata tables that you can query. You can create metadata table configurations for S3 general purpose buckets.
* api-change:``s3tables``: Amazon S3 Tables deliver the first cloud object store with built-in open table format support, and the easiest way to store tabular data at scale.


1.36.14
=======

* api-change:``bedrock-runtime``: Add an API parameter that allows customers to set performance configuration for invoking a model.
* api-change:``s3control``: It allows customers to pass CRC64NVME as a header in S3 Batch Operations copy requests
* api-change:``socialmessaging``: Added support for passing role arn corresponding to the supported event destination


1.36.13
=======

* api-change:``bedrock``: Add support for Knowledge Base Evaluations & LLM as a judge
* api-change:``bedrock-agent``: This release introduces APIs to upload documents directly into a Knowledge Base
* api-change:``bedrock-agent-runtime``: This release introduces a new Rerank API to leverage reranking models (with integration into Knowledge Bases); APIs to upload documents directly into Knowledge Base; RetrieveAndGenerateStream API for streaming response; Guardrails on Retrieve API; and ability to automatically generate filters
* api-change:``chime-sdk-voice``: This release adds supports for enterprises to integrate Amazon Connect with other voice systems. It supports directly transferring voice calls and metadata without using the public telephone network. It also supports real-time and post-call analytics.
* api-change:``cleanrooms``: This release allows customers and their partners to easily collaborate with data stored in Snowflake and Amazon Athena, without having to move or share their underlying data among collaborators.
* api-change:``connect``: Adds support for WhatsApp Business messaging, IVR call recording, enabling Contact Lens for existing on-premise contact centers and telephony platforms, and enabling telephony and IVR migration to Amazon Connect independent of their contact center agents.
* api-change:``connectcampaignsv2``: Amazon Connect Outbound Campaigns V2 / Features : Adds support for Event-Triggered Campaigns.
* api-change:``customer-profiles``: This release introduces Event Trigger APIs as part of Amazon Connect Customer Profiles service.
* api-change:``ec2``: Adds support for declarative policies that allow you to enforce desired configuration across an AWS organization through configuring account attributes. Adds support for Allowed AMIs that allows you to limit the use of AMIs in AWS accounts. Adds support for connectivity over non-HTTP protocols.
* api-change:``ecs``: This release adds support for Container Insights with Enhanced Observability for Amazon ECS.
* api-change:``eks``: Added support for Auto Mode Clusters, Hybrid Nodes, and specifying computeTypes in the DescribeAddonVersions API.
* api-change:``events``: Call private APIs by configuring Connections with VPC connectivity through PrivateLink and VPC Lattice
* api-change:``fsx``: FSx API changes to support the public launch of the Amazon FSx Intelligent Tiering for OpenZFS storage class.
* api-change:``guardduty``: Add new Multi Domain Correlation findings.
* api-change:``imagebuilder``: Added support for EC2 Image Builder's integration with AWS Marketplace for Marketplace components.
* api-change:``invoicing``: AWS Invoice Configuration allows you to receive separate AWS invoices based on your organizational needs. You can use the AWS SDKs to manage Invoice Units and programmatically fetch the information of the invoice receiver.
* api-change:``logs``: Adds PutIntegration, GetIntegration, ListIntegrations and DeleteIntegration APIs. Adds QueryLanguage support to StartQuery, GetQueryResults, DescribeQueries, DescribeQueryDefinitions, and PutQueryDefinition APIs.
* api-change:``memorydb``: Amazon MemoryDB SDK now supports all APIs for Multi-Region. Please refer to the updated Amazon MemoryDB public documentation for detailed information on API usage.
* api-change:``networkflowmonitor``: This release adds documentation for a new feature in Amazon CloudWatch called Network Flow Monitor. You can use Network Flow Monitor to get near real-time metrics, including retransmissions and data transferred, for your actual workloads.
* api-change:``opensearch``: This feature introduces support for CRUDL APIs, enabling the creation and management of Connected data sources.
* api-change:``organizations``: Add support for policy operations on the DECLARATIVE_POLICY_EC2 policy type.
* api-change:``qbusiness``: Amazon Q Business now supports capabilities to extract insights and answer questions from visual elements embedded within documents, a browser extension for Google Chrome, Mozilla Firefox, and Microsoft Edge, and attachments across conversations.
* api-change:``qconnect``: This release adds following capabilities: Configuring safeguards via AIGuardrails for Q in Connect inferencing, and APIs to support Q&A self-service use cases
* api-change:``rds``: Amazon RDS supports CloudWatch Database Insights. You can use the SDK to create, modify, and describe the DatabaseInsightsMode for your DB instances and clusters.
* api-change:``s3``: Amazon S3 introduces support for AWS Dedicated Local Zones
* api-change:``s3control``: Amazon S3 introduces support for AWS Dedicated Local Zones
* api-change:``securityhub``: Add new Multi Domain Correlation findings.
* api-change:``security-ir``: AWS Security Incident Response is a purpose-built security incident solution designed to help customers prepare for, respond to, and recover from security incidents.
* api-change:``transfer``: AWS Transfer Family now offers Web apps that enables simple and secure access to data stored in Amazon S3.
* api-change:``vpc-lattice``: Lattice APIs that allow sharing and access of VPC resources across accounts.


1.36.12
=======

* api-change:``bedrock-agent``: Add support for specifying embeddingDataType, either FLOAT32 or BINARY
* api-change:``config``: AWS Config adds support for service-linked recorders, a new type of Config recorder managed by AWS services to record specific subsets of resource configuration data and functioning independently from customer managed AWS Config recorders.
* api-change:``fsx``: This release adds EFA support to increase FSx for Lustre file systems' throughput performance to a single client instance. This can be done by specifying EfaEnabled=true at the time of creation of Persistent_2 file systems.
* api-change:``observabilityadmin``: Amazon CloudWatch Observability Admin adds the ability to audit telemetry configuration for AWS resources in customers AWS Accounts and Organizations. The release introduces new APIs to turn on/off the new experience, which supports discovering supported AWS resources and their state of telemetry.


1.36.11
=======

* api-change:``bedrock-agent``: Custom Orchestration API release for AWSBedrockAgents.
* api-change:``bedrock-agent-runtime``: Custom Orchestration and Streaming configurations API release for AWSBedrockAgents.
* api-change:``connect``: Enables access to ValueMap and ValueInteger types for SegmentAttributes and fixes deserialization bug for DescribeContactFlow in AmazonConnect Public API
* api-change:``ec2``: Adds support for Time-based Copy for EBS Snapshots and Cross Region PrivateLink. Time-based Copy ensures that EBS Snapshots are copied within and across AWS Regions in a specified timeframe. Cross Region PrivateLink enables customers to connect to VPC endpoint services hosted in other AWS Regions.
* api-change:``qapps``: Private sharing, file upload and data collection feature support for Q Apps


1.36.10
=======

* api-change:``directconnect``: Update DescribeDirectConnectGatewayAssociations API to return associated core network information if a Direct Connect gateway is attached to a Cloud WAN core network.
* api-change:``networkmanager``: This release adds native Direct Connect integration on Cloud WAN enabling customers to directly attach their Direct Connect gateways to Cloud WAN without the need for an intermediate Transit Gateway.
* api-change:``s3``: Amazon Simple Storage Service / Features: Add support for ETag based conditional writes in PutObject and CompleteMultiPartUpload APIs to prevent unintended object modifications.


1.36.9
======

* api-change:``autoscaling``: Now, Amazon EC2 Auto Scaling customers can enable target tracking policies to take quicker scaling decisions, enhancing their application performance and EC2 utilization. To get started, specify target tracking to monitor a metric that is available on Amazon CloudWatch at seconds-level interval.
* api-change:``bcm-pricing-calculator``: Initial release of the AWS Billing and Cost Management Pricing Calculator API.
* api-change:``bedrock-agent-runtime``: InvokeInlineAgent API release to help invoke runtime agents without any dependency on preconfigured agents.
* api-change:``ce``: This release adds the Impact field(contains Contribution field) to the GetAnomalies API response under RootCause
* api-change:``chatbot``: Adds support for programmatic management of custom actions and aliases which can be associated with channel configurations.
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support ECRBuildAndPublish and InspectorScan actions.
* api-change:``cognito-idp``: Add support for users to sign up and sign in without passwords, using email and SMS OTPs and Passkeys. Add support for Passkeys based on WebAuthn. Add support for enhanced branding customization for hosted authentication pages with Amazon Cognito Managed Login. Add feature tiers with new pricing.
* api-change:``connect``: Amazon Connect Service Feature: Add APIs for Amazon Connect Email Channel
* api-change:``elbv2``: This release adds support for advertising trusted CA certificate names in associated trust stores.
* api-change:``emr``: Advanced Scaling in Amazon EMR Managed Scaling
* api-change:``inspector2``: Extend inspector2 service model to include ServiceQuotaExceededException.
* api-change:``lambda``: Add ProvisionedPollerConfig to Lambda event-source-mapping API.
* api-change:``mailmanager``: Added new "DeliverToQBusiness" rule action to MailManager RulesSet for ingesting email data into Amazon Q Business customer applications
* api-change:``neptune-graph``: Add 4 new APIs to support new Export features, allowing Parquet and CSV formats. Add new arguments in Import APIs to support Parquet import. Add a new query "neptune.read" to run algorithms without loading data into database
* api-change:``omics``: This release adds support for resource policy based cross account S3 access to sequence store read sets.
* api-change:``quicksight``: This release includes: Update APIs to support Image, Layer Map, font customization, and Plugin Visual. Add Identity center related information in ListNamsespace API. Update API for restrictedFolder support in topics and add API for SearchTopics, Describe/Update DashboardsQA Configration.
* api-change:``sagemaker``: This release adds APIs for new features for SageMaker endpoint to scale down to zero instances, native support for multi-adapter inference, and endpoint scaling improvements.
* api-change:``ses``: This release adds support for starting email contacts in your Amazon Connect instance as an email receiving action.
* api-change:``sns``: ArchivePolicy attribute added to Archive and Replay feature
* api-change:``stepfunctions``: Add support for variables and JSONata in TestState, GetExecutionHistory, DescribeStateMachine, and DescribeStateMachineForExecution
* api-change:``workspaces``: While integrating WSP-DCV rebrand, a few mentions were erroneously renamed from WSP to DCV. This release reverts those mentions back to WSP.


1.36.8
======

* api-change:``apigateway``: Added support for custom domain names for private APIs.
* api-change:``application-autoscaling``: Application Auto Scaling now supports Predictive Scaling to proactively increase the desired capacity ahead of predicted demand, ensuring improved availability and responsiveness for customers' applications. This feature is currently only made available for Amazon ECS Service scalable targets.
* api-change:``appsync``: Add support for the Amazon Bedrock Runtime.
* api-change:``ce``: This release introduces three new APIs that enable you to estimate the cost, coverage, and utilization impact of Savings Plans you plan to purchase. The three APIs are StartCommitmentPurchaseAnalysis, GetCommitmentPurchaseAnalysis, and ListCommitmentPurchaseAnalyses.
* api-change:``cloudfront``: Adds support for Origin Selection between EMPv2 origins based on media quality score.
* api-change:``cloudtrail``: This release introduces new APIs for creating and managing CloudTrail Lake dashboards. It also adds support for resource-based policies on CloudTrail EventDataStore and Dashboard resource.
* api-change:``ec2``: Adds support for requesting future-dated Capacity Reservations with a minimum commitment duration, enabling IPAM for organizational units within AWS Organizations, reserving EC2 Capacity Blocks that start in 30 minutes, and extending the end date of existing Capacity Blocks.
* api-change:``elasticache``: Added support to modify the engine type for existing ElastiCache Users and User Groups. Customers can now modify the engine type from redis to valkey.
* api-change:``elbv2``: This feature adds support for enabling zonal shift on cross-zone enabled Application Load Balancer, as well as modifying HTTP request and response headers.
* api-change:``health``: Adds metadata property to an AffectedEntity.
* api-change:``iot``: General Availability (GA) release of AWS IoT Device Management - Commands, to trigger light-weight remote actions on targeted devices
* api-change:``iotfleetwise``: AWS IoT FleetWise now includes campaign parameters to store and forward data, configure MQTT topic as a data destination, and collect diagnostic trouble code data. It includes APIs for network agnostic data collection using custom decoding interfaces, and monitoring the last known state of vehicles.
* api-change:``iot-jobs-data``: General Availability (GA) release of AWS IoT Device Management - Commands, to trigger light-weight remote actions on targeted devices
* api-change:``lambda``: Adds support for metrics for event source mappings for AWS Lambda
* api-change:``logs``: Adds "Create field indexes to improve query performance and reduce scan volume" and "Transform logs during ingestion". Updates documentation for "PutLogEvents with Entity".
* api-change:``notifications``: This release adds support for AWS User Notifications. You can now configure and view notifications from AWS services in a central location using the AWS SDK.
* api-change:``notificationscontacts``: This release adds support for AWS User Notifications Contacts. You can now configure and view email contacts for AWS User Notifications using the AWS SDK.
* api-change:``resiliencehub``: AWS Resilience Hub's new summary view visually represents applications' resilience through charts, enabling efficient resilience management. It provides a consolidated view of the app portfolio's resilience state and allows data export for custom stakeholder reporting.
* api-change:``s3``: Add support for conditional deletes for the S3 DeleteObject and DeleteObjects APIs. Add support for write offset bytes option used to append to objects with the S3 PutObject API.
* api-change:``ssm``: Added support for providing high-level overviews of managed nodes and previewing the potential impact of a runbook execution.
* api-change:``ssm-quicksetup``: Add methods that retrieve details about deployed configurations: ListConfigurations, GetConfiguration
* api-change:``xray``: AWS X-Ray introduces Transaction Search APIs, enabling span ingestion into CloudWatch Logs for high-scale trace data indexing. These APIs support span-level queries, trace graph generation, and metric correlation for deeper application insights.


1.36.7
======

* api-change:``autoscaling``: With this release, customers can prioritize launching instances into ODCRs using targets from ASGs or Launch Templates. Customers can express their baseline instances' CPU-performance in attribute-based Instance Requirements configuration by referencing an instance family that meets their needs.
* api-change:``bedrock-agent-runtime``: Releasing new Prompt Optimization to enhance your prompts for improved performance
* api-change:``cloudfront``: Add support for gRPC, VPC origins, and Anycast IP Lists. Allow LoggingConfig IncludeCookies to be set regardless of whether the LoggingConfig is enabled.
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze and generate optimization recommendations for Amazon Aurora database instances. It also enables Compute Optimizer to identify idle Amazon EC2 instances, Amazon EBS volumes, Amazon ECS services running on Fargate, and Amazon RDS databases.
* api-change:``controltower``: Adds support for child enabled baselines which allow you to see the enabled baseline status for individual accounts.
* api-change:``cost-optimization-hub``: This release adds action type "Delete" to the GetRecommendation, ListRecommendations and ListRecommendationSummaries APIs to support new EBS and ECS recommendations with action type "Delete".
* api-change:``datazone``: This release supports Metadata Enforcement Rule feature for Create Subscription Request action.
* api-change:``discovery``: Add support to import data from commercially available discovery tools without file manipulation.
* api-change:``ec2``: With this release, customers can express their desire to launch instances only in an ODCR or ODCR group rather than OnDemand capacity. Customers can express their baseline instances' CPU-performance in attribute-based Instance Requirements configuration by referencing an instance family.
* api-change:``ecs``: This release adds support for the Availability Zone rebalancing feature on Amazon ECS.
* api-change:``elbv2``: This release adds support for configuring Load balancer Capacity Unit reservations
* api-change:``lambda``: Add Node 22.x (node22.x) support to AWS Lambda
* api-change:``mediaconvert``: This release adds the ability to reconfigure concurrent job settings for existing queues and create queues with custom concurrent job settings.
* api-change:``mediapackagev2``: MediaPackage v2 now supports the Media Quality Confidence Score (MQCS) published from MediaLive. Customers can control input switching based on the MQCS and publishing HTTP Headers for the MQCS via the API.
* api-change:``omics``: Enabling call caching feature that allows customers to reuse previously computed results from a set of completed tasks in a new workflow run.
* api-change:``rbin``: This release adds support for exclusion tags for Recycle Bin, which allows you to identify resources that are to be excluded, or ignored, by a Region-level retention rule.
* api-change:``rds``: This release adds support for scale storage on the DB instance using a Blue/Green Deployment.
* api-change:``timestream-query``: This release adds support for Provisioning Timestream Compute Units (TCUs), a new feature that allows provisioning dedicated compute resources for your queries, providing predictable and cost-effective query performance.
* api-change:``workspaces``: Added support for Rocky Linux 8 on Amazon WorkSpaces Personal.
* api-change:``workspaces-web``: Added data protection settings with support for inline data redaction.


1.36.6
======

* api-change:``b2bi``: Add new X12 transactions sets and versions
* api-change:``ec2``: This release adds VPC Block Public Access (VPC BPA), a new declarative control which blocks resources in VPCs and subnets that you own in a Region from reaching or being reached from the internet through internet gateways and egress-only internet gateways.
* api-change:``ecs``: This release introduces support for configuring the version consistency feature for individual containers defined within a task definition. The configuration allows to specify whether ECS should resolve the container image tag specified in the container definition to an image digest.
* api-change:``efs``: Add support for the new parameters in EFS replication APIs
* api-change:``glue``: AWS Glue Data Catalog now enhances managed table optimizations of Apache Iceberg tables that can be accessed only from a specific Amazon Virtual Private Cloud (VPC) environment.
* api-change:``keyspaces``: Amazon Keyspaces Multi-Region Replication: Adds support to add new regions to multi and single-region keyspaces.
* api-change:``mwaa``: Amazon MWAA now supports a new environment class, mw1.micro, ideal for workloads requiring fewer resources than mw1.small. This class supports a single instance of each Airflow component: Scheduler, Worker, and Webserver.
* api-change:``taxsettings``: Release Tax Inheritance APIs,  Tax Exemption APIs, and functionality update for some existing Tax Registration APIs
* api-change:``workspaces``: Releasing new ErrorCodes for Image Validation failure during CreateWorkspaceImage process


1.36.5
======

* api-change:``appconfig``: AWS AppConfig has added a new extension action point, AT_DEPLOYMENT_TICK, to support third-party monitors to trigger an automatic rollback during a deployment.
* api-change:``autoscaling``: Amazon EC2 Auto Scaling now supports Amazon Application Recovery Controller (ARC) zonal shift and zonal autoshift to help you quickly recover an impaired application from failures in an Availability Zone (AZ).
* api-change:``cloudformation``: This release adds a new API, ListHookResults, that allows retrieving CloudFormation Hooks invocation results for hooks invoked during a create change set operation or Cloud Control API operation
* api-change:``connect``: Adds CreateContactFlowVersion and ListContactFlowVersions APIs to create and view the versions of a contact flow.
* api-change:``customer-profiles``: This release introduces Segmentation APIs and new Calculated Attribute Event Filters as part of Amazon Connect Customer Profiles service.
* api-change:``ec2``: Adding request and response elements for managed resources.
* api-change:``ecs``: This release adds support for adding VPC Lattice configurations in ECS CreateService/UpdateService APIs. The configuration allows for associating VPC Lattice target groups with ECS Services.
* api-change:``iotsitewise``: The release introduces a generative AI Assistant in AWS IoT SiteWise. It includes: 1) InvokeAssistant API - Invoke the Assistant to get alarm summaries and ask questions. 2) Dataset APIs - Manage knowledge base configuration for the Assistant. 3) Portal APIs enhancement - Manage AI-aware dashboards.
* api-change:``qconnect``: This release introduces MessageTemplate as a resource in Amazon Q in Connect, along with APIs to create, read, search, update, and delete MessageTemplate resources.
* api-change:``rds``: Add support for the automatic pause/resume feature of Aurora Serverless v2.
* api-change:``rds-data``: Add support for the automatic pause/resume feature of Aurora Serverless v2.


1.36.4
======

* api-change:``cloudwatch``: Adds support for adding related Entity information to metrics ingested through PutMetricData.
* api-change:``connectcampaignsv2``: Added Amazon Connect Outbound Campaigns V2 SDK.
* api-change:``datasync``: Doc-only updates and enhancements related to creating DataSync tasks and describing task executions.
* api-change:``ec2``: Remove non-functional enum variants for FleetCapacityReservationUsageStrategy
* api-change:``iot``: This release allows AWS IoT Core users to enrich MQTT messages with propagating attributes, to associate a thing to a connection, and to enable Online Certificate Status Protocol (OCSP) stapling for TLS X.509 server certificates through private endpoints.
* api-change:``outposts``: You can now purchase AWS Outposts rack or server capacity for a 5-year term with one of  the following payment options: All Upfront, Partial Upfront, and No Upfront.
* api-change:``pinpoint-sms-voice-v2``: Use rule overrides to always allow or always block messages to specific phone numbers. Use message feedback to monitor if a customer interacts with your message.
* api-change:``route53resolver``: Route 53 Resolver DNS Firewall Advanced Rules allows you to monitor and block suspicious DNS traffic based on anomalies detected in the queries, such as DNS tunneling and Domain Generation Algorithms (DGAs).


1.36.3
======

* api-change:``partnercentral-selling``: Announcing AWS Partner Central API for Selling: This service launch Introduces new APIs for co-selling opportunity management and related functions. Key features include notifications, a dynamic sandbox for testing, and streamlined validations.


1.36.2
======

* api-change:``accessanalyzer``: Expand analyzer configuration capabilities for unused access analyzers. Unused access analyzer configurations now support the ability to exclude accounts and resource tags from analysis providing more granular control over the scope of analysis.
* api-change:``cloudcontrol``: Added support for CloudFormation Hooks with Cloud Control API. The GetResourceRequestStatus API response now includes an optional HooksProgressEvent and HooksRequestToken parameter for Hooks Invocation Progress as part of resource operation with Cloud Control.
* api-change:``deadline``: Adds support for select GPU accelerated instance types when creating new service-managed fleets.
* api-change:``iam``: This release includes support for five new APIs and changes to existing APIs that give AWS Organizations customers the ability to use temporary root credentials, targeted to member accounts in the organization.
* api-change:``iotwireless``: New FuotaTask resource type to enable logging for your FUOTA tasks. A ParticipatingGatewaysforMulticast parameter to choose the list of gateways to receive the multicast downlink message and the transmission interval between them. Descriptor field which will be sent to devices during FUOTA transfer.
* api-change:``ivs``: IVS now offers customers the ability to stream multitrack video to Channels.
* api-change:``license-manager-user-subscriptions``: New and updated API operations to support License Included User-based Subscription of Microsoft Remote Desktop Services (RDS).
* api-change:``partnercentral-selling``: Announcing AWS Partner Central API for Selling: This service launch Introduces new APIs for co-selling opportunity management and related functions. Key features include notifications, a dynamic sandbox for testing, and streamlined validations.
* api-change:``quicksight``: This release adds APIs for Custom Permissions management in QuickSight, and APIs to support QuickSight Branding.
* api-change:``redshift``: Adds support for Amazon Redshift S3AccessGrants
* api-change:``s3``: This release updates the ListBuckets API Reference documentation in support of the new 10,000 general purpose bucket default quota on all AWS accounts. To increase your bucket quota from 10,000 to up to 1 million buckets, simply request a quota increase via Service Quotas.
* api-change:``sagemaker``: Add support for Neuron instance types [ trn1/trn1n/inf2 ] on SageMaker Notebook Instances Platform.
* api-change:``sts``: This release introduces the new API 'AssumeRoot', which returns short-term credentials that you can use to perform privileged tasks.


1.36.1
======

* api-change:``accessanalyzer``: This release adds support for policy validation and external access findings for resource control policies (RCP). IAM Access Analyzer helps you author functional and secure RCPs and awareness that a RCP may restrict external access. Updated service API, documentation, and paginators.
* api-change:``application-signals``: Amazon CloudWatch Application Signals now supports creating Service Level Objectives with burn rates. Users can now create or update SLOs with burn rate configurations to meet their specific business requirements.
* api-change:``b2bi``: This release adds a GenerateMapping API to allow generation of JSONata or XSLT transformer code based on input and output samples.
* api-change:``billing``: Today, AWS announces the general availability of ListBillingViews API in the AWS SDKs, to enable AWS Billing Conductor (ABC) users to create proforma Cost and Usage Reports (CUR) programmatically.
* api-change:``cloudtrail``: This release adds a new API GenerateQuery that generates a query from a natural language prompt about the event data in your event data store. This operation uses generative artificial intelligence (generative AI) to produce a ready-to-use SQL query from the prompt.
* api-change:``dynamodb``: This release includes supports the new WarmThroughput feature for DynamoDB. You can now provide an optional WarmThroughput attribute for CreateTable or UpdateTable APIs to pre-warm your table or global secondary index. You can also use DescribeTable to see the latest WarmThroughput value.
* api-change:``ec2``: This release adds the source AMI details in DescribeImages API
* api-change:``internetmonitor``: Add new query type Routing_Suggestions regarding querying interface
* api-change:``mediaconvert``: This release adds support for ARN inputs in the Kantar credentials secrets name field and the MSPR field to the manifests for PlayReady DRM protected outputs.
* api-change:``organizations``: Add support for policy operations on the Resource Control Polices.


1.36.0
======

* api-change:``codebuild``: AWS CodeBuild now supports non-containerized Linux and Windows builds on Reserved Capacity.
* api-change:``controltower``: Added ResetEnabledControl API.
* api-change:``fis``: This release adds support for generating experiment reports with the experiment report configuration
* api-change:``gamelift``: Amazon GameLift releases container fleets support for general availability. Deploy Linux-based containerized game server software for hosting on Amazon GameLift.
* api-change:``payment-cryptography``: Updated ListAliases API with KeyArn filter.
* api-change:``rds``: Updates Amazon RDS documentation for Amazon RDS Extended Support for Amazon Aurora MySQL.
* feature:shorthand: Adds support to shorthand syntax for loading parameters from files via the ``@=`` assignment operator.


1.35.24
=======

* api-change:``cloudfront``: No API changes from previous release. This release migrated the model to Smithy keeping all features unchanged.
* api-change:``inspector2``: Adds support for filePath filter.
* api-change:``lambda``: Add Python 3.13 (python3.13) support to AWS Lambda
* api-change:``opensearch``: Adds Support for new AssociatePackages and DissociatePackages API in Amazon OpenSearch Service that allows association and dissociation operations to be carried out on multiple packages at the same time.
* api-change:``outposts``: This release updates StartCapacityTask to allow an active Outpost to be modified. It also adds a new API to list all running EC2 instances on the Outpost.


1.35.23
=======

* api-change:``batch``: This feature allows override LaunchTemplates to be specified in an AWS Batch Compute Environment.
* api-change:``bedrock-agent-runtime``: This release adds trace functionality to Bedrock Prompt Flows
* api-change:``chime-sdk-media-pipelines``: Added support for Media Capture Pipeline and Media Concatenation Pipeline for customer managed server side encryption. Now Media Capture Pipeline can use IAM sink role to get access to KMS key and encrypt/decrypt recorded artifacts. KMS key ID can also be supplied with encryption context.
* api-change:``controlcatalog``: AWS Control Catalog GetControl public API returns additional data in output, including Implementation and Parameters
* api-change:``eks``: Adds new error code `Ec2InstanceTypeDoesNotExist` for Amazon EKS managed node groups
* api-change:``firehose``: Amazon Data Firehose / Features : Adds support for a new DeliveryStreamType, DatabaseAsSource. DatabaseAsSource hoses allow customers to stream CDC events from their RDS and Amazon EC2 hosted databases, running MySQL and PostgreSQL database engines, to Iceberg Table destinations.
* api-change:``lambda``: This release adds support for using AWS KMS customer managed keys to encrypt AWS Lambda .zip deployment packages.
* api-change:``pinpoint-sms-voice-v2``: Added the RequiresAuthenticationTimestamp field to the RegistrationVersionStatusHistory data type.
* api-change:``qbusiness``: Adds S3 path option to pass group member list for PutGroup API.


1.35.22
=======

* api-change:``autoscaling``: Auto Scaling groups now support the ability to strictly balance instances across Availability Zones by configuring the AvailabilityZoneDistribution parameter. If balanced-only is configured for a group, launches will always be attempted in the under scaled Availability Zone even if it is unhealthy.
* api-change:``bedrock-agent``: Add prompt support for chat template configuration and agent generative AI resource. Add support for configuring an optional guardrail in Prompt and Knowledge Base nodes in Prompt Flows. Add API to validate flow definition
* api-change:``bedrock-runtime``: Add Prompt management support to Bedrock runtime APIs: Converse, ConverseStream, InvokeModel, InvokeModelWithStreamingResponse
* api-change:``cleanrooms``: This release introduces support for Custom Models in AWS Clean Rooms ML.
* api-change:``cleanroomsml``: This release introduces support for Custom Models in AWS Clean Rooms ML.
* api-change:``quicksight``: Add Client Credentials based OAuth support for Snowflake and Starburst
* api-change:``resource-explorer-2``: Add GetManagedView, ListManagedViews APIs.
* api-change:``synthetics``: Add support to toggle if a canary will automatically delete provisioned canary resources such as Lambda functions and layers when a canary is deleted.  This behavior can be controlled via the new ProvisionedResourceCleanup property exposed in the CreateCanary and UpdateCanary APIs.


1.35.21
=======

* api-change:``codebuild``: AWS CodeBuild now adds additional compute types for reserved capacity fleet.
* api-change:``guardduty``: GuardDuty RDS Protection expands support for Amazon Aurora PostgreSQL Limitless Databases.
* api-change:``lakeformation``: API changes for new named tag expressions feature.
* api-change:``qapps``: Introduces category apis in AmazonQApps. Web experience users use Categories to tag and filter library items.
* api-change:``s3control``: Fix ListStorageLensConfigurations and ListStorageLensGroups deserialization for Smithy SDKs.
* api-change:``verifiedpermissions``: Adding BatchGetPolicy API which supports the retrieval of multiple policies across multiple policy stores within a single request.


1.35.20
=======

* api-change:``bedrock-agent``: Amazon Bedrock Knowledge Bases now supports using application inference profiles to increase throughput and improve resilience.
* api-change:``docdb-elastic``: Amazon DocumentDB Elastic Clusters adds support for pending maintenance actions feature with APIs GetPendingMaintenanceAction, ListPendingMaintenanceActions and ApplyPendingMaintenanceAction
* api-change:``logs``: This release introduces an improvement in PutLogEvents
* api-change:``taxsettings``: Add support for supplemental tax registrations via these new APIs: PutSupplementalTaxRegistration, ListSupplementalTaxRegistrations, and DeleteSupplementalTaxRegistration.


1.35.19
=======

* api-change:``amp``: Added support for UpdateScraper API, to enable updating collector configuration in-place
* api-change:``autoscaling``: Adds bake time for Auto Scaling group Instance Refresh
* api-change:``batch``: Add `podNamespace` to `EksAttemptDetail` and `containerID` to `EksAttemptContainerDetail`.
* api-change:``elbv2``: Add UDP support for AWS PrivateLink and dual-stack Network Load Balancers
* api-change:``glue``: Add schedule support for AWS Glue column statistics
* api-change:``sagemaker``: SageMaker HyperPod adds scale-down at instance level via BatchDeleteClusterNodes API and group level via UpdateCluster API. SageMaker Training exposes secondary job status in TrainingJobSummary from ListTrainingJobs API. SageMaker now supports G6, G6e, P5e instances for HyperPod and Training.
* api-change:``sesv2``: This release enables customers to provide the email template content in the SESv2 SendEmail and SendBulkEmail APIs instead of the name or the ARN of a stored email template.


1.35.18
=======

* api-change:``appsync``: This release adds support for AppSync Event APIs.
* api-change:``connect``: Updated the public documentation for the UserIdentityInfo object to accurately reflect the character limits for the FirstName and LastName fields, which were previously listed as 1-100 characters.
* api-change:``datasync``: AWS DataSync now supports Enhanced mode tasks. This task mode supports transfer of virtually unlimited numbers of objects with enhanced metrics, more detailed logs, and higher performance than Basic mode. This mode currently supports transfers between Amazon S3 locations.
* api-change:``ec2``: This release adds two new capabilities to VPC Security Groups: Security Group VPC Associations and Shared Security Groups.
* api-change:``ecs``: This release supports service deployments and service revisions which provide a comprehensive view of your Amazon ECS service history.
* api-change:``geo-maps``: Release of Amazon Location Maps API. Maps enables you to build digital maps that showcase your locations, visualize your data, and unlock insights to drive your business
* api-change:``geo-places``: Release of Amazon Location Places API. Places enables you to quickly search, display, and filter places, businesses, and locations based on proximity, category, and name
* api-change:``geo-routes``: Release of Amazon Location Routes API. Routes enables you to plan efficient routes and streamline deliveries by leveraging real-time traffic, vehicle restrictions, and turn-by-turn directions.
* api-change:``keyspaces``: Adds support for interacting with user-defined types (UDTs) through the following new operations: Create-Type, Delete-Type, List-Types, Get-Type.
* api-change:``network-firewall``: AWS Network Firewall now supports configuring TCP idle timeout
* api-change:``opensearch``: This release introduces the new OpenSearch user interface (Dashboards), a new web-based application that can be associated with multiple data sources across OpenSearch managed clusters, serverless collections, and Amazon S3, so that users can gain a comprehensive insights in an unified interface.
* api-change:``opensearchserverless``: Neo Integration via IAM Identity Center (IdC)
* api-change:``redshift``: This release launches S3 event integrations to create and manage integrations from an Amazon S3 source into an Amazon Redshift database.
* api-change:``redshift-serverless``: Adds and updates API members for the Redshift Serverless AI-driven scaling and optimization feature using the price-performance target setting.
* api-change:``route53``: This release adds support for TLSA, SSHFP, SVCB, and HTTPS record types.
* api-change:``sagemaker``: Added support for Model Registry Staging construct. Users can define series of stages that models can progress through for model workflows and lifecycle. This simplifies tracking and managing models as they transition through development, testing, and production stages.
* api-change:``workmail``: This release adds support for Multi-Factor Authentication (MFA) and Personal Access Tokens through integration with AWS IAM Identity Center.


1.35.17
=======

* api-change:``bedrock``: Update Application Inference Profile
* api-change:``bedrock-runtime``: Update Application Inference Profile
* api-change:``cleanrooms``: This release adds the option for customers to configure analytics engine when creating a collaboration, and introduces the new SPARK analytics engine type in addition to maintaining the legacy CLEAN_ROOMS_SQL engine type.
* api-change:``iotfleetwise``: Updated BatchCreateVehicle and BatchUpdateVehicle APIs: LimitExceededException has been added and the maximum number of vehicles in a batch has been set to 10 explicitly
* api-change:``logs``: Added support for new optional baseline parameter in the UpdateAnomaly API. For UpdateAnomaly requests with baseline set to True, The anomaly behavior is then treated as baseline behavior. However, more severe occurrences of this behavior will still be reported as anomalies.
* api-change:``redshift-data``: Adding a new API GetStatementResultV2 that supports CSV formatted results from ExecuteStatement and BatchExecuteStatement calls.
* api-change:``sagemaker``: Adding `notebook-al2-v3` as allowed value to SageMaker NotebookInstance PlatformIdentifier attribute


1.35.16
=======

* api-change:``mediapackagev2``: MediaPackage V2 Live to VOD Harvester is a MediaPackage V2 feature, which is used to export content from an origin endpoint to a S3 bucket.
* api-change:``opensearch``: Adds support for provisioning dedicated coordinator nodes. Coordinator nodes can be specified using the new NodeOptions parameter in ClusterConfig.
* api-change:``rds``: This release adds support for Enhanced Monitoring and Performance Insights when restoring Aurora Limitless Database DB clusters. It also adds support for the os-upgrade pending maintenance action.
* api-change:``storagegateway``: Documentation update: Amazon FSx File Gateway will no longer be available to new customers.


1.35.15
=======

* api-change:``bedrock-agent``: Add support of new model types for Bedrock Agents, Adding inference profile support for Flows and Prompt Management, Adding new field to configure additional inference configurations for Flows and Prompt Management
* api-change:``codebuild``: AWS CodeBuild now supports automatically retrying failed builds
* api-change:``lambda``: Add TagsError field in Lambda GetFunctionResponse. The TagsError field contains details related to errors retrieving tags.
* api-change:``logs``: Adding inferred token name for dynamic tokens in Anomalies.
* api-change:``supplychain``: API doc updates, and also support showing error message on a failed instance


1.35.14
=======

* api-change:``appconfig``: This release improves deployment safety by granting customers the ability to REVERT completed deployments, to the last known good state.In the StopDeployment API revert case the status of a COMPLETE deployment will be REVERTED. AppConfig only allows a revert within 72 hours of deployment completion.
* api-change:``ec2``: This release includes a new API to describe some details of the Amazon Machine Images (AMIs) that were used to launch EC2 instances, even if those AMIs are no longer available for use.
* api-change:``ecs``: This release adds support for EBS volumes attached to Amazon ECS Windows tasks running on EC2 instances.
* api-change:``pcs``: Documentation update: added the default value of the Slurm configuration parameter scaleDownIdleTimeInSeconds to its description.
* api-change:``qbusiness``: Add a new field in chat response. This field can be used to support nested schemas in array fields
* bugfix:shorthand: Improve performance when parsing invalid shorthand syntax.


1.35.13
=======

* api-change:``bedrock``: Doc updates for supporting converse
* api-change:``connect``: Amazon Connect Service Feature: Add support to start screen sharing for a web calling contact.
* api-change:``ec2``: Amazon EC2 X8g, C8g and M8g instances are powered by AWS Graviton4 processors. X8g provide the lowest cost per GiB of memory among Graviton4 instances. C8g provide the best price performance for compute-intensive workloads. M8g provide the best price performance in for general purpose workloads.
* api-change:``mwaa``: Introducing InvokeRestApi which allows users to invoke the Apache Airflow REST API on the webserver with the specified inputs.
* api-change:``payment-cryptography``: Add support for ECC P-256 and P-384 Keys.
* api-change:``payment-cryptography-data``: Add ECDH support on PIN operations.


1.35.12
=======

* api-change:``bedrock-runtime``: Updating invoke regex to support imported models for converse API
* api-change:``imagebuilder``: Add macOS platform and instance placement options
* api-change:``m2``: Add AuthSecretsManagerArn optional parameter to batch job APIs, expand batch parameter limits, and introduce clientToken constraints.
* api-change:``rds``: Global clusters now expose the Endpoint attribute as one of its fields. It is a Read/Write endpoint for the global cluster which resolves to the Global Cluster writer instance.
* api-change:``repostspace``: Adds the BatchAddRole and BatchRemoveRole APIs.
* api-change:``timestream-query``: This release adds support for Query Insights, a feature that provides details of query execution, enabling users to identify areas for improvement to optimize their queries, resulting in improved query performance and lower query costs.


1.35.11
=======

* api-change:``application-insights``: This feature enables customers to specify SNS Topic ARN. CloudWatch Application Insights (CWAI) will utilize this ARN to send problem notifications.
* api-change:``autoscaling``: Adds support for removing the PlacementGroup setting on an Auto Scaling Group through the UpdateAutoScalingGroup API.
* api-change:``bedrock-agent-runtime``: Knowledge Bases for Amazon Bedrock now supports custom prompts and model parameters in the orchestrationConfiguration of the RetrieveAndGenerate API. The modelArn field accepts Custom Models and Imported Models ARNs.
* api-change:``dms``: Added support for tagging in StartReplicationTaskAssessmentRun API and introduced IsLatestTaskAssessmentRun and ResultStatistic fields for enhanced tracking and assessment result statistics.
* api-change:``ec2``: Amazon EC2 now allows you to create network interfaces with just the EFA driver and no ENA driver by specifying the network interface type as efa-only.
* api-change:``eks``: This release adds support for Amazon Application Recovery Controller (ARC) zonal shift and zonal autoshift with EKS that enhances the resiliency of multi-AZ cluster environments
* api-change:``fms``: Update AWS WAF policy - add the option to retrofit existing web ACLs instead of creating all new web ACLs.
* api-change:``payment-cryptography-data``: Adding new API to generate authenticated scripts for EMV pin change use cases.
* api-change:``wafv2``: Add a property to WebACL to indicate whether it's been retrofitted by Firewall Manager.


1.35.10
=======

* api-change:``athena``: Removing FEDERATED from Create/List/Delete/GetDataCatalog API
* api-change:``bedrock``: Adding converse support to CMI API's
* api-change:``bedrock-runtime``: Added converse support for custom imported models
* api-change:``datazone``: Adding the following project member designations: PROJECT_CATALOG_VIEWER, PROJECT_CATALOG_CONSUMER and PROJECT_CATALOG_STEWARD in the CreateProjectMembership API and PROJECT_CATALOG_STEWARD designation in the AddPolicyGrant API.
* api-change:``ec2``: RequestSpotInstances and RequestSpotFleet feature release.


1.35.9
======

* api-change:``bedrock-agent``: Removing support for topK property in PromptModelInferenceConfiguration object, Making PromptTemplateConfiguration property as required, Limiting the maximum PromptVariant to 1
* api-change:``dataexchange``: This release adds Data Grant support, through which customers can programmatically create data grants to share with other AWS accounts and accept data grants from other AWS accounts.
* api-change:``ecs``: This is an Amazon ECS documentation only update to address tickets.
* api-change:``pinpoint-sms-voice-v2``: Added the registrations status of REQUIRES_AUTHENTICATION
* api-change:``pipes``: This release adds validation to require specifying a SecurityGroup and Subnets in the Vpc object under PipesSourceSelfManagedKafkaParameters. It also adds support for iso-e, iso-f, and other non-commercial partitions in ARN parameters.
* api-change:``quicksight``: Add StartDashboardSnapshotJobSchedule API. RestoreAnalysis now supports restoring analysis to folders.
* api-change:``rds``: Updates Amazon RDS documentation for TAZ IAM support
* api-change:``workspaces``: Updated the DomainName pattern for Active Directory


1.35.8
======

* api-change:``s3``: Add support for the new optional bucket-region and prefix query parameters in the ListBuckets API. For ListBuckets requests that express pagination, Amazon S3 will now return both the bucket names and associated AWS regions in the response.


1.35.7
======

* api-change:``amplify``: Added sourceUrlType field to StartDeployment request
* api-change:``cloudformation``: Documentation update for AWS CloudFormation API Reference.
* api-change:``codebuild``: Enable proxy for reserved capacity fleet.
* api-change:``ivs``: On a channel that you own, you can now replace an ongoing stream with a new stream by streaming up with the priority parameter appended to the stream key.
* api-change:``qbusiness``: Amazon Q Business now supports embedding the Amazon Q Business web experience on third-party websites.
* api-change:``redshift``: This release launches the CreateIntegration, DeleteIntegration, DescribeIntegrations and ModifyIntegration APIs to create and manage Amazon Redshift Zero-ETL Integrations.
* api-change:``resiliencehub``: AWS Resilience Hub now integrates with the myApplications platform, enabling customers to easily assess the resilience of applications defined in myApplications. The new Resiliency widget provides visibility into application resilience and actionable recommendations for improvement.
* api-change:``sesv2``: This release adds support for email maximum delivery seconds that allows senders to control the time within which their emails are attempted for delivery.


1.35.6
======

* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support automatically retrying failed stages and skipping stage for failed entry conditions.
* api-change:``mailmanager``: Mail Manager support for viewing and exporting metadata of archived messages.
* api-change:``securitylake``: This release updates request validation regex for resource ARNs.
* api-change:``supplychain``: This release adds AWS Supply Chain instance management functionality. Specifically adding CreateInstance, DeleteInstance, GetInstance, ListInstances, and UpdateInstance APIs.
* api-change:``transfer``: This release enables customers using SFTP connectors to query the transfer status of their files to meet their monitoring needs as well as orchestrate post transfer actions.


1.35.5
======

* api-change:``appflow``: Doc only updates for clarification around OAuth2GrantType for Salesforce.
* api-change:``elbv2``: Add zonal_shift.config.enabled attribute. Add new AdministrativeOverride construct in the describe-target-health API response to include information about the override status applied to a target.
* api-change:``emr``: This release provides new parameter "Context" in instance fleet clusters.
* api-change:``guardduty``: Added a new field for network connection details.
* api-change:``robomaker``: Documentation update: added support notices to each API action.


1.35.4
======

* api-change:``acm-pca``: Documentation updates for AWS Private CA.
* api-change:``dms``: Introduces DescribeDataMigrations, CreateDataMigration, ModifyDataMigration, DeleteDataMigration, StartDataMigration, StopDataMigration operations to SDK. Provides FailedDependencyFault error message.
* api-change:``ec2``: This release adds support for assigning the billing of shared Amazon EC2 On-Demand Capacity Reservations.
* api-change:``ecs``: This is a documentation only release that updates to documentation to let customers know that Amazon Elastic Inference is no longer available.
* api-change:``elastic-inference``: Elastic Inference - Documentation update to add service shutdown notice.
* api-change:``iotfleetwise``: Refine campaign related API validations
* api-change:``neptune-graph``: Support for 16 m-NCU graphs available through account allowlisting
* api-change:``outposts``: Adding new "DELIVERED" enum value for Outposts Order status
* api-change:``route53resolver``: Route 53 Resolver Forwarding Rules can now include a server name indication (SNI) in the target address for rules that use the DNS-over-HTTPS (DoH) protocol. When a DoH-enabled Outbound Resolver Endpoint forwards a request to a DoH server, it will provide the SNI in the TLS handshake.
* api-change:``socialmessaging``: This release for AWS End User Messaging includes a public SDK, providing a suite of APIs that enable sending WhatsApp messages to end users.
* api-change:``timestream-influxdb``: This release updates our regex based validation rules in regards to valid DbInstance and DbParameterGroup name.


1.35.3
======

* api-change:``codepipeline``: AWS CodePipeline introduces a Compute category


1.35.2
======

* api-change:``elasticache``: AWS ElastiCache SDK now supports using APIs with newly launched Valkey engine. Please refer to updated AWS ElastiCache public documentation for detailed information on API usage.
* api-change:``memorydb``: Amazon MemoryDB SDK now supports all APIs for newly launched Valkey engine. Please refer to the updated Amazon MemoryDB public documentation for detailed information on API usage.
* enhancement:``s3``: Adds logic to gracefully handle invalid timestamps returned in the Expires header.


1.35.1
======

* api-change:``deadline``: Add support for using the template from a previous job during job creation and listing parameter definitions for a job.
* api-change:``marketplace-reporting``: Documentation-only update for AWS Marketplace Reporting API.
* api-change:``qconnect``: This release adds support for the following capabilities: Configuration of the Gen AI system via AIAgent and AIPrompts. Integration support for Bedrock Knowledge Base.
* api-change:``redshift``: Add validation pattern to S3KeyPrefix on the EnableLogging API


1.35.0
======

* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``iot-data``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* feature:s3: Adds ``--checksum-mode`` and ``--checksum-algorithm`` parameters to high-level ``s3`` commands.


1.34.33
=======

* api-change:``codepipeline``: AWS CodePipeline introduces Commands action that enables you to easily run shell commands as part of your pipeline execution.
* api-change:``connect``: Public GetMetricDataV2 Grouping increase from 3 to 4
* api-change:``ec2``: This release includes a new API for modifying instance cpu-options after launch.
* api-change:``iot``: This release adds support for Custom Authentication with X.509 Client Certificates, support for Custom Client Certificate validation, and support for selecting application protocol and authentication type without requiring TLS ALPN for customer's AWS IoT Domain Configurations.
* api-change:``marketplace-reporting``: The AWS Marketplace Reporting service introduces the GetBuyerDashboard API. This API returns a dashboard that provides visibility into your organization's AWS Marketplace agreements and associated spend across the AWS accounts in your organization.
* api-change:``mediapackagev2``: Added support for ClipStartTime on the FilterConfiguration object on OriginEndpoint manifest settings objects. Added support for EXT-X-START tags on produced HLS child playlists.
* api-change:``quicksight``: QuickSight: Add support for exporting and importing folders in AssetBundle APIs


1.34.32
=======

* api-change:``appstream``: Added support for Automatic Time Zone Redirection on Amazon AppStream 2.0
* api-change:``b2bi``: Added and updated APIs to support outbound EDI transformations
* api-change:``bedrock-agent-runtime``: Added raw model response and usage metrics to PreProcessing and PostProcessing Trace
* api-change:``bedrock-runtime``: Added new fields to Amazon Bedrock Guardrails trace
* api-change:``iotdeviceadvisor``: Add clientToken attribute and implement idempotency for CreateSuiteDefinition.
* api-change:``ivs-realtime``: Adds new Stage Health EventErrorCodes applicable to RTMP(S) broadcasts. Bug Fix: Enforces that EncoderConfiguration Video height and width must be even-number values.
* api-change:``s3``: This release introduces a header representing the minimum object size limit for Lifecycle transitions.
* api-change:``sagemaker``: releasing builtinlcc to public
* api-change:``workspaces``: WSP is being rebranded to become DCV.


1.34.31
=======

* api-change:``bedrock-agent``: This release adds support to stop an ongoing ingestion job using the StopIngestionJob API in Agents for Amazon Bedrock.
* api-change:``codeartifact``: Add support for the dual stack endpoints.
* api-change:``rds``: This release provides additional support for enabling Aurora Limitless Database DB clusters.


1.34.30
=======

* api-change:``bedrock``: Add support for custom models via provisioned throughput for Bedrock Model Evaluation
* api-change:``clouddirectory``: Add examples for API operations in model.
* api-change:``connect``: Amazon Connect introduces StartOutboundChatContact API allowing customers to initiate outbound chat contacts
* api-change:``pricing``: Add examples for API operations in model.
* api-change:``resource-groups``: This update includes new APIs to support application groups and to allow users to manage resource tag-sync tasks in applications.
* api-change:``supplychain``: Release DataLakeDataset, DataIntegrationFlow and ResourceTagging APIs for AWS Supply Chain
* api-change:``timestream-influxdb``: Timestream for InfluxDB now supports port configuration and additional customer-modifiable InfluxDB v2 parameters. This release adds Port to the CreateDbInstance and UpdateDbInstance API, and additional InfluxDB v2 parameters to the CreateDbParameterGroup API.
* api-change:``verifiedpermissions``: Add examples for API operations in model.


1.34.29
=======

* api-change:``customer-profiles``: Introduces optional RoleArn parameter for PutIntegration request and includes RoleArn in the response of PutIntegration, GetIntegration and ListIntegrations
* api-change:``quicksight``: Adding personalization in QuickSight data stories. Admins can enable or disable personalization through QuickSight settings.
* api-change:``securityhub``: Documentation updates for AWS Security Hub
* api-change:``sesv2``: This release adds support for engagement tracking over Https using custom domains.


1.34.28
=======

* api-change:``chatbot``: Return State and StateReason fields for Chatbot Channel Configurations.
* api-change:``lambda``: Reverting Lambda resource-based policy and block public access APIs.
* api-change:``organizations``: Add support for policy operations on the CHATBOT_POLICY policy type.
* api-change:``pcs``: AWS PCS API documentation - Edited the description of the iamInstanceProfileArn parameter of the CreateComputeNodeGroup and UpdateComputeNodeGroup actions; edited the description of the SlurmCustomSetting data type to list the supported parameters for clusters and compute node groups.
* api-change:``rds-data``: Documentation update for RDS Data API to reflect support for Aurora MySQL Serverless v2 and Provisioned DB clusters.
* api-change:``sagemaker``: Adding `TagPropagation` attribute to Sagemaker API


1.34.27
=======

* api-change:``cloudtrail``: Doc-only update for CloudTrail network activity events release (in preview)
* api-change:``ec2``: Updates to documentation for the transit gateway security group referencing feature.
* api-change:``fsx``: Doc-only update to address Lustre S3 hard-coded names.


1.34.26
=======

* api-change:``bedrock``: Add support for Cross Region Inference in Bedrock Model Evaluations.
* api-change:``budgets``: Releasing minor partitional endpoint updates
* api-change:``kinesis``: This release includes support to add tags when creating a stream
* api-change:``pinpoint-sms-voice-v2``: AWS End User Messaging SMS-Voice V2 has added support for resource policies. Use the three new APIs to create, view, edit, and delete resource policies.
* api-change:``sagemaker``: Adding `HiddenInstanceTypes` and `HiddenSageMakerImageVersionAliases` attribute to SageMaker API


1.34.25
=======

* api-change:``apigateway``: Documentation updates for Amazon API Gateway
* api-change:``athena``: List/Get/Update/Delete/CreateDataCatalog now integrate with AWS Glue connections. Users can create a Glue connection through Athena or use a Glue connection to define their Athena federated parameters.
* api-change:``bedrock-agent``: Amazon Bedrock Prompt Flows and Prompt Management now supports using inference profiles to increase throughput and improve resilience.
* api-change:``ec2``: Amazon EC2 G6e instances powered by NVIDIA L40S Tensor Core GPUs are the most cost-efficient GPU instances for deploying generative AI models and the highest performance GPU instances for spatial computing workloads.
* api-change:``emr-serverless``: This release adds support for job concurrency and queuing configuration at Application level.
* api-change:``glue``: Added AthenaProperties parameter to Glue Connections, allowing Athena to store service specific properties on Glue Connections.
* api-change:``rds``: Support ComputeRedundancy parameter in ModifyDBShardGroup API. Add DBShardGroupArn in DBShardGroup API response. Remove InvalidMaxAcuFault from CreateDBShardGroup and ModifyDBShardGroup API. Both API will throw InvalidParameterValueException for invalid ACU configuration.
* api-change:``resource-explorer-2``: AWS Resource Explorer released ListResources feature which allows customers to list all indexed AWS resources within a view.


1.34.24
=======

* api-change:``dynamodb``: Generate account endpoint for DynamoDB requests when the account ID is available
* api-change:``neptune``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``sagemaker``: Amazon SageMaker now supports using manifest files to specify the location of uncompressed model artifacts within Model Packages
* api-change:``sagemaker-metrics``: This release introduces support for the SageMaker Metrics BatchGetMetrics API.
* api-change:``workspaces``: Releasing new ErrorCodes for SysPrep failures during ImageImport and CreateImage process
* enhancement:paginator: Add warning when a non-positive value is provided for the max-items pagination parameter.


1.34.23
=======

* api-change:``codeconnections``: This release adds the PullRequestComment field to CreateSyncConfiguration API input, UpdateSyncConfiguration API input, GetSyncConfiguration API output and ListSyncConfiguration API output
* api-change:``glue``: This change is for releasing TestConnection api SDK model
* api-change:``lambda``: Tagging support for Lambda event source mapping, and code signing configuration resources.
* api-change:``mediaconvert``: This release provides support for additional DRM configurations per SPEKE Version 2.0.
* api-change:``medialive``: Adds Bandwidth Reduction Filtering for HD AVC and HEVC encodes, multiplex container settings.
* api-change:``quicksight``: QuickSight: 1. Add new API - ListFoldersForResource. 2. Commit mode adds visibility configuration of Apply button on multi-select controls for authors.
* api-change:``sagemaker``: Introduced support for G6e instance types on SageMaker Studio for JupyterLab and CodeEditor applications.
* api-change:``workspaces-web``: WorkSpaces Secure Browser now enables Administrators to view and manage end-user browsing sessions via Session Management APIs.


1.34.22
=======

* api-change:``ce``: This release extends the GetReservationPurchaseRecommendation API to support recommendations for Amazon DynamoDB reservations.
* api-change:``ds``: Added new APIs for enabling, disabling, and describing access to the AWS Directory Service Data API
* api-change:``ds-data``: Added new AWS Directory Service Data API, enabling you to manage data stored in AWS Directory Service directories. This includes APIs for creating, reading, updating, and deleting directory users, groups, and group memberships.
* api-change:``guardduty``: Add `launchType` and `sourceIPs` fields to GuardDuty findings.
* api-change:``mailmanager``: Introduce a new RuleSet condition evaluation, where customers can set up a StringExpression with a MimeHeader condition. This condition will perform the necessary validation based on the X-header provided by customers.
* api-change:``rds``: Updates Amazon RDS documentation with information upgrading snapshots with unsupported engine versions for RDS for MySQL and RDS for PostgreSQL.
* api-change:``s3``: Added SSE-KMS support for directory buckets.


1.34.21
=======

* api-change:``codebuild``: GitLab Enhancements - Add support for Self-Hosted GitLab runners in CodeBuild. Add group webhooks
* api-change:``ecr``: The `DescribeImageScanning` API now includes `fixAvailable`, `exploitAvailable`, and `fixedInVersion` fields to provide more detailed information about the availability of fixes, exploits, and fixed versions for identified image vulnerabilities.
* api-change:``ecs``: This is a documentation only release to address various tickets.
* api-change:``lambda``: Support for JSON resource-based policies and block public access
* api-change:``rds``: Updates Amazon RDS documentation with configuration information about the BYOL model for RDS for Db2.
* api-change:``ssm``: Support for additional levels of cross-account, cross-Region organizational units in Automation. Various documentation updates.


1.34.20
=======

* api-change:``bedrock``: This feature adds cross account s3 bucket and VPC support to ModelInvocation jobs. To use a cross account bucket, pass in the accountId of the bucket to s3BucketOwner in the ModelInvocationJobInputDataConfig or ModelInvocationJobOutputDataConfig.
* api-change:``iot``: This release adds additional enhancements to AWS IoT Device Management Software Package Catalog and Jobs. It also adds SBOM support in Software Package Version.
* api-change:``medialive``: Removing the ON_PREMISE enum from the input settings field.
* api-change:``organizations``: Doc only update for AWS Organizations that fixes several customer-reported issues
* api-change:``pca-connector-scep``: This is a general availability (GA) release of Connector for SCEP, a feature of AWS Private CA. Connector for SCEP links your SCEP-enabled and mobile device management systems to AWS Private CA for digital signature installation and certificate management.
* api-change:``rds``: Launching Global Cluster tagging.


1.34.19
=======

* api-change:``amplify``: Doc only update to Amplify to explain platform setting for Next.js 14 SSG only applications
* api-change:``ivs``: Updates to all tags descriptions.
* api-change:``ivschat``: Updates to all tags descriptions.


1.34.18
=======

* api-change:``cognito-idp``: Added email MFA option to user pools with advanced security features.
* api-change:``elbv2``: Correct incorrectly mapped error in ELBv2 waiters
* api-change:``emr``: Update APIs to allow modification of ODCR options, allocation strategy, and InstanceTypeConfigs on running InstanceFleet clusters.
* api-change:``glue``: AWS Glue is introducing two new optimizers for Apache Iceberg tables: snapshot retention and orphan file deletion. Customers can enable these optimizers and customize their configurations to perform daily maintenance tasks on their Iceberg tables based on their specific requirements.
* api-change:``mediaconvert``: This release includes support for dynamic video overlay workflows, including picture-in-picture and squeezeback
* api-change:``rds``: This release adds support for the os-upgrade pending maintenance action for Amazon Aurora DB clusters.
* api-change:``storagegateway``: The S3 File Gateway now supports DSSE-KMS encryption. A new parameter EncryptionType is added to these APIs: CreateSmbFileShare, CreateNfsFileShare, UpdateSmbFileShare, UpdateNfsFileShare, DescribeSmbFileShares, DescribeNfsFileShares. Also, in favor of EncryptionType, KmsEncrypted is deprecated.
* api-change:``synthetics``: This release introduces two features. The first is tag replication, which allows for the propagation of canary tags onto Synthetics related resources, such as Lambda functions. The second is a limit increase in canary name length, which has now been increased from 21 to 255 characters.


1.34.17
=======

* api-change:``bedrock-agent``: Amazon Bedrock Knowledge Bases now supports using inference profiles to increase throughput and improve resilience.
* api-change:``bedrock-agent-runtime``: Amazon Bedrock Knowledge Bases now supports using inference profiles to increase throughput and improve resilience.
* api-change:``ecr``: Added KMS_DSSE to EncryptionType
* api-change:``guardduty``: Add support for new statistic types in GetFindingsStatistics.
* api-change:``lexv2-models``: Support new Polly voice engines in VoiceSettings: long-form and generative
* api-change:``medialive``: Adds AV1 Codec support, SRT ouputs, and MediaLive Anywhere support.


1.34.16
=======

* api-change:``chime-sdk-voice``: Documentation-only update that clarifies the ValidateE911Address action of the Amazon Chime SDK Voice APIs.
* api-change:``cognito-identity``: This release adds sensitive trait to some required shapes.
* api-change:``pipes``: This release adds support for customer managed KMS keys in Amazon EventBridge Pipe
* api-change:``securityhub``: Documentation update for Security Hub


1.34.15
=======

* api-change:``dynamodb``: Doc-only update for DynamoDB. Added information about async behavior for TagResource and UntagResource APIs and updated the description of ResourceInUseException.
* api-change:``elbv2``: Add paginators for the ELBv2 DescribeListenerCertificates and DescribeRules APIs. Fix broken waiter for the ELBv2 DescribeLoadBalancers API.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to broadcast to Stages using RTMP(S).
* api-change:``kafka``: Amazon MSK Replicator can now replicate data to identically named topics between MSK clusters within the same AWS Region or across different AWS Regions.
* api-change:``sagemaker``: Amazon Sagemaker supports orchestrating SageMaker HyperPod clusters with Amazon EKS
* api-change:``sagemaker-runtime``: AWS SageMaker Runtime feature: Add sticky routing to support stateful inference models.


1.34.14
=======

* api-change:``qapps``: Adds UpdateLibraryItemMetadata api to change status of app for admin verification feature and returns isVerified field in any api returning the app or library item.


1.34.13
=======

* api-change:``application-signals``: Amazon CloudWatch Application Signals now supports creating Service Level Objectives using a new calculation type. Users can now create SLOs which are configured with request-based SLIs to help meet their specific business requirements.
* api-change:``codepipeline``: Updates to add recent notes to APIs and to replace example S3 bucket names globally.
* api-change:``connect``: Amazon Connect Custom Vocabulary now supports Catalan (Spain), Danish (Denmark), Dutch (Netherlands), Finnish (Finland), Indonesian (Indonesia), Malay (Malaysia), Norwegian Bokmal (Norway), Polish (Poland), Swedish (Sweden), and Tagalog/Filipino (Philippines).
* api-change:``gamelift``: Amazon GameLift provides additional events for tracking the fleet creation process.
* api-change:``kinesisanalyticsv2``: Support for Flink 1.20 in Managed Service for Apache Flink
* api-change:``sagemaker``: Amazon SageMaker now supports idle shutdown of JupyterLab and CodeEditor applications on SageMaker Studio.


1.34.12
=======

* api-change:``appsync``: Adds new logging levels (INFO and DEBUG) for additional log output control
* api-change:``bedrock-agent``: Add support for user metadata inside PromptVariant.
* api-change:``finspace``: Updates Finspace documentation for smaller instances.
* api-change:``fis``: This release adds safety levers, a new mechanism to stop all running experiments and prevent new experiments from starting.
* api-change:``logs``: Update to support new APIs for delivery of logs from AWS services.
* api-change:``s3control``: Amazon Simple Storage Service /S3 Access Grants / Features : This release launches new Access Grants API - ListCallerAccessGrants.


1.34.11
=======

* api-change:``connect``: Release ReplicaConfiguration as part of DescribeInstance
* api-change:``datazone``: Add support to let data publisher specify a subset of the data asset that a subscriber will have access to based on the asset filters provided, when accepting a subscription request.
* api-change:``elbv2``: This release adds support for configuring TCP idle timeout on NLB and GWLB listeners.
* api-change:``mediaconnect``: AWS Elemental MediaConnect introduces thumbnails for Flow source monitoring. Thumbnails provide still image previews of the live content feeding your MediaConnect Flow allowing you to easily verify that your source is operating as expected.
* api-change:``medialive``: Added MinQP as a Rate Control option for H264 and H265 encodes.
* api-change:``sagemaker``: Amazon SageMaker now supports automatic mounting of a user's home folder in the Amazon Elastic File System (EFS) associated with the SageMaker Studio domain to their Studio Spaces to enable users to share data between their own private spaces.
* api-change:``timestream-influxdb``: Timestream for InfluxDB now supports compute scaling and deployment type conversion. This release adds the DbInstanceType and DeploymentType parameters to the UpdateDbInstance API.


1.34.10
=======

* api-change:``backup``: The latest update introduces two new attributes, VaultType and VaultState, to the DescribeBackupVault and ListBackupVaults APIs. The VaultState attribute reflects the current status of the vault, while the VaultType attribute indicates the specific category of the vault.
* api-change:``datazone``: Amazon DataZone now adds new governance capabilities of Domain Units for organization within your Data Domains, and Authorization Policies for tighter controls.
* api-change:``logs``: This release introduces a new optional parameter: Entity, in PutLogEvents request
* api-change:``redshift-data``: The release include the new Redshift DataAPI feature for session use, customer execute query with --session-keep-alive-seconds parameter and can submit follow-up queries to same sessions with returned`session-id`


1.34.9
======

* api-change:``bedrock-agent-runtime``: Lifting the maximum length on Bedrock KnowledgeBase RetrievalFilter array
* api-change:``bedrock-runtime``: Add support for imported-model in invokeModel and InvokeModelWithResponseStream.
* api-change:``personalize``: This releases ability to update automatic training scheduler for customer solutions
* api-change:``quicksight``: Increased Character Limit for Dataset Calculation Field expressions
* api-change:``stepfunctions``: This release adds support for static analysis to ValidateStateMachineDefinition API, which can now return optional WARNING diagnostics for semantic errors on the definition of an Amazon States Language (ASL) state machine.
* api-change:``wafv2``: The minimum request rate for a rate-based rule is now 10. Before this, it was 100.


1.34.8
======

* api-change:``appconfig``: This release adds support for deletion protection, which is a safety guardrail to prevent the unintentional deletion of a recently used AWS AppConfig Configuration Profile or Environment. This also includes a change to increase the maximum length of the Name parameter in UpdateConfigurationProfile.
* api-change:``datazone``: Update regex to include dot character to be consistent with IAM role creation in the authorized principal field for create and update subscription target.
* api-change:``devicefarm``: This release removed support for Calabash, UI Automation, Built-in Explorer, remote access record, remote access replay, and web performance profile framework in ScheduleRun API.
* api-change:``ec2``: Amazon VPC IP Address Manager (IPAM) now allows customers to provision IPv4 CIDR blocks and allocate Elastic IP Addresses directly from IPAM pools with public IPv4 space
* api-change:``internetmonitor``: Adds new querying types to show overall traffic suggestion information for monitors
* api-change:``pcs``: Introducing AWS Parallel Computing Service (AWS PCS), a new service makes it easy to setup and manage high performance computing (HPC) clusters, and build scientific and engineering models at virtually any scale on AWS.
* api-change:``workspaces``: Documentation-only update that clarifies the StartWorkspaces and StopWorkspaces actions, and a few other minor edits.


1.34.7
======

* api-change:``bedrock``: Amazon Bedrock SDK updates for Inference Profile.
* api-change:``bedrock-runtime``: Amazon Bedrock SDK updates for Inference Profile.
* api-change:``chatbot``: Update documentation to be consistent with the API docs
* api-change:``omics``: Adds data provenance to import jobs from read sets and references
* api-change:``polly``: Amazon Polly adds 2 new voices: Jitka (cs-CZ) and Sabrina (de-CH).


1.34.6
======

* api-change:``iotsitewise``: AWS IoT SiteWise now supports versioning for asset models. It enables users to retrieve active version of their asset model and perform asset model writes with optimistic lock.
* api-change:``workspaces``: This release adds support for creating and managing directories that use AWS IAM Identity Center as user identity source. Such directories can be used to create non-Active Directory domain joined WorkSpaces Personal.Updated RegisterWorkspaceDirectory and DescribeWorkspaceDirectories APIs.


1.34.5
======

* api-change:``bedrock-agent``: Releasing the support for Action User Confirmation.
* api-change:``bedrock-agent-runtime``: Releasing the support for Action User Confirmation.
* api-change:``codebuild``: Added support for the MAC_ARM environment type for CodeBuild fleets.
* api-change:``organizations``: Releasing minor partitional endpoint updates.
* api-change:``qbusiness``: Amazon QBusiness: Enable support for SAML and OIDC federation through AWS IAM Identity Provider integration.
* api-change:``supplychain``: Update API documentation to clarify the event SLA as well as the data model expectations


1.34.4
======

* api-change:``autoscaling``: Amazon EC2 Auto Scaling now provides EBS health check to manage EC2 instance replacement
* api-change:``bedrock``: Amazon Bedrock Evaluation BatchDeleteEvaluationJob API allows customers to delete evaluation jobs under terminated evaluation job statuses - Stopped, Failed, or Completed. Customers can submit a batch of 25 evaluation jobs to be deleted at once.
* api-change:``emr-containers``: Correct endpoint for FIPS is configured for US Gov Regions.
* api-change:``inspector2``: Add enums for Agentless scan statuses and EC2 enablement error states
* api-change:``quicksight``: Explicit query for authors and dashboard viewing sharing for embedded users
* api-change:``route53``: Amazon Route 53 now supports the Asia Pacific (Malaysia) Region (ap-southeast-5) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region.


1.34.3
======

* api-change:``ec2``: DescribeInstanceStatus now returns health information on EBS volumes attached to Nitro instances
* api-change:``entityresolution``: Increase the mapping attributes in Schema to 35.
* api-change:``glue``: Add optional field JobRunQueuingEnabled to CreateJob and UpdateJob APIs.
* api-change:``lambda``: Release FilterCriteria encryption for Lambda EventSourceMapping,  enabling customers to encrypt their filter criteria using a customer-owned KMS key.
* api-change:``securityhub``: Security Hub documentation and definition updates
* api-change:``ses``: Enable email receiving customers to provide SES with access to their S3 buckets via an IAM role for "Deliver to S3 Action"


1.34.2
======

* api-change:``ecs``: Documentation only release to address various tickets
* api-change:``opensearchserverless``: Added FailureCode and FailureMessage to BatchGetCollectionResponse for BatchGetVPCEResponse for non-Active Collection and VPCE.
* api-change:``s3``: Amazon Simple Storage Service / Features : Add support for conditional writes for PutObject and CompleteMultipartUpload APIs.


1.34.1
======

* api-change:``bedrock``: Amazon Bedrock Batch Inference/ Model Invocation is a feature which allows customers to asynchronously run inference on a large set of records/files stored in S3.
* api-change:``codebuild``: AWS CodeBuild now supports creating fleets with macOS platform for running builds.
* api-change:``deadline``: This release adds additional search fields and provides sorting by multiple fields.
* api-change:``lambda``: Release Lambda FunctionRecursiveConfig, enabling customers to turn recursive loop detection on or off on individual functions. This release adds two new APIs, GetFunctionRecursionConfig and PutFunctionRecursionConfig.
* api-change:``ssm-sap``: Add new attributes to the outputs of GetApplication and GetDatabase APIs.


1.34.0
======

* api-change:``batch``: Improvements of integration between AWS Batch and EC2.
* api-change:``inspector2``: Update the correct format of key and values for resource tags
* api-change:``quicksight``: Amazon QuickSight launches Customer Managed Key (CMK) encryption for Data Source metadata
* api-change:``sagemaker``: Introduce Endpoint and EndpointConfig Arns in sagemaker:ListPipelineExecutionSteps API response
* api-change:``sesv2``: Marking use case description field of account details as deprecated.
* enhancement:``codeartifact``: Update login command error message.


1.33.44
=======

* api-change:``docdb``: This release adds Global Cluster Failover capability which enables you to change your global cluster's primary AWS region, the region that serves writes, during a regional outage. Performing a failover action preserves your Global Cluster setup.
* api-change:``ecs``: This release introduces a new ContainerDefinition configuration to support the customer-managed keys for ECS container restart feature.
* api-change:``iam``: Make the LastUsedDate field in the GetAccessKeyLastUsed response optional. This may break customers who only call the API for access keys with a valid LastUsedDate. This fixes a deserialization issue for access keys without a LastUsedDate, because the field was marked as required but could be null.
* api-change:``s3``: Amazon Simple Storage Service / Features  : Adds support for pagination in the S3 ListBuckets API.


1.33.43
=======

* api-change:``codebuild``: AWS CodeBuild now supports using Secrets Manager to store git credentials and using multiple source credentials in a single project.


1.33.42
=======

* api-change:``amplify``: Add a new field "cacheConfig" that enables users to configure the CDN cache settings for an App
* api-change:``appstream``: This release includes following new APIs: CreateThemeForStack, DescribeThemeForStack, UpdateThemeForStack, DeleteThemeForStack to support custom branding programmatically.
* api-change:``fis``: This release adds support for additional error information on experiment failure. It adds the error code, location, and account id on relevant failures to the GetExperiment and ListExperiment API responses.
* api-change:``glue``: Add AttributesToGet parameter support for Glue GetTables
* api-change:``neptune-graph``: Amazon Neptune Analytics provides a new option for customers to load data into a graph using the RDF (Resource Description Framework) NTRIPLES format. When loading NTRIPLES files, use the value `convertToIri` for the `blankNodeHandling` parameter.


1.33.41
=======

* api-change:``compute-optimizer``: Doc only update for Compute Optimizer that fixes several customer-reported issues relating to ECS finding classifications
* api-change:``config``: Documentation update for the OrganizationConfigRuleName regex pattern.
* api-change:``ec2``: This release adds new capabilities to manage On-Demand Capacity Reservations including the ability to split your reservation, move capacity between reservations, and modify the instance eligibility of your reservation.
* api-change:``eks``: Added support for new AL2023 GPU AMIs to the supported AMITypes.
* api-change:``groundstation``: Updating documentation for OEMEphemeris to link to AWS Ground Station User Guide
* api-change:``medialive``: AWS Elemental MediaLive now supports now supports editing the PID values for a Multiplex.
* api-change:``sagemaker``: Releasing large data support as part of CreateAutoMLJobV2 in SageMaker Autopilot and CreateDomain API for SageMaker Canvas.


1.33.40
=======

* api-change:``cognito-idp``: Fixed a description of AdvancedSecurityAdditionalFlows in Amazon Cognito user pool configuration.
* api-change:``connect``: This release supports adding RoutingCriteria via UpdateContactRoutingData public API.
* api-change:``ssm``: Systems Manager doc-only updates for August 2024.


1.33.39
=======

* api-change:``cognito-idp``: Added support for threat protection for custom authentication in Amazon Cognito user pools.
* api-change:``connect``: This release fixes a regression in number of access control tags that are allowed to be added to a security profile in Amazon Connect. You can now add up to four access control tags on a single security profile.
* api-change:``ec2``: Launch of private IPv6 addressing for VPCs and Subnets. VPC IPAM supports the planning and monitoring of private IPv6 usage.
* api-change:``glue``: This release adds support to retrieve the validation status when creating or updating Glue Data Catalog Views. Also added is support for BasicCatalogTarget partition keys.


1.33.38
=======

* api-change:``appintegrations``: Updated CreateDataIntegration and CreateDataIntegrationAssociation API to support bulk data export from Amazon Connect Customer Profiles to the customer S3 bucket.
* api-change:``glue``: Introducing AWS Glue Data Quality anomaly detection, a new functionality that uses ML-based solutions to detect data anomalies users have not explicitly defined rules for.


1.33.37
=======

* api-change:``bedrock-agent-runtime``: Introduce model invocation output traces for orchestration traces, which contain the model's raw response and usage.
* api-change:``cognito-idp``: Advanced security feature updates to include password history and log export for Cognito user pools.
* api-change:``cost-optimization-hub``: This release adds savings percentage support to the ListRecommendationSummaries API.
* api-change:``workspaces``: Added support for BYOL_GRAPHICS_G4DN_WSP IngestionProcess


1.33.36
=======

* api-change:``datazone``: This releases Data Product feature. Data Products allow grouping data assets into cohesive, self-contained units for ease of publishing for data producers, and ease of finding and accessing for data consumers.
* api-change:``ecr``: Released two new APIs along with documentation updates. The GetAccountSetting API is used to view the current basic scan type version setting for your registry, while the PutAccountSetting API is used to update the basic scan type version for your registry.
* api-change:``kinesis-video-webrtc-storage``: Add JoinStorageSessionAsViewer API
* api-change:``pi``: Added a description for the Dimension db.sql.tokenized_id on the DimensionGroup data type page.


1.33.35
=======

* api-change:``cloudwatch``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``kinesis``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``resiliencehub``: Customers are presented with the grouping recommendations and can determine if the recommendations are accurate and apply to their case. This feature simplifies onboarding by organizing resources into appropriate AppComponents.
* api-change:``route53``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``waf-regional``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.


1.33.34
=======

* api-change:``bedrock``: API and Documentation for Bedrock Model Copy feature. This feature lets you share and copy a custom model from one region to another or one account to another.
* api-change:``controlcatalog``: AWS Control Tower provides two new public APIs controlcatalog:ListControls and controlcatalog:GetControl under controlcatalog service namespace, which enable customers to programmatically retrieve control metadata of available controls.
* api-change:``controltower``: Updated Control Tower service documentation for controlcatalog control ARN support with existing Control Tower public APIs
* api-change:``iam``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``memorydb``: Doc only update for changes to deletion API.
* api-change:``rds``: This release adds support for specifying optional MinACU parameter in CreateDBShardGroup and ModifyDBShardGroup API. DBShardGroup response will contain MinACU if specified.
* api-change:``sagemaker``: This release adds support for Amazon EMR Serverless applications in SageMaker Studio for running data processing jobs.
* api-change:``ssm-quicksetup``: This release adds API support for the QuickSetup feature of AWS Systems Manager
* api-change:``support``: Doc only updates to CaseDetails


1.33.33
=======

* api-change:``appstream``: Added support for Red Hat Enterprise Linux 8 on Amazon AppStream 2.0
* api-change:``autoscaling``: Increase the length limit for VPCZoneIdentifier from 2047 to 5000
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support stage level conditions to enable development teams to safely release changes that meet quality and compliance requirements.
* api-change:``elasticache``: Doc only update for changes to deletion API.
* api-change:``elb``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``events``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``lexv2-models``: This release adds new capabilities to the AMAZON.QnAIntent: Custom prompting, Guardrails integration and ExactResponse support for Bedrock Knowledge Base.
* api-change:``logs``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``rolesanywhere``: IAM RolesAnywhere now supports custom role session name on the CreateSession. This release adds the acceptRoleSessionName option to a profile to control whether a role session name will be accepted in a session request with a given profile.
* api-change:``tnb``: This release adds Network Service Update, through which customers will be able to update their instantiated networks to a new network package. See the documentation for limitations. The release also enhances the Get network operation API to return parameter overrides used during the operation.
* api-change:``workspaces``: Removing multi-session as it isn't supported for pools
* bugfix:``s3``: Disable usage of mb command with S3 Express directory buckets.


1.33.32
=======

* api-change:``elasticache``: Renaming full service name as it appears in developer documentation.
* api-change:``memorydb``: Renaming full service name as it appears in developer documentation.


1.33.31
=======

* api-change:``application-autoscaling``: Application Auto Scaling is now more responsive to the changes in demand of your SageMaker Inference endpoints. To get started, create or update a Target Tracking policy based on High Resolution CloudWatch metrics.
* api-change:``application-signals``: CloudWatch Application Signals now supports application logs correlation with traces and operational health metrics of applications running on EC2 instances. Users can view the most relevant telemetry to troubleshoot application health anomalies such as spikes in latency, errors, and availability.
* api-change:``bedrock-runtime``: Provides ServiceUnavailableException error message
* api-change:``codecommit``: CreateRepository API now throws OperationNotAllowedException when the account has been restricted from creating a repository.
* api-change:``datazone``: Introduces GetEnvironmentCredentials operation to SDK
* api-change:``ec2``: EC2 Fleet now supports using custom identifiers to reference Amazon Machine Images (AMI) in launch requests that are configured to choose from a diversified list of instance types.
* api-change:``ecr``: API and documentation updates for Amazon ECR, adding support for creating, updating, describing and deleting ECR Repository Creation Template.
* api-change:``eks``: This release adds support for EKS cluster to manage extended support.
* api-change:``elbv2``: This release adds support for sharing trust stores across accounts and organizations through integration with AWS Resource Access Manager.
* api-change:``network-firewall``: You can now log events that are related to TLS inspection, in addition to the existing alert and flow logging.
* api-change:``outposts``: Adding default vCPU information to GetOutpostSupportedInstanceTypes and GetOutpostInstanceTypes responses
* api-change:``stepfunctions``: This release adds support to customer managed KMS key encryption in AWS Step Functions.


1.33.30
=======

* api-change:``cleanrooms``: Three enhancements to the AWS Clean Rooms: Disallowed Output Columns, Flexible Result Receivers, SQL as a Seed
* api-change:``dynamodb``: DynamoDB doc only update for July
* api-change:``iotsitewise``: Adds support for creating SiteWise Edge gateways that run on a Siemens Industrial Edge Device.
* api-change:``mediapackagev2``: This release adds support for Irdeto DRM encryption in DASH manifests.
* api-change:``medical-imaging``: CopyImageSet API adds copying selected instances between image sets, and overriding inconsistent metadata with a force parameter. UpdateImageSetMetadata API enables reverting to prior versions; updates to Study, Series, and SOP Instance UIDs; and updates to private elements, with a force parameter.
* api-change:``pinpoint-sms-voice-v2``: Update for rebrand to AWS End User Messaging SMS and Voice.


1.33.29
=======

* api-change:``appsync``: Adding support for paginators in AppSync list APIs
* api-change:``cleanrooms``: This release adds AWS Entity Resolution integration to associate ID namespaces & ID mapping workflow resources as part of ID namespace association and  ID mapping table  in AWS Clean Rooms. It also introduces a new ID_MAPPING_TABLE analysis rule to manage the protection on ID mapping table.
* api-change:``cleanroomsml``: Adds SQL query as the source of seed audience for audience generation job.
* api-change:``connect``: Added PostContactSummary segment type on ListRealTimeContactAnalysisSegmentsV2 API
* api-change:``connect-contact-lens``: Added PostContactSummary segment type on ListRealTimeContactAnalysisSegments API
* api-change:``datazone``: This release removes the deprecated dataProductItem field from Search API output.
* api-change:``entityresolution``: Support First Party ID Mapping


1.33.28
=======

* api-change:``datazone``: This release adds 1/ support of register S3 locations of assets in AWS Lake Formation hybrid access mode for DefaultDataLake blueprint. 2/ support of CRUD operations for Asset Filters.
* api-change:``ivs``: Documentation update for IVS Low Latency API Reference.
* api-change:``neptune-graph``: Amazon Neptune Analytics provides new options for customers to start with smaller graphs at a lower cost. CreateGraph, CreaateGraphImportTask, UpdateGraph and StartImportTask APIs will now allow 32 and 64 for `provisioned-memory`
* api-change:``redshift-serverless``: Adds dualstack support for Redshift Serverless workgroup.


1.33.27
=======

* api-change:``acm-pca``: Fix broken waiters for the acm-pca client.  Waiters broke in version 1.13.144 of the Boto3 SDK.
* api-change:``connect``: Amazon Connect expands search API coverage for additional resources.  Search for hierarchy groups by name, ID, tag, or other criteria (new endpoint). Search for agent statuses by name, ID, tag, or other criteria (new endpoint). Search for users by their assigned proficiencies (enhanced endpoint)
* api-change:``ec2``: Amazon VPC IP Address Manager (IPAM) now supports Bring-Your-Own-IP (BYOIP) for IP addresses registered with any Internet Registry. This feature uses DNS TXT records to validate ownership of a public IP address range.
* api-change:``firehose``: This release 1) Add configurable buffering hints for Snowflake as destination. 2) Add ReadFromTimestamp for MSK As Source. Firehose will start reading data from MSK Cluster using offset associated with this timestamp. 3) Gated public beta release to add Apache Iceberg tables as destination.
* api-change:``ivschat``: Documentation update for IVS Chat API Reference.
* api-change:``medialive``: AWS Elemental MediaLive now supports the SRT protocol via the new SRT Caller input type.
* api-change:``rds``: Updates Amazon RDS documentation to specify an eventual consistency model for DescribePendingMaintenanceActions.
* api-change:``sagemaker``: SageMaker Training supports R5, T3 and R5D instances family. And SageMaker Processing supports G5 and R5D instances family.
* api-change:``secretsmanager``: Doc only update for Secrets Manager
* api-change:``taxsettings``: Set default endpoint for aws partition. Requests from all regions in aws partition will be forward to us-east-1 endpoint.
* api-change:``timestream-query``: Doc-only update for TimestreamQuery. Added guidance about the accepted valid value for the QueryPricingModel parameter.
* api-change:``workspaces-thin-client``: Documentation update for WorkSpaces Thin Client.


1.33.26
=======

* api-change:``acm-pca``: Minor refactoring of C2J model for AWS Private CA
* api-change:``arc-zonal-shift``: Adds the option to subscribe to get notifications when a zonal autoshift occurs in a region.
* api-change:``globalaccelerator``: This feature adds exceptions to the Customer API to avoid throwing Internal Service errors
* api-change:``pinpoint``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``quicksight``: Vega ally control options and Support for Reviewed Answers in Topics


1.33.25
=======

* api-change:``batch``: This feature allows AWS Batch Jobs with EKS container orchestration type to be run as Multi-Node Parallel Jobs.
* api-change:``bedrock``: Add support for contextual grounding check for Guardrails for Amazon Bedrock.
* api-change:``bedrock-agent``: Introduces new data sources and chunking strategies for Knowledge bases, advanced parsing logic using FMs, session summary generation, and code interpretation (preview) for Claude V3 Sonnet and Haiku models. Also introduces Prompt Flows (preview) to link prompts, foundational models, and resources.
* api-change:``bedrock-agent-runtime``: Introduces query decomposition, enhanced Agents integration with Knowledge bases, session summary generation, and code interpretation (preview) for Claude V3 Sonnet and Haiku models. Also introduces Prompt Flows (preview) to link prompts, foundational models, and resources for end-to-end solutions.
* api-change:``bedrock-runtime``: Add support for contextual grounding check and ApplyGuardrail API for Guardrails for Amazon Bedrock.
* api-change:``ec2``: Add parameters to enable provisioning IPAM BYOIPv4 space at a Local Zone Network Border Group level
* api-change:``glue``: Add recipe step support for recipe node
* api-change:``groundstation``: Documentation update specifying OEM ephemeris units of measurement
* api-change:``license-manager-linux-subscriptions``: Add support for third party subscription providers, starting with RHEL subscriptions through Red Hat Subscription Manager (RHSM). Additionally, add support for tagging subscription provider resources, and detect when an instance has more than one Linux subscription and notify the customer.
* api-change:``mediaconnect``: AWS Elemental MediaConnect introduces the ability to disable outputs. Disabling an output allows you to keep the output attached to the flow, but stop streaming to the output destination. A disabled output does not incur data transfer costs.


1.33.24
=======

* api-change:``datazone``: This release deprecates dataProductItem field from SearchInventoryResultItem, along with some unused DataProduct shapes
* api-change:``fsx``: Adds support for FSx for NetApp ONTAP 2nd Generation file systems, and FSx for OpenZFS Single AZ HA file systems.
* api-change:``opensearch``: This release adds support for enabling or disabling Natural Language Query Processing feature for Amazon OpenSearch Service domains, and provides visibility into the current state of the setup or tear-down.
* api-change:``sagemaker``: This release 1/ enables optimization jobs that allows customers to perform Ahead-of-time compilation and quantization. 2/ allows customers to control access to Amazon Q integration in SageMaker Studio. 3/ enables AdditionalModelDataSources for CreateModel action.


1.33.23
=======

* api-change:``codedeploy``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``devicefarm``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``dms``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``elasticbeanstalk``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``es``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``firehose``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``gamelift``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``qapps``: This is a general availability (GA) release of Amazon Q Apps, a capability of Amazon Q Business. Q Apps leverages data sources your company has provided to enable users to build, share, and customize apps within your organization.
* api-change:``route53resolver``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``ses``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.


1.33.22
=======

* api-change:``acm``: Documentation updates, including fixes for xml formatting, broken links, and ListCertificates description.
* api-change:``ecr``: This release for Amazon ECR makes change to bring the SDK into sync with the API.
* api-change:``payment-cryptography-data``: Added further restrictions on logging of potentially sensitive inputs and outputs.
* api-change:``qbusiness``: Add personalization to Q Applications. Customers can enable or disable personalization when creating or updating a Q application with the personalization configuration.


1.33.21
=======

* api-change:``application-autoscaling``: Doc only update for Application Auto Scaling that fixes resource name.
* api-change:``directconnect``: This update includes documentation for support of new native 400 GBps ports for Direct Connect.
* api-change:``organizations``: Added a new reason under ConstraintViolationException in RegisterDelegatedAdministrator API to prevent registering suspended accounts as delegated administrator of a service.
* api-change:``rekognition``: This release adds support for tagging projects and datasets with the CreateProject and CreateDataset APIs.
* api-change:``workspaces``: Fix create workspace bundle RootStorage/UserStorage to accept non null values


1.33.20
=======

* api-change:``ec2``: Documentation updates for Elastic Compute Cloud (EC2).
* api-change:``fms``: Increases Customer API's ManagedServiceData length
* api-change:``s3``: Added response overrides to Head Object requests.


1.33.19
=======

* api-change:``apigateway``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``cognito-identity``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``connect``: Authentication profiles are Amazon Connect resources (in gated preview) that allow you to configure authentication settings for users in your contact center. This release adds support for new ListAuthenticationProfiles, DescribeAuthenticationProfile and UpdateAuthenticationProfile APIs.
* api-change:``docdb``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``eks``: Updates EKS managed node groups to support EC2 Capacity Blocks for ML
* api-change:``payment-cryptography``: Added further restrictions on logging of potentially sensitive inputs and outputs.
* api-change:``payment-cryptography-data``: Adding support for dynamic keys for encrypt, decrypt, re-encrypt and translate pin functions.  With this change, customers can use one-time TR-31 keys directly in dataplane operations without the need to first import them into the service.
* api-change:``stepfunctions``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``swf``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``wafv2``: JSON body inspection: Update documentation to clarify that JSON parsing doesn't include full validation.


1.33.18
=======

* api-change:``acm-pca``: Added CCPC_LEVEL_1_OR_HIGHER KeyStorageSecurityStandard and SM2 KeyAlgorithm and SM3WITHSM2 SigningAlgorithm for China regions.
* api-change:``cloudhsmv2``: Added 3 new APIs to support backup sharing: GetResourcePolicy, PutResourcePolicy, and DeleteResourcePolicy. Added BackupArn to the output of the DescribeBackups API. Added support for BackupArn in the CreateCluster API.
* api-change:``connect``: This release supports showing PreferredAgentRouting step via DescribeContact API.
* api-change:``emr``: This release provides the support for new allocation strategies i.e. CAPACITY_OPTIMIZED_PRIORITIZED for Spot and PRIORITIZED for On-Demand by taking input of priority value for each instance type for instance fleet clusters.
* api-change:``glue``: Added AttributesToGet parameter to Glue GetDatabases, allowing caller to limit output to include only the database name.
* api-change:``kinesisanalyticsv2``: Support for Flink 1.19 in Managed Service for Apache Flink
* api-change:``opensearch``: This release removes support for enabling or disabling Natural Language Query Processing feature for Amazon OpenSearch Service domains.
* api-change:``pi``: Noting that the filter db.sql.db_id isn't available for RDS for SQL Server DB instances.
* api-change:``workspaces``: Added support for Red Hat Enterprise Linux 8 on Amazon WorkSpaces Personal.


1.33.17
=======

* api-change:``application-autoscaling``: Amazon WorkSpaces customers can now use Application Auto Scaling to automatically scale the number of virtual desktops in a WorkSpaces pool.
* api-change:``chime-sdk-media-pipelines``: Added Amazon Transcribe multi language identification to Chime SDK call analytics. Enabling customers sending single stream audio to generate call recordings using Chime SDK call analytics
* api-change:``cloudfront``: Doc only update for CloudFront that fixes customer-reported issue
* api-change:``datazone``: This release supports the data lineage feature of business data catalog in Amazon DataZone.
* api-change:``elasticache``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``mq``: This release makes the EngineVersion field optional for both broker and configuration and uses the latest available version by default. The AutoMinorVersionUpgrade field is also now optional for broker creation and defaults to 'true'.
* api-change:``qconnect``: Adds CreateContentAssociation, ListContentAssociations, GetContentAssociation, and DeleteContentAssociation APIs.
* api-change:``quicksight``: Adding support for Repeating Sections, Nested Filters
* api-change:``rds``: Updates Amazon RDS documentation for TAZ export to S3.
* api-change:``sagemaker``: Add capability for Admins to customize Studio experience for the user by showing or hiding Apps and MLTools.
* api-change:``workspaces``: Added support for WorkSpaces Pools.


1.33.16
=======

* api-change:``controltower``: Added ListLandingZoneOperations API.
* api-change:``eks``: Added support for disabling unmanaged addons during cluster creation.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to upload public keys for customer vended participant tokens.
* api-change:``kinesisanalyticsv2``: This release adds support for new ListApplicationOperations and DescribeApplicationOperation APIs. It adds a new configuration to enable system rollbacks, adds field ApplicationVersionCreateTimestamp for clarity and improves support for pagination for APIs.
* api-change:``opensearch``: This release adds support for enabling or disabling Natural Language Query Processing feature for Amazon OpenSearch Service domains, and provides visibility into the current state of the setup or tear-down.


1.33.15
=======

* api-change:``autoscaling``: Doc only update for Auto Scaling's TargetTrackingMetricDataQuery
* api-change:``ec2``: This release is for the launch of the new u7ib-12tb.224xlarge, R8g, c7gn.metal and mac2-m1ultra.metal instance types
* api-change:``networkmanager``: This is model changes & documentation update for the Asynchronous Error Reporting feature for AWS Cloud WAN. This feature allows customers to view errors that occur while their resources are being provisioned, enabling customers to fix their resources without needing external support.
* api-change:``workspaces-thin-client``: This release adds the deviceCreationTags field to CreateEnvironment API input, UpdateEnvironment API input and GetEnvironment API output.


1.33.14
=======

* api-change:``bedrock-runtime``: Increases Converse API's document name length
* api-change:``customer-profiles``: This release includes changes to ProfileObjectType APIs, adds functionality top set and get capacity for profile object types.
* api-change:``ec2``: Fix EC2 multi-protocol info in models.
* api-change:``qbusiness``: Allow enable/disable Q Apps when creating/updating a Q application; Return the Q Apps enablement information when getting a Q application.
* api-change:``ssm``: Add sensitive trait to SSM IPAddress property for CloudTrail redaction
* api-change:``workspaces-web``: Added ability to enable DeepLinking functionality on a Portal via UserSettings as well as added support for IdentityProvider resource tagging.


1.33.13
=======

* api-change:``bedrock-runtime``: This release adds document support to Converse and ConverseStream APIs
* api-change:``codeartifact``: Add support for the Cargo package format.
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze and generate optimization recommendations for Amazon RDS MySQL and RDS PostgreSQL.
* api-change:``cost-optimization-hub``: This release enables AWS Cost Optimization Hub to show cost optimization recommendations for Amazon RDS MySQL and RDS PostgreSQL.
* api-change:``dynamodb``: Doc-only update for DynamoDB. Fixed Important note in 6 Global table APIs - CreateGlobalTable, DescribeGlobalTable, DescribeGlobalTableSettings, ListGlobalTables, UpdateGlobalTable, and UpdateGlobalTableSettings.
* api-change:``glue``: Fix Glue paginators for Jobs, JobRuns, Triggers, Blueprints and Workflows.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to record individual stage participants to S3.
* api-change:``sagemaker``: Adds support for model references in Hub service, and adds support for cross-account access of Hubs
* api-change:``securityhub``: Documentation updates for Security Hub


1.33.12
=======

* api-change:``artifact``: This release adds an acceptanceType field to the ReportSummary structure (used in the ListReports API response).
* api-change:``athena``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``cur``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``directconnect``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``elastictranscoder``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``opensearch``: This release enables customers to use JSON Web Tokens (JWT) for authentication on their Amazon OpenSearch Service domains.


1.33.11
=======

* api-change:``bedrock-runtime``: This release adds support for using Guardrails with the Converse and ConverseStream APIs.
* api-change:``cloudtrail``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``config``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``eks``: This release adds support to surface async fargate customer errors from async path to customer through describe-fargate-profile API response.
* api-change:``lightsail``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``polly``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``rekognition``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``sagemaker``: Launched a new feature in SageMaker to provide managed MLflow Tracking Servers for customers to track ML experiments. This release also adds a new capability of attaching additional storage to SageMaker HyperPod cluster instances.
* api-change:``shield``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``snowball``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.


1.33.10
=======

* api-change:``acm-pca``: Doc-only update that adds name constraints as an allowed extension for ImportCertificateAuthorityCertificate.
* api-change:``batch``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``codebuild``: AWS CodeBuild now supports global and organization GitHub webhooks
* api-change:``cognito-idp``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``ds``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``efs``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``glue``: This release introduces a new feature, Usage profiles. Usage profiles allow the AWS Glue admin to create different profiles for various classes of users within the account, enforcing limits and defaults for jobs and sessions.
* api-change:``mediaconvert``: This release includes support for creating I-frame only video segments for DASH trick play.
* api-change:``secretsmanager``: Doc only update for Secrets Manager
* api-change:``waf``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.


1.33.9
======

* api-change:``datazone``: This release introduces a new default service blueprint for custom environment creation.
* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``macie2``: This release adds support for managing the status of automated sensitive data discovery for individual accounts in an organization, and determining whether individual S3 buckets are included in the scope of the analyses.
* api-change:``mediaconvert``: This release adds the ability to search for historical job records within the management console using a search box and/or via the SDK/CLI with partial string matching search on input file name.
* api-change:``route53domains``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.


1.33.8
======

* api-change:``cloudhsmv2``: Added support for hsm type hsm2m.medium. Added supported for creating a cluster in FIPS or NON_FIPS mode.
* api-change:``glue``: This release adds support for configuration of evaluation method for composite rules in Glue Data Quality rulesets.
* api-change:``iotwireless``: Add RoamingDeviceSNR and RoamingDeviceRSSI to Customer Metrics.
* api-change:``kms``: This feature allows customers to use their keys stored in KMS to derive a shared secret which can then be used to establish a secured channel for communication, provide proof of possession, or establish trust with other parties.
* api-change:``mediapackagev2``: This release adds support for CMAF ingest (DASH-IF live media ingest protocol interface 1)


1.33.7
======

* api-change:``apptest``: AWS Mainframe Modernization Application Testing is an AWS Mainframe Modernization service feature that automates functional equivalence testing for mainframe application modernization and migration to AWS, and regression testing.
* api-change:``ec2``: Tagging support for Traffic Mirroring FilterRule resource
* api-change:``osis``: SDK changes for self-managed vpc endpoint to OpenSearch ingestion pipelines.
* api-change:``redshift``: Updates to remove DC1 and DS2 node types.
* api-change:``secretsmanager``: Introducing RotationToken parameter for PutSecretValue API
* api-change:``securitylake``: This release updates request validation regex to account for non-commercial aws partitions.
* api-change:``sesv2``: This release adds support for Amazon EventBridge as an email sending events destination.


1.33.6
======

* api-change:``accessanalyzer``: IAM Access Analyzer now provides policy recommendations to help resolve unused permissions for IAM roles and users. Additionally, IAM Access Analyzer now extends its custom policy checks to detect when IAM policies grant public access or access to critical resources ahead of deployments.
* api-change:``guardduty``: Added API support for GuardDuty Malware Protection for S3.
* api-change:``networkmanager``: This is model changes & documentation update for Service Insertion feature for AWS Cloud WAN. This feature allows insertion of AWS/3rd party security services on Cloud WAN. This allows to steer inter/intra segment traffic via security appliances and provide visibility to the route updates.
* api-change:``pca-connector-scep``: Connector for SCEP allows you to use a managed, cloud CA to enroll mobile devices and networking gear. SCEP is a widely-adopted protocol used by mobile device management (MDM) solutions for enrolling mobile devices. With the connector, you can use AWS Private CA with popular MDM solutions.
* api-change:``sagemaker``: Introduced Scope and AuthenticationRequestExtraParams to SageMaker Workforce OIDC configuration; this allows customers to modify these options for their private Workforce IdP integration. Model Registry Cross-account model package groups are discoverable.


1.33.5
======

* api-change:``application-signals``: This is the initial SDK release for Amazon CloudWatch Application Signals. Amazon CloudWatch Application Signals provides curated application performance monitoring for developers to monitor and troubleshoot application health using pre-built dashboards and Service Level Objectives.
* api-change:``ecs``: This release introduces a new cluster configuration to support the customer-managed keys for ECS managed storage encryption.
* api-change:``imagebuilder``: This release updates the regex pattern for Image Builder ARNs.


1.33.4
======

* api-change:``auditmanager``: New feature: common controls. When creating custom controls, you can now use pre-grouped AWS data sources based on common compliance themes. Also, the awsServices parameter is deprecated because we now manage services in scope for you. If used, the input is ignored and an empty list is returned.
* api-change:``b2bi``: Added exceptions to B2Bi List operations and ConflictException to B2Bi StartTransformerJob operation. Also made capabilities field explicitly required when creating a Partnership.
* api-change:``codepipeline``: CodePipeline now supports overriding S3 Source Object Key during StartPipelineExecution, as part of Source Overrides.
* api-change:``sagemaker``: This release introduces a new optional parameter: InferenceAmiVersion, in ProductionVariant.
* api-change:``verifiedpermissions``: This release adds OpenIdConnect (OIDC) configuration support for IdentitySources, allowing for external IDPs to be used in authorization requests.


1.33.3
======

* api-change:``account``: This release adds 3 new APIs (AcceptPrimaryEmailUpdate, GetPrimaryEmail, and StartPrimaryEmailUpdate) used to centrally manage the root user email address of member accounts within an AWS organization.
* api-change:``firehose``: Adds integration with Secrets Manager for Redshift, Splunk, HttpEndpoint, and Snowflake destinations
* api-change:``fsx``: This release adds support to increase metadata performance on FSx for Lustre file systems beyond the default level provisioned when a file system is created. This can be done by specifying MetadataConfiguration during the creation of Persistent_2 file systems or by updating it on demand.
* api-change:``glue``: This release adds support for creating and updating Glue Data Catalog Views.
* api-change:``iotwireless``: Adds support for wireless device to be in Conflict FUOTA Device Status due to a FUOTA Task, so it couldn't be attached to a new one.
* api-change:``location``: Added two new APIs, VerifyDevicePosition and ForecastGeofenceEvents. Added support for putting larger geofences up to 100,000 vertices with Geobuf fields.
* api-change:``sns``: Doc-only update for SNS. These changes include customer-reported issues and TXC3 updates.
* api-change:``sqs``: Doc only updates for SQS. These updates include customer-reported issues and TCX3 modifications.
* api-change:``storagegateway``: Adds SoftwareUpdatePreferences to DescribeMaintenanceStartTime and UpdateMaintenanceStartTime, a structure which contains AutomaticUpdatePolicy.


1.33.2
======

* api-change:``globalaccelerator``: This release contains a new optional ip-addresses input field for the update accelerator and update custom routing accelerator apis. This input enables consumers to replace IPv4 addresses on existing accelerators with addresses provided in the input.
* api-change:``glue``: AWS Glue now supports native SaaS connectivity: Salesforce connector available now
* api-change:``s3``: Added new params copySource and key to copyObject API for supporting S3 Access Grants plugin. These changes will not change any of the existing S3 API functionality.
* bugfix:emr customization: Update the EC2 service principal when creating the trust policy for EMR default roles to always be ec2.amazonaws.com.


1.33.1
======

* api-change:``ec2``: U7i instances with up to 32 TiB of DDR5 memory and 896 vCPUs are now available. C7i-flex instances are launched and are lower-priced variants of the Amazon EC2 C7i instances that offer a baseline level of CPU performance with the ability to scale up to the full compute performance 95% of the time.
* api-change:``pipes``: This release adds Timestream for LiveAnalytics as a supported target in EventBridge Pipes
* api-change:``sagemaker``: Extend DescribeClusterNode response with private DNS hostname and IP address, and placement information about availability zone and availability zone ID.
* api-change:``taxsettings``: Initial release of AWS Tax Settings API


1.33.0
======

* api-change:``amplify``: This doc-only update identifies fields that are specific to Gen 1 and Gen 2 applications.
* api-change:``batch``: This release adds support for the AWS Batch GetJobQueueSnapshot API operation.
* api-change:``eks``: Adds support for EKS add-ons pod identity associations integration
* api-change:``iottwinmaker``: Support RESET_VALUE UpdateType for PropertyUpdates to reset property value to default or null
* feature:logs start-live-tail: Adds support for starting a live tail streaming session for one or more log groups.


1.32.117
========

* api-change:``codebuild``: AWS CodeBuild now supports Self-hosted GitHub Actions runners for Github Enterprise
* api-change:``codeguru-security``: This release includes minor model updates and documentation updates.
* api-change:``elasticache``: Update to attributes of TestFailover and minor revisions.
* api-change:``launch-wizard``: This release adds support for describing workload deployment specifications, deploying additional workload types, and managing tags for Launch Wizard resources with API operations.


1.32.116
========

* api-change:``acm``: add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``bedrock-agent``: With this release, Knowledge bases for Bedrock adds support for Titan Text Embedding v2.
* api-change:``bedrock-runtime``: This release adds Converse and ConverseStream APIs to Bedrock Runtime
* api-change:``cloudtrail``: CloudTrail Lake returns PartitionKeys in the GetEventDataStore API response. Events are grouped into partitions based on these keys for better query performance. For example, the calendarday key groups events by day, while combining the calendarday key with the hour key groups them by day and hour.
* api-change:``connect``: Adding associatedQueueIds as a SearchCriteria and response field to the SearchRoutingProfiles API
* api-change:``emr-serverless``: The release adds support for spark structured streaming.
* api-change:``rds``: Updates Amazon RDS documentation for Aurora Postgres DBname.
* api-change:``sagemaker``: Adds Model Card information as a new component to Model Package. Autopilot launches algorithm selection for TimeSeries modality to generate AutoML candidates per algorithm.
* bugfix:``ssm start-session``: Only provide profile name to session-manager-plugin if provided using --profile flag


1.32.115
========

* api-change:``athena``: Throwing validation errors on CreateNotebook with Name containing `/`,`:`,`\`
* api-change:``codebuild``: AWS CodeBuild now supports manually creating GitHub webhooks
* api-change:``connect``: This release includes changes to DescribeContact API's response by including ConnectedToSystemTimestamp, RoutingCriteria, Customer, Campaign, AnsweringMachineDetectionStatus, CustomerVoiceActivity, QualityMetrics, DisconnectDetails, and SegmentAttributes information from a contact in Amazon Connect.
* api-change:``glue``: Add optional field JobMode to CreateJob and UpdateJob APIs.
* api-change:``securityhub``: Add ROOT type for TargetType model


1.32.114
========

* api-change:``dynamodb``: Doc-only update for DynamoDB. Specified the IAM actions needed to authorize a user to create a table with a resource-based policy.
* api-change:``ec2``: Providing support to accept BgpAsnExtended attribute
* api-change:``kafka``: Adds ControllerNodeInfo in ListNodes response to support Raft mode for MSK
* api-change:``swf``: This release adds new APIs for deleting activity type and workflow type resources.


1.32.113
========

* api-change:``dynamodb``: Documentation only updates for DynamoDB.
* api-change:``iotfleetwise``: AWS IoT FleetWise now supports listing vehicles with attributes filter, ListVehicles API is updated to support additional attributes filter.
* api-change:``managedblockchain``: This is a minor documentation update to address the impact of the shut down of the Goerli and Polygon networks.


1.32.112
========

* api-change:``emr-serverless``: This release adds the capability to run interactive workloads using Apache Livy Endpoint.
* api-change:``opsworks``: Documentation-only update for OpsWorks Stacks.


1.32.111
========

* api-change:``chatbot``: This change adds support for tagging Chatbot configurations.
* api-change:``cloudformation``: Added DeletionMode FORCE_DELETE_STACK for deleting a stack that is stuck in DELETE_FAILED state due to resource deletion failure.
* api-change:``kms``: This release includes feature to import customer's asymmetric (RSA, ECC and SM2) and HMAC keys into KMS in China.
* api-change:``opensearch``: This release adds support for enabling or disabling a data source configured as part of Zero-ETL integration with Amazon S3, by setting its status.
* api-change:``wafv2``: You can now use Security Lake to collect web ACL traffic data.


1.32.110
========

* api-change:``cloudfront``: Model update; no change to SDK functionality.
* api-change:``glue``: Add Maintenance window to CreateJob and UpdateJob APIs and JobRun response. Add a new Job Run State for EXPIRED.
* api-change:``lightsail``: This release adds support for Amazon Lightsail instances to switch between dual-stack or IPv4 only and IPv6-only public IP address types.
* api-change:``mailmanager``: This release includes a new Amazon SES feature called Mail Manager, which is a set of email gateway capabilities designed to help customers strengthen their organization's email infrastructure, simplify email workflow management, and streamline email compliance control.
* api-change:``pi``: Performance Insights added a new input parameter called AuthorizedActions to support the fine-grained access feature. Performance Insights also restricted the acceptable input characters.
* api-change:``rds``: Updates Amazon RDS documentation for Db2 license through AWS Marketplace.
* api-change:``storagegateway``: Added new SMBSecurityStrategy enum named MandatoryEncryptionNoAes128, new mode enforces encryption and disables AES 128-bit algorithums.


1.32.109
========

* api-change:``bedrock-agent``: This release adds support for using Guardrails with Bedrock Agents.
* api-change:``bedrock-agent-runtime``: This release adds support for using Guardrails with Bedrock Agents.
* api-change:``controltower``: Added ListControlOperations API and filtering support for ListEnabledControls API. Updates also includes added metadata for enabled controls and control operations.
* api-change:``osis``: Add support for creating an OpenSearch Ingestion pipeline that is attached to a provided VPC. Add information about the destinations of an OpenSearch Ingestion pipeline to the GetPipeline and ListPipelines APIs.
* api-change:``rds``: This release adds support for EngineLifecycleSupport on DBInstances, DBClusters, and GlobalClusters.
* api-change:``secretsmanager``: add v2 smoke tests and smithy smokeTests trait for SDK testing


1.32.108
========

* api-change:``application-autoscaling``: add v2 smoke tests and smithy smokeTests trait for SDK testing.
* api-change:``codebuild``: Aws CodeBuild now supports 36 hours build timeout
* api-change:``elbv2``: This release adds dualstack-without-public-ipv4 IP address type for ALB.
* api-change:``lakeformation``: Introduces a new API, GetDataLakePrincipal, that returns the identity of the invoking principal
* api-change:``transfer``: Enable use of CloudFormation traits in Smithy model to improve generated CloudFormation schema from the Smithy API model.


1.32.107
========

* api-change:``acm-pca``: This release adds support for waiters to fail on AccessDeniedException when having insufficient permissions
* api-change:``connect``: Adding Contact Flow metrics to the GetMetricDataV2 API
* api-change:``kafka``: AWS MSK support for Broker Removal.
* api-change:``mwaa``: Amazon MWAA now supports Airflow web server auto scaling to automatically handle increased demand from REST APIs, Command Line Interface (CLI), or more Airflow User Interface (UI) users. Customers can specify maximum and minimum web server instances during environment creation and update workflow.
* api-change:``quicksight``: This release adds DescribeKeyRegistration and UpdateKeyRegistration APIs to manage QuickSight Customer Managed Keys (CMK).
* api-change:``sagemaker``: Introduced WorkerAccessConfiguration to SageMaker Workteam. This allows customers to configure resource access for workers in a workteam.
* api-change:``secretsmanager``: Documentation updates for AWS Secrets Manager


1.32.106
========

* api-change:``bedrock-agent-runtime``: Updating Bedrock Knowledge Base Metadata & Filters feature with two new filters listContains and stringContains
* api-change:``codebuild``: CodeBuild Reserved Capacity VPC Support
* api-change:``datasync``: Task executions now display a CANCELLING status when an execution is in the process of being cancelled.
* api-change:``grafana``: This release adds new ServiceAccount and ServiceAccountToken APIs.
* api-change:``medical-imaging``: Added support for importing medical imaging data from Amazon S3 buckets across accounts and regions.
* api-change:``securityhub``: Documentation-only update for AWS Security Hub


1.32.105
========

* api-change:``connect``: Amazon Connect provides enhanced search capabilities for flows & flow modules on the Connect admin website and programmatically using APIs. You can search for flows and flow modules by name, description, type, status, and tags, to filter and identify a specific flow in your Connect instances.
* api-change:``s3``: Updated a few x-id in the http uri traits


1.32.104
========

* api-change:``events``: Amazon EventBridge introduces KMS customer-managed key (CMK) encryption support for custom and partner events published on EventBridge Event Bus (including default bus) and UpdateEventBus API.
* api-change:``vpc-lattice``: This release adds TLS Passthrough support. It also increases max number of target group per rule to 10.


1.32.103
========

* api-change:``discovery``: add v2 smoke tests and smithy smokeTests trait for SDK testing
* api-change:``greengrassv2``: Mark ComponentVersion in ComponentDeploymentSpecification as required.
* api-change:``sagemaker``: Introduced support for G6 instance types on Sagemaker Notebook Instances and on SageMaker Studio for JupyterLab and CodeEditor applications.
* api-change:``sso-oidc``: Updated request parameters for PKCE support.


1.32.102
========

* api-change:``bedrock-agent-runtime``: This release adds support to provide guardrail configuration and modify inference parameters that are then used in RetrieveAndGenerate API in Agents for Amazon Bedrock.
* api-change:``pinpoint``: This release adds support for specifying email message headers for Email Templates, Campaigns, Journeys and Send Messages.
* api-change:``route53resolver``: Update the DNS Firewall settings to correct a spelling issue.
* api-change:``ssm-sap``: Added support for application-aware start/stop of SAP applications running on EC2 instances, with SSM for SAP
* api-change:``verifiedpermissions``: Adds policy effect and actions fields to Policy API's.


1.32.101
========

* api-change:``cognito-idp``: Add EXTERNAL_PROVIDER enum value to UserStatusType.
* api-change:``ec2``: Adding Precision Hardware Clock (PHC) to public API DescribeInstanceTypes
* api-change:``ecr``: This release adds pull through cache rules support for GitLab container registry in Amazon ECR.
* api-change:``fms``: The policy scope resource tag is always a string value, either a non-empty string or an empty string.
* api-change:``polly``: Add new engine - generative - that builds the most expressive conversational voices.
* api-change:``sqs``: This release adds MessageSystemAttributeNames to ReceiveMessageRequest to replace AttributeNames.


1.32.100
========

* api-change:``b2bi``: Documentation update to clarify the MappingTemplate definition.
* api-change:``budgets``: This release adds tag support for budgets and budget actions.
* api-change:``resiliencehub``: AWS Resilience Hub has expanded its drift detection capabilities by introducing a new type of drift detection - application resource drift. This new enhancement detects changes, such as the addition or deletion of resources within the application's input sources.
* api-change:``route53profiles``: Doc only update for Route 53 profiles that fixes some link  issues


1.32.99
=======

* api-change:``medialive``: AWS Elemental MediaLive now supports configuring how SCTE 35 passthrough triggers segment breaks in HLS and MediaPackage output groups. Previously, messages triggered breaks in all these output groups. The new option is to trigger segment breaks only in groups that have SCTE 35 passthrough enabled.


1.32.98
=======

* api-change:``bedrock-agent``: This release adds support for using Provisioned Throughput with Bedrock Agents.
* api-change:``connect``: This release adds 5 new APIs for managing attachments: StartAttachedFileUpload, CompleteAttachedFileUpload, GetAttachedFile, BatchGetAttachedFileMetadata, DeleteAttachedFile. These APIs can be used to programmatically upload and download attachments to Connect resources, like cases.
* api-change:``connectcases``: This feature supports the release of Files related items
* api-change:``datasync``: Updated guidance on using private or self-signed certificate authorities (CAs) with AWS DataSync object storage locations.
* api-change:``inspector2``: This release adds CSV format to GetCisScanReport for Inspector v2
* api-change:``sagemaker``: Amazon SageMaker Inference now supports m6i, c6i, r6i, m7i, c7i, r7i and g5 instance types for Batch Transform Jobs
* api-change:``sesv2``: Adds support for specifying replacement headers per BulkEmailEntry in SendBulkEmail in SESv2.


1.32.97
=======

* api-change:``dynamodb``: This release adds support to specify an optional, maximum OnDemandThroughput for DynamoDB tables and global secondary indexes in the CreateTable or UpdateTable APIs. You can also override the OnDemandThroughput settings by calling the ImportTable, RestoreFromPointInTime, or RestoreFromBackup APIs.
* api-change:``ec2``: This release includes a new API for retrieving the public endorsement key of the EC2 instance's Nitro Trusted Platform Module (NitroTPM).
* api-change:``personalize``: This releases ability to delete users and their data, including their metadata and interactions data, from a dataset group.
* api-change:``redshift-serverless``: Update Redshift Serverless List Scheduled Actions Output Response to include Namespace Name.


1.32.96
=======

* api-change:``bedrock-agent``: This release adds support for using MongoDB Atlas as a vector store when creating a knowledge base.
* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``personalize-runtime``: This release adds support for a Reason attribute for predicted items generated by User-Personalization-v2.
* api-change:``securityhub``: Updated CreateMembers API request with limits.
* api-change:``sesv2``: Fixes ListContacts and ListImportJobs APIs to use POST instead of GET.


1.32.95
=======

* api-change:``chime-sdk-voice``: Due to changes made by the Amazon Alexa service, GetSipMediaApplicationAlexaSkillConfiguration and PutSipMediaApplicationAlexaSkillConfiguration APIs are no longer available for use. For more information, refer to the Alexa Smart Properties page.
* api-change:``codeartifact``: Add support for the Ruby package format.
* api-change:``fms``: AWS Firewall Manager now supports the network firewall service stream exception policy feature for accounts within your organization.
* api-change:``omics``: Add support for workflow sharing and dynamic run storage
* api-change:``opensearch``: This release enables customers to create Route53 A and AAAA alias record types to point custom endpoint domain to OpenSearch domain's dualstack search endpoint.
* api-change:``pinpoint-sms-voice-v2``: Amazon Pinpoint has added two new features Multimedia services (MMS) and protect configurations. Use the three new MMS APIs to send media messages to a mobile phone which includes image, audio, text, or video files. Use the ten new protect configurations APIs to block messages to specific countries.
* api-change:``qbusiness``: This is a general availability (GA) release of Amazon Q Business. Q Business enables employees in an enterprise to get comprehensive answers to complex questions and take actions through a unified, intuitive web-based chat experience - using an enterprise's existing content, data, and systems.
* api-change:``quicksight``: New Q embedding supporting Generative Q&A
* api-change:``route53resolver``: Release of FirewallDomainRedirectionAction parameter on the Route 53 DNS Firewall Rule.  This allows customers to configure a DNS Firewall rule to inspect all the domains in the DNS redirection chain (default) , such as CNAME, ALIAS, DNAME, etc., or just the first domain and trust the rest.
* api-change:``sagemaker``: Amazon SageMaker Training now supports the use of attribute-based access control (ABAC) roles for training job execution roles. Amazon SageMaker Inference now supports G6 instance types.
* api-change:``signer``: Documentation updates for AWS Signer. Adds cross-account signing constraint and definitions for cross-account actions.


1.32.94
=======

* api-change:``amplify``: Updating max results limit for listing any resources (Job, Artifacts, Branch, BackendResources, DomainAssociation) to 50 with the exception of list apps that where max results can be up to 100.
* api-change:``connectcases``: This feature releases DeleteField, DeletedLayout, and DeleteTemplate API's
* api-change:``inspector2``: Update Inspector2 to include new Agentless API parameters.
* api-change:``timestream-query``: This change allows users to update and describe account settings associated with their accounts.
* api-change:``transcribe``: This update provides error messaging for generative call summarization in Transcribe Call Analytics
* api-change:``trustedadvisor``: This release adds the BatchUpdateRecommendationResourceExclusion API to support batch updates of Recommendation Resource exclusion statuses and introduces a new exclusion status filter to the ListRecommendationResources and ListOrganizationRecommendationResources APIs.


1.32.93
=======

* api-change:``codepipeline``: Add ability to manually and automatically roll back a pipeline stage to a previously successful execution.
* api-change:``cognito-idp``: Add LimitExceededException to SignUp errors
* api-change:``connectcampaigns``: This release adds support for specifying if Answering Machine should wait for prompt sound.
* api-change:``marketplace-entitlement``: Releasing minor endpoint updates.
* api-change:``oam``: This release introduces support for Source Accounts to define which Metrics and Logs to share with the Monitoring Account
* api-change:``rds``: SupportsLimitlessDatabase field added to describe-db-engine-versions to indicate whether the DB engine version supports Aurora Limitless Database.
* api-change:``support``: Releasing minor endpoint updates.
* enhancement:dependency: Bump upper bound of colorama to <0.4.7; fixes `#7086 <https://github.com/aws/aws-cli/issues/7086>`__


1.32.92
=======

* api-change:``appsync``: UpdateGraphQLAPI documentation update and datasource introspection secret arn update
* api-change:``fms``: AWS Firewall Manager adds support for network ACL policies to manage Amazon Virtual Private Cloud (VPC) network access control lists (ACLs) for accounts in your organization.
* api-change:``ivs``: Bug Fix: IVS does not support arns with the `svs` prefix
* api-change:``ivs-realtime``: Bug Fix: IVS Real Time does not support ARNs using the `svs` prefix.
* api-change:``rds``: Updates Amazon RDS documentation for setting local time zones for RDS for Db2 DB instances.
* api-change:``stepfunctions``: Add new ValidateStateMachineDefinition operation, which performs syntax checking on the definition of a Amazon States Language (ASL) state machine.


1.32.91
=======

* api-change:``datasync``: This change allows users to disable and enable the schedules associated with their tasks.
* api-change:``ec2``: Launching capability for customers to enable or disable automatic assignment of public IPv4 addresses to their network interface
* api-change:``emr-containers``: EMRonEKS Service support for SecurityConfiguration enforcement for Spark Jobs.
* api-change:``entityresolution``: Support Batch Unique IDs Deletion.
* api-change:``gamelift``: Amazon GameLift releases container fleets support for public preview. Deploy Linux-based containerized game server software for hosting on Amazon GameLift.
* api-change:``ssm``: Add SSM DescribeInstanceProperties API to public AWS SDK.


1.32.90
=======

* api-change:``bedrock``: This release introduces Model Evaluation and Guardrails for Amazon Bedrock.
* api-change:``bedrock-agent``: Introducing the ability to create multiple data sources per knowledge base, specify S3 buckets as data sources from external accounts, and exposing levers to define the deletion behavior of the underlying vector store data.
* api-change:``bedrock-agent-runtime``: This release introduces zero-setup file upload support for the RetrieveAndGenerate API. This allows you to chat with your data without setting up a Knowledge Base.
* api-change:``bedrock-runtime``: This release introduces Guardrails for Amazon Bedrock.
* api-change:``ce``: Added additional metadata that might be applicable to your reservation recommendations.
* api-change:``ec2``: This release introduces EC2 AMI Deregistration Protection, a new AMI property that can be enabled by customers to protect an AMI against an unintended deregistration. This release also enables the AMI owners to view the AMI 'LastLaunchedTime' in DescribeImages API.
* api-change:``pi``: Clarifies how aggregation works for GetResourceMetrics in the Performance Insights API.
* api-change:``rds``: Fix the example ARN for ModifyActivityStreamRequest
* api-change:``workspaces-web``: Added InstanceType and MaxConcurrentSessions parameters on CreatePortal and UpdatePortal Operations as well as the ability to read Customer Managed Key & Additional Encryption Context parameters on supported resources (Portal, BrowserSettings, UserSettings, IPAccessSettings)


1.32.89
=======

* api-change:``bedrock-agent``: Releasing the support for simplified configuration and return of control
* api-change:``bedrock-agent-runtime``: Releasing the support for simplified configuration and return of control
* api-change:``payment-cryptography``: Adding support to TR-31/TR-34 exports for optional headers, allowing customers to add additional metadata (such as key version and KSN) when exporting keys from the service.
* api-change:``redshift-serverless``: Updates description of schedule field for scheduled actions.
* api-change:``route53profiles``: Route 53 Profiles allows you to apply a central DNS configuration across many VPCs regardless of account.
* api-change:``sagemaker``: This release adds support for Real-Time Collaboration and Shared Space for JupyterLab App on SageMaker Studio.
* api-change:``servicediscovery``: This release adds examples to several Cloud Map actions.
* api-change:``transfer``: Adding new API to support remote directory listing using SFTP connector


1.32.88
=======

* api-change:``glue``: Adding RowFilter in the response for GetUnfilteredTableMetadata API
* api-change:``internetmonitor``: This update introduces the GetInternetEvent and ListInternetEvents APIs, which provide access to internet events displayed on the Amazon CloudWatch Internet Weather Map.
* api-change:``personalize``: This releases auto training capability while creating a solution and automatically syncing latest solution versions when creating/updating a campaign


1.32.87
=======

* api-change:``drs``: Outpost ARN added to Source Server and Recovery Instance
* api-change:``emr-serverless``: This release adds the capability to publish detailed Spark engine metrics to Amazon Managed Service for Prometheus (AMP) for  enhanced monitoring for Spark jobs.
* api-change:``guardduty``: Added IPv6Address fields for local and remote IP addresses
* api-change:``quicksight``: This release adds support for the Cross Sheet Filter and Control features, and support for warnings in asset imports for any permitted errors encountered during execution
* api-change:``rolesanywhere``: This release introduces the PutAttributeMapping and DeleteAttributeMapping APIs. IAM Roles Anywhere now provides the capability to define a set of mapping rules, allowing customers to specify which data is extracted from their X.509 end-entity certificates.
* api-change:``sagemaker``: Removed deprecated enum values and updated API documentation.
* api-change:``workspaces``: Adds new APIs for managing and sharing WorkSpaces BYOL configuration across accounts.


1.32.86
=======

* api-change:``ec2``: Documentation updates for Elastic Compute Cloud (EC2).
* api-change:``qbusiness``: This release adds support for IAM Identity Center (IDC) as the identity gateway for Q Business. It also allows users to provide an explicit intent for Q Business to identify how the Chat request should be handled.


1.32.85
=======

* api-change:``bedrock-agent``: For Create Agent API, the agentResourceRoleArn parameter is no longer required.
* api-change:``emr-serverless``: This release adds support for shuffle optimized disks that allow larger disk sizes and higher IOPS to efficiently run shuffle heavy workloads.
* api-change:``entityresolution``: Cross Account Resource Support .
* api-change:``iotwireless``: Add PublicGateways in the GetWirelessStatistics call response, indicating the LoRaWAN public network accessed by the device.
* api-change:``lakeformation``: This release adds Lake Formation managed RAM support for the 4 APIs - "DescribeLakeFormationIdentityCenterConfiguration", "CreateLakeFormationIdentityCenterConfiguration", "DescribeLakeFormationIdentityCenterConfiguration", and "DeleteLakeFormationIdentityCenterConfiguration"
* api-change:``m2``: Adding new ListBatchJobRestartPoints API and support for restart batch job.
* api-change:``mediapackagev2``: Dash v2 is a MediaPackage V2 feature to support egressing on DASH manifest format.
* api-change:``outposts``: This release adds new APIs to allow customers to configure their Outpost capacity at order-time.
* api-change:``wellarchitected``: AWS Well-Architected now has a Connector for Jira to allow customers to efficiently track workload risks and improvement efforts and create closed-loop mechanisms.


1.32.84
=======

* api-change:``cloudformation``: Adding support for the new parameter "IncludePropertyValues" in the CloudFormation DescribeChangeSet API. When this parameter is included, the DescribeChangeSet response will include more detailed information such as before and after values for the resource properties that will change.
* api-change:``config``: Updates documentation for AWS Config
* api-change:``glue``: Modifying request for GetUnfilteredTableMetadata for view-related fields.
* api-change:``healthlake``: Added new CREATE_FAILED status for data stores. Added new errorCause to DescribeFHIRDatastore API and ListFHIRDatastores API response for additional insights into data store creation and deletion workflows.
* api-change:``iotfleethub``: Documentation updates for AWS IoT Fleet Hub to clarify that Fleet Hub supports organization instance of IAM Identity Center.
* api-change:``kms``: This feature supports the ability to specify a custom rotation period for automatic key rotations, the ability to perform on-demand key rotations, and visibility into your key material rotations.
* api-change:``mediatailor``: Added InsertionMode to PlaybackConfigurations. This setting controls whether players can use stitched or guided ad insertion. The default for players that do not specify an insertion mode is stitched.
* api-change:``neptune-graph``: Update to API documentation to resolve customer reported issues.
* api-change:``outposts``: This release adds EXPEDITORS as a valid shipment carrier.
* api-change:``redshift``: Adds support for Amazon Redshift DescribeClusterSnapshots API to include Snapshot ARN response field.
* api-change:``transfer``: This change releases support for importing self signed certificates to the Transfer Family for sending outbound file transfers over TLS/HTTPS.


1.32.83
=======

* api-change:``batch``: This release adds the task properties field to attempt details and the name field on EKS container detail.
* api-change:``cloudfront``: CloudFront origin access control extends support to AWS Lambda function URLs and AWS Elemental MediaPackage v2 origins.
* api-change:``cloudwatch``: This release adds support for Metric Characteristics for CloudWatch Anomaly Detection. Anomaly Detector now takes Metric Characteristics object with Periodic Spikes boolean field that tells Anomaly Detection that spikes that repeat at the same time every week are part of the expected pattern.
* api-change:``codebuild``: Support access tokens for Bitbucket sources
* api-change:``iam``: For CreateOpenIDConnectProvider API, the ThumbprintList parameter is no longer required.
* api-change:``medialive``: AWS Elemental MediaLive introduces workflow monitor, a new feature that enables the visualization and monitoring of your media workflows. Create signal maps of your existing workflows and monitor them by creating notification and monitoring template groups.
* api-change:``omics``: This release adds support for retrieval of S3 direct access metadata on sequence stores and read sets, and adds support for SHA256up and SHA512up HealthOmics ETags.
* api-change:``pipes``: LogConfiguration ARN validation fixes
* api-change:``rds``: Updates Amazon RDS documentation for Standard Edition 2 support in RDS Custom for Oracle.
* api-change:``s3control``: Documentation updates for Amazon S3-control.


1.32.82
=======

* api-change:``cleanrooms``: AWS Clean Rooms Differential Privacy is now fully available. Differential privacy protects against user-identification attempts.
* api-change:``connect``: This release adds new Submit Auto Evaluation Action for Amazon Connect Rules.
* api-change:``networkmonitor``: Examples were added to CloudWatch Network Monitor commands.
* api-change:``qconnect``: This release adds a new QiC public API updateSession and updates an existing QiC public API createSession
* api-change:``rekognition``: Added support for ContentType to content moderation detections.
* api-change:``supplychain``: This release includes API SendDataIntegrationEvent for AWS Supply Chain
* api-change:``workspaces-thin-client``: Adding tags field to SoftwareSet. Removing tags fields from Summary objects. Changing the list of exceptions in tagging APIs. Fixing an issue where the SDK returns empty tags in Get APIs.


1.32.81
=======

* api-change:``codebuild``: Add new webhook filter types for GitHub webhooks
* api-change:``mediaconvert``: This release includes support for bringing your own fonts to use for burn-in or DVB-Sub captioning workflows.
* api-change:``pinpoint``: The OrchestrationSendingRoleArn has been added to the email channel and is used to send emails from campaigns or journeys.
* api-change:``rds``: This release adds support for specifying the CA certificate to use for the new db instance when restoring from db snapshot, restoring from s3, restoring to point in time, and creating a db instance read replica.


1.32.80
=======

* api-change:``controlcatalog``: This is the initial SDK release for AWS Control Catalog, a central catalog for AWS managed controls. This release includes 3 new APIs - ListDomains, ListObjectives, and ListCommonControls - that vend high-level data to categorize controls across the AWS platform.
* api-change:``mgn``: Added USE_SOURCE as default option to LaunchConfigurationTemplate bootMode parameter.
* api-change:``networkmonitor``: Updated the allowed monitorName length for CloudWatch Network Monitor.


1.32.79
=======

* api-change:``quicksight``: Adding IAMIdentityCenterInstanceArn parameter to CreateAccountSubscription
* api-change:``resource-groups``: Added a new QueryErrorCode RESOURCE_TYPE_NOT_SUPPORTED that is returned by the ListGroupResources operation if the group query contains unsupported resource types.
* api-change:``verifiedpermissions``: Adding BatchIsAuthorizedWithToken API which supports multiple authorization requests against a PolicyStore given a bearer token.


1.32.78
=======

* api-change:``b2bi``: Adding support for X12 5010 HIPAA EDI version and associated transaction sets.
* api-change:``cleanrooms``: Feature: New schemaStatusDetails field to the existing Schema object that displays a status on Schema API responses to show whether a schema is queryable or not. New BatchGetSchemaAnalysisRule API to retrieve multiple schemaAnalysisRules using a single API call.
* api-change:``ec2``: Amazon EC2 G6 instances powered by NVIDIA L4 Tensor Core GPUs can be used for a wide range of graphics-intensive and machine learning use cases. Gr6 instances also feature NVIDIA L4 GPUs and can be used for graphics workloads with higher memory requirements.
* api-change:``emr-containers``: This release adds support for integration with EKS AccessEntry APIs to enable automatic Cluster Access for EMR on EKS.
* api-change:``ivs``: API update to include an SRT ingest endpoint and passphrase for all channels.
* api-change:``verifiedpermissions``: Adds GroupConfiguration field to Identity Source API's


1.32.77
=======

* api-change:``cleanroomsml``: The release includes a public SDK for AWS Clean Rooms ML APIs, making them globally available to developers worldwide.
* api-change:``cloudformation``: This release would return a new field - PolicyAction in cloudformation's existed DescribeChangeSetResponse, showing actions we are going to apply on the physical resource (e.g., Delete, Retain) according to the user's template
* api-change:``datazone``: This release supports the feature of dataQuality to enrich asset with dataQualityResult in Amazon DataZone.
* api-change:``docdb``: This release adds Global Cluster Switchover capability which enables you to change your global cluster's primary AWS Region, the region that serves writes, while preserving the replication between all regions in the global cluster.
* api-change:``groundstation``: This release adds visibilityStartTime and visibilityEndTime to DescribeContact and ListContacts responses.
* api-change:``lambda``: Add Ruby 3.3 (ruby3.3) support to AWS Lambda
* api-change:``medialive``: Cmaf Ingest outputs are now supported in Media Live
* api-change:``medical-imaging``: SearchImageSets API now supports following enhancements - Additional support for searching on UpdatedAt and SeriesInstanceUID - Support for searching existing filters between dates/times - Support for sorting the search result by Ascending/Descending - Additional parameters returned in the response
* api-change:``transfer``: Add ability to specify Security Policies for SFTP Connectors


1.32.76
=======

* api-change:``ecs``: Documentation only update for Amazon ECS.
* api-change:``glue``: Adding View related fields to responses of read-only Table APIs.
* api-change:``ivschat``: Doc-only update. Changed "Resources" to "Key Concepts" in docs and updated text.
* api-change:``rolesanywhere``: This release increases the limit on the roleArns request parameter for the *Profile APIs that support it. This parameter can now take up to 250 role ARNs.
* api-change:``securityhub``: Documentation updates for AWS Security Hub


1.32.75
=======

* api-change:``cloudwatch``: This release adds support for CloudWatch Anomaly Detection on cross-account metrics. SingleMetricAnomalyDetector and MetricDataQuery inputs to Anomaly Detection APIs now take an optional AccountId field.
* api-change:``datazone``: This release supports the feature of AI recommendations for descriptions to enrich the business data catalog in Amazon DataZone.
* api-change:``deadline``: AWS Deadline Cloud is a new fully managed service that helps customers set up, deploy, and scale rendering projects in minutes, so they can improve the efficiency of their rendering pipelines and take on more projects.
* api-change:``emr``: This release fixes a broken link in the documentation.
* api-change:``lightsail``: This release adds support to upgrade the TLS version of the distribution.


1.32.74
=======

* api-change:``b2bi``: Supporting new EDI X12 transaction sets for X12 versions 4010, 4030, and 5010.
* api-change:``codebuild``: Add new fleet status code for Reserved Capacity.
* api-change:``codeconnections``: Duplicating the CodeStar Connections service into the new, rebranded AWS CodeConnections service.
* api-change:``internetmonitor``: This release adds support to allow customers to track cross account monitors through ListMonitor, GetMonitor, ListHealthEvents, GetHealthEvent, StartQuery APIs.
* api-change:``iotwireless``: Add support for retrieving key historical and live metrics for LoRaWAN devices and gateways
* api-change:``marketplace-catalog``: This release enhances the ListEntities API to support ResaleAuthorizationId filter and sort for OfferEntity in the request and the addition of a ResaleAuthorizationId field in the response of OfferSummary.
* api-change:``neptune-graph``: Add the new API Start-Import-Task for Amazon Neptune Analytics.
* api-change:``sagemaker``: This release adds support for custom images for the CodeEditor App on SageMaker Studio
* enhancement:``s3``: Add parameter to validate source and destination S3 URIs to the ``mv`` command.


1.32.73
=======

* api-change:``codecatalyst``: This release adds support for understanding pending changes to subscriptions by including two new response parameters for the GetSubscription API for Amazon CodeCatalyst.
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze and generate recommendations with a new customization preference, Memory Utilization.
* api-change:``ec2``: Amazon EC2 C7gd, M7gd and R7gd metal instances with up to 3.8 TB of local NVMe-based SSD block-level storage have up to 45% improved real-time NVMe storage performance than comparable Graviton2-based instances.
* api-change:``eks``: Add multiple customer error code to handle customer caused failure when managing EKS node groups
* api-change:``guardduty``: Add EC2 support for GuardDuty Runtime Monitoring auto management.
* api-change:``neptune-graph``: Update ImportTaskCancelled waiter to evaluate task state correctly and minor documentation changes.
* api-change:``oam``: This release adds support for sharing AWS::InternetMonitor::Monitor resources.
* api-change:``quicksight``: Amazon QuickSight: Adds support for setting up VPC Endpoint restrictions for accessing QuickSight Website.


1.32.72
=======

* api-change:``batch``: This feature allows AWS Batch to support configuration of imagePullSecrets and allowPrivilegeEscalation for jobs running on EKS
* api-change:``bedrock-agent``: This changes introduces metadata documents statistics and also updates the documentation for bedrock agent.
* api-change:``bedrock-agent-runtime``: This release introduces filtering support on Retrieve and RetrieveAndGenerate APIs.
* api-change:``elasticache``: Added minimum capacity to  Amazon ElastiCache Serverless. This feature allows customer to ensure minimum capacity even without current load
* api-change:``secretsmanager``: Documentation updates for Secrets Manager


1.32.71
=======

* api-change:``bedrock-agent-runtime``: This release adds support to customize prompts sent through the RetrieveAndGenerate API in Agents for Amazon Bedrock.
* api-change:``ce``: Adds support for backfill of cost allocation tags, with new StartCostAllocationTagBackfill and ListCostAllocationTagBackfillHistory API.
* api-change:``ec2``: Documentation updates for Elastic Compute Cloud (EC2).
* api-change:``ecs``: This is a documentation update for Amazon ECS.
* api-change:``finspace``: Add new operation delete-kx-cluster-node and add status parameter to list-kx-cluster-node operation.


1.32.70
=======

* api-change:``codebuild``: Supporting GitLab and GitLab Self Managed as source types in AWS CodeBuild.
* api-change:``ec2``: Added support for ModifyInstanceMetadataDefaults and GetInstanceMetadataDefaults to set Instance Metadata Service account defaults
* api-change:``ecs``: Documentation only update for Amazon ECS.
* api-change:``emr-containers``: This release increases the number of supported job template parameters from 20 to 100.
* api-change:``globalaccelerator``: AWS Global Accelerator now supports cross-account sharing for bring your own IP addresses.
* api-change:``medialive``: Exposing TileMedia H265 options
* api-change:``sagemaker``: Introduced support for the following new instance types on SageMaker Studio for JupyterLab and CodeEditor applications: m6i, m6id, m7i, c6i, c6id, c7i, r6i, r6id, r7i, and p5


1.32.69
=======

* api-change:``firehose``: Updates Amazon Firehose documentation for message regarding Enforcing Tags IAM Policy.
* api-change:``kendra``: Documentation update, March 2024. Corrects some docs for Amazon Kendra.
* api-change:``pricing``: Add ResourceNotFoundException to ListPriceLists and GetPriceListFileUrl APIs
* api-change:``rolesanywhere``: This release relaxes constraints on the durationSeconds request parameter for the *Profile APIs that support it. This parameter can now take on values that go up to 43200.
* api-change:``securityhub``: Added new resource detail object to ASFF, including resource for LastKnownExploitAt


1.32.68
=======

* api-change:``codeartifact``: This release adds Package groups to CodeArtifact so you can more conveniently configure package origin controls for multiple packages.


1.32.67
=======

* api-change:``accessanalyzer``: This release adds support for policy validation and external access findings for DynamoDB tables and streams. IAM Access Analyzer helps you author functional and secure resource-based policies and identify cross-account access. Updated service API, documentation, and paginators.
* api-change:``codebuild``: This release adds support for new webhook events (RELEASED and PRERELEASED) and filter types (TAG_NAME and RELEASE_NAME).
* api-change:``connect``: This release updates the *InstanceStorageConfig APIs to support a new ResourceType: REAL_TIME_CONTACT_ANALYSIS_CHAT_SEGMENTS. Use this resource type to enable streaming for real-time analysis of chat contacts and to associate a Kinesis stream where real-time analysis chat segments will be published.
* api-change:``dynamodb``: This release introduces 3 new APIs ('GetResourcePolicy', 'PutResourcePolicy' and 'DeleteResourcePolicy') and modifies the existing 'CreateTable' API for the resource-based policy support. It also modifies several APIs to accept a 'TableArn' for the 'TableName' parameter.
* api-change:``managedblockchain-query``: AMB Query: update GetTransaction to include transactionId as input
* api-change:``savingsplans``: Introducing the Savings Plans Return feature enabling customers to return their Savings Plans within 7 days of purchase.


1.32.66
=======

* api-change:``cloudformation``: Documentation update, March 2024. Corrects some formatting.
* api-change:``ec2``: This release adds the new DescribeMacHosts API operation for getting information about EC2 Mac Dedicated Hosts. Users can now see the latest macOS versions that their underlying Apple Mac can support without needing to be updated.
* api-change:``finspace``: Adding new attributes readWrite and onDemand to dataview models for Database Maintenance operations.
* api-change:``logs``: Update LogSamples field in Anomaly model to be a list of LogEvent
* api-change:``managedblockchain-query``: Introduces a new API for Amazon Managed Blockchain Query: ListFilteredTransactionEvents.


1.32.65
=======

* api-change:``cloudformation``: This release supports for a new API ListStackSetAutoDeploymentTargets, which provider auto-deployment configuration as a describable resource. Customers can now view the specific combinations of regions and OUs that are being auto-deployed.
* api-change:``kms``: Adds the ability to use the default policy name by omitting the policyName parameter in calls to PutKeyPolicy and GetKeyPolicy
* api-change:``mediatailor``: This release adds support to allow customers to show different content within a channel depending on metadata associated with the viewer.
* api-change:``rds``: This release launches the ModifyIntegration API and support for data filtering for zero-ETL Integrations.
* api-change:``s3``: Fix two issues with response root node names.
* api-change:``timestream-query``: Documentation updates, March 2024


1.32.64
=======

* api-change:``backup``: This release introduces a boolean attribute ManagedByAWSBackupOnly as part of ListRecoveryPointsByResource api to filter the recovery points based on ownership. This attribute can be used to filter out the recovery points protected by AWSBackup.
* api-change:``codebuild``: AWS CodeBuild now supports overflow behavior on Reserved Capacity.
* api-change:``connect``: This release adds Hierarchy based Access Control fields to Security Profile public APIs and adds support for UserAttributeFilter to SearchUsers API.
* api-change:``ec2``: Add media accelerator and neuron device information on the describe instance types API.
* api-change:``kinesisanalyticsv2``: Support for Flink 1.18 in Managed Service for Apache Flink
* api-change:``s3``: Documentation updates for Amazon S3.
* api-change:``sagemaker``: Adds m6i, m6id, m7i, c6i, c6id, c7i, r6i r6id, r7i, p5 instance type support to Sagemaker Notebook Instances and miscellaneous wording fixes for previous Sagemaker documentation.
* api-change:``workspaces-thin-client``: Removed unused parameter kmsKeyArn from UpdateDeviceRequest


1.32.63
=======

* api-change:``amplify``: Documentation updates for Amplify. Identifies the APIs available only to apps created using Amplify Gen 1.
* api-change:``ec2-instance-connect``: This release includes a new exception type "SerialConsoleSessionUnsupportedException" for SendSerialConsoleSSHPublicKey API.
* api-change:``elbv2``: This release allows you to configure HTTP client keep-alive duration for communication between clients and Application Load Balancers.
* api-change:``fis``: This release adds support for previewing target resources before running a FIS experiment. It also adds resource ARNs for actions, experiments, and experiment templates to API responses.
* api-change:``rds``: Updates Amazon RDS documentation for EBCDIC collation for RDS for Db2.
* api-change:``secretsmanager``: Doc only update for Secrets Manager
* api-change:``timestream-influxdb``: This is the initial SDK release for Amazon Timestream for InfluxDB. Amazon Timestream for InfluxDB is a new time-series database engine that makes it easy for application developers and DevOps teams to run InfluxDB databases on AWS for near real-time time-series applications using open source APIs.


1.32.62
=======

* api-change:``ivs-realtime``: adds support for multiple new composition layout configuration options (grid, pip)
* api-change:``kinesisanalyticsv2``: Support new RuntimeEnvironmentUpdate parameter within UpdateApplication API allowing callers to change the Flink version upon which their application runs.
* api-change:``s3``: This release makes the default option for S3 on Outposts request signing to use the SigV4A algorithm when using AWS Common Runtime (CRT).


1.32.61
=======

* api-change:``cloudformation``: CloudFormation documentation update for March, 2024
* api-change:``connect``: This release increases MaxResults limit to 500 in request for SearchUsers, SearchQueues and SearchRoutingProfiles APIs of Amazon Connect.
* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``kafka``: Added support for specifying the starting position of topic replication in MSK-Replicator.
* api-change:``ssm``: March 2024 doc-only updates for Systems Manager.


1.32.60
=======

* api-change:``codestar-connections``: Added a sync configuration enum to disable publishing of deployment status to source providers (PublishDeploymentStatus). Added a sync configuration enum (TriggerStackUpdateOn) to only trigger changes.
* api-change:``elasticache``: Revisions to API text that are now to be carried over to SDK text, changing usages of "SFO" in code examples to "us-west-1", and some other typos.
* api-change:``mediapackagev2``: This release enables customers to safely update their MediaPackage v2 channel groups, channels and origin endpoints using entity tags.


1.32.59
=======

* api-change:``batch``: This release adds JobStateTimeLimitActions setting to the Job Queue API. It allows you to configure an action Batch can take for a blocking job in front of the queue after the defined period of time. The new parameter applies for ECS, EKS, and FARGATE Job Queues.
* api-change:``bedrock-agent-runtime``: Documentation update for Bedrock Runtime Agent
* api-change:``cloudtrail``: Added exceptions to CreateTrail, DescribeTrails, and ListImportFailures APIs.
* api-change:``codebuild``: This release adds support for a new webhook event: PULL_REQUEST_CLOSED.
* api-change:``cognito-idp``: Add ConcurrentModificationException to SetUserPoolMfaConfig
* api-change:``guardduty``: Add RDS Provisioned and Serverless Usage types
* api-change:``transfer``: Added DES_EDE3_CBC to the list of supported encryption algorithms for messages sent with an AS2 connector.


1.32.58
=======

* api-change:``appconfig``: AWS AppConfig now supports dynamic parameters, which enhance the functionality of AppConfig Extensions by allowing you to provide parameter values to your Extensions at the time you deploy your configuration.
* api-change:``ec2``: This release adds an optional parameter to RegisterImage and CopyImage APIs to support tagging AMIs at the time of creation.
* api-change:``grafana``: Adds support for the new GrafanaToken as part of the Amazon Managed Grafana Enterprise plugins upgrade to associate your AWS account with a Grafana Labs account.
* api-change:``lambda``: Documentation updates for AWS Lambda
* api-change:``payment-cryptography-data``: AWS Payment Cryptography EMV Decrypt Feature  Release
* api-change:``rds``: Updates Amazon RDS documentation for io2 storage for Multi-AZ DB clusters
* api-change:``snowball``: Doc-only update for change to EKS-Anywhere ordering.
* api-change:``wafv2``: You can increase the max request body inspection size for some regional resources. The size setting is in the web ACL association config. Also, the AWSManagedRulesBotControlRuleSet EnableMachineLearning setting now takes a Boolean instead of a primitive boolean type, for languages like Java.
* api-change:``workspaces``: Added note for user decoupling


1.32.57
=======

* api-change:``dynamodb``: Doc only updates for DynamoDB documentation
* api-change:``imagebuilder``: Add PENDING status to Lifecycle Execution resource status. Add StartTime and EndTime to ListLifecycleExecutionResource API response.
* api-change:``mwaa``: Amazon MWAA adds support for Apache Airflow v2.8.1.
* api-change:``rds``: Updated the input of CreateDBCluster and ModifyDBCluster to support setting CA certificates. Updated the output of DescribeDBCluster to show current CA certificate setting value.
* api-change:``redshift``: Update for documentation only. Covers port ranges, definition updates for data sharing, and definition updates to cluster-snapshot documentation.
* api-change:``verifiedpermissions``: Deprecating details in favor of configuration for GetIdentitySource and ListIdentitySources APIs.


1.32.56
=======

* api-change:``apigateway``: Documentation updates for Amazon API Gateway
* api-change:``chatbot``: Minor update to documentation.
* api-change:``organizations``: This release contains an endpoint addition
* api-change:``sesv2``: Adds support for providing custom headers within SendEmail and SendBulkEmail for SESv2.


1.32.55
=======

* api-change:``cloudformation``: Add DetailedStatus field to DescribeStackEvents and DescribeStacks APIs
* api-change:``fsx``: Added support for creating FSx for NetApp ONTAP file systems with up to 12 HA pairs, delivering up to 72 GB/s of read throughput and 12 GB/s of write throughput.
* api-change:``organizations``: Documentation update for AWS Organizations


1.32.54
=======

* api-change:``accessanalyzer``: Fixed a typo in description field.
* api-change:``autoscaling``: With this release, Amazon EC2 Auto Scaling groups, EC2 Fleet, and Spot Fleet improve the default price protection behavior of attribute-based instance type selection of Spot Instances, to consistently select from a wide range of instance types.
* api-change:``ec2``: With this release, Amazon EC2 Auto Scaling groups, EC2 Fleet, and Spot Fleet improve the default price protection behavior of attribute-based instance type selection of Spot Instances, to consistently select from a wide range of instance types.


1.32.53
=======

* api-change:``docdb-elastic``: Launched Elastic Clusters Readable Secondaries, Start/Stop, Configurable Shard Instance count, Automatic Backups and Snapshot Copying
* api-change:``eks``: Added support for new AL2023 AMIs to the supported AMITypes.
* api-change:``lexv2-models``: This release makes AMAZON.QnAIntent generally available in Amazon Lex. This generative AI feature leverages large language models available through Amazon Bedrock to automate frequently asked questions (FAQ) experience for end-users.
* api-change:``migrationhuborchestrator``: Adds new CreateTemplate, UpdateTemplate and DeleteTemplate APIs.
* api-change:``quicksight``: TooltipTarget for Combo chart visuals; ColumnConfiguration limit increase to 2000; Documentation Update
* api-change:``sagemaker``: Adds support for ModelDataSource in Model Packages to support unzipped models. Adds support to specify SourceUri for models which allows registration of models without mandating a container for hosting. Using SourceUri, customers can decouple the model from hosting information during registration.
* api-change:``securitylake``: Add capability to update the Data Lake's MetaStoreManager Role in order to perform required data lake updates to use Iceberg table format in their data lake or update the role for any other reason.


1.32.52
=======

* api-change:``batch``: This release adds Batch support for configuration of multicontainer jobs in ECS, Fargate, and EKS. This support is available for all types of jobs, including both array jobs and multi-node parallel jobs.
* api-change:``bedrock-agent-runtime``: This release adds support to override search strategy performed by the Retrieve and RetrieveAndGenerate APIs for Amazon Bedrock Agents
* api-change:``ce``: This release introduces the new API 'GetApproximateUsageRecords', which retrieves estimated usage records for hourly granularity or resource-level data at daily granularity.
* api-change:``ec2``: This release increases the range of MaxResults for GetNetworkInsightsAccessScopeAnalysisFindings to 1,000.
* api-change:``iot``: This release reduces the maximum results returned per query invocation from 500 to 100 for the SearchIndex API. This change has no implications as long as the API is invoked until the nextToken is NULL.
* api-change:``wafv2``: AWS WAF now supports configurable time windows for request aggregation with rate-based rules. Customers can now select time windows of 1 minute, 2 minutes or 10 minutes, in addition to the previously supported 5 minutes.


1.32.51
=======

* api-change:``amplifyuibuilder``: We have added the ability to tag resources after they are created


1.32.50
=======

* api-change:``apigateway``: Documentation updates for Amazon API Gateway.
* api-change:``drs``: Added volume status to DescribeSourceServer replicated volumes.
* api-change:``kafkaconnect``: Adds support for tagging, with new TagResource, UntagResource and ListTagsForResource APIs to manage tags and updates to existing APIs to allow tag on create. This release also adds support for the new DeleteWorkerConfiguration API.
* api-change:``rds``: This release adds support for gp3 data volumes for Multi-AZ DB Clusters.


1.32.49
=======

* api-change:``appsync``: Documentation only updates for AppSync
* api-change:``qldb``: Clarify possible values for KmsKeyArn and EncryptionDescription.
* api-change:``rds``: Add pattern and length based validations for DBShardGroupIdentifier
* api-change:``rum``: Doc-only update for new RUM metrics that were added


1.32.48
=======

* api-change:``internetmonitor``: This release adds IPv4 prefixes to health events
* api-change:``kinesisvideo``: Increasing NextToken parameter length restriction for List APIs from 512 to 1024.


1.32.47
=======

* api-change:``iotevents``: Increase the maximum length of descriptions for Inputs, Detector Models, and Alarm Models
* api-change:``lookoutequipment``: This release adds a field exposing model quality to read APIs for models. It also adds a model quality field to the API response when creating an inference scheduler.
* api-change:``medialive``: MediaLive now supports the ability to restart pipelines in a running channel.
* api-change:``ssm``: This release adds support for sharing Systems Manager parameters with other AWS accounts.


1.32.46
=======

* api-change:``dynamodb``: Publishing quick fix for doc only update.
* api-change:``firehose``: This release updates a few Firehose related APIs.
* api-change:``lambda``: Add .NET 8 (dotnet8) Runtime support to AWS Lambda.


1.32.45
=======

* api-change:``amplify``: This release contains API changes that enable users to configure their Amplify domains with their own custom SSL/TLS certificate.
* api-change:``chatbot``: This release adds support for AWS Chatbot. You can now monitor, operate, and troubleshoot your AWS resources with interactive ChatOps using the AWS SDK.
* api-change:``config``: Documentation updates for the AWS Config CLI
* api-change:``ivs``: Changed description for latencyMode in Create/UpdateChannel and Channel/ChannelSummary.
* api-change:``keyspaces``: Documentation updates for Amazon Keyspaces
* api-change:``mediatailor``: MediaTailor: marking #AdBreak.OffsetMillis as required.


1.32.44
=======

* api-change:``connectparticipant``: Doc only update to GetTranscript API reference guide to inform users about presence of events in the chat transcript.
* api-change:``emr``: adds fine grained control over Unhealthy Node Replacement to Amazon ElasticMapReduce
* api-change:``firehose``: This release adds support for Data Message Extraction for decompressed CloudWatch logs, and to use a custom file extension or time zone for S3 destinations.
* api-change:``lambda``: Documentation-only updates for Lambda to clarify a number of existing actions and properties.
* api-change:``rds``: Doc only update for a valid option in DB parameter group
* api-change:``sns``: This release marks phone numbers as sensitive inputs.


1.32.43
=======

* api-change:``artifact``: This is the initial SDK release for AWS Artifact. AWS Artifact provides on-demand access to compliance and third-party compliance reports. This release includes access to List and Get reports, along with their metadata. This release also includes access to AWS Artifact notifications settings.
* api-change:``codepipeline``: Add ability to override timeout on action level.
* api-change:``detective``: Doc only updates for content enhancement
* api-change:``guardduty``: Marked fields IpAddressV4, PrivateIpAddress, Email as Sensitive.
* api-change:``healthlake``: This release adds a new response parameter, JobProgressReport, to the DescribeFHIRImportJob and ListFHIRImportJobs API operation. JobProgressReport provides details on the progress of the import job on the server.
* api-change:``opensearch``: Adds additional supported instance types.
* api-change:``polly``: Amazon Polly adds 1 new voice - Burcu (tr-TR)
* api-change:``sagemaker``: This release adds a new API UpdateClusterSoftware for SageMaker HyperPod. This API allows users to patch HyperPod clusters with latest platform softwares.
* api-change:``secretsmanager``: Doc only update for Secrets Manager
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.42
=======

* api-change:``controltower``: Adds support for new Baseline and EnabledBaseline APIs for automating multi-account governance.
* api-change:``lookoutequipment``: This feature allows customers to see pointwise model diagnostics results for their models.
* api-change:``qbusiness``: This release adds the metadata-boosting feature, which allows customers to easily fine-tune the underlying ranking of retrieved RAG passages in order to optimize Q&A answer relevance. It also adds new feedback reasons for the PutFeedback API.


1.32.41
=======

* api-change:``lightsail``: This release adds support to upgrade the major version of a database.
* api-change:``marketplace-catalog``: AWS Marketplace Catalog API now supports setting intent on requests
* api-change:``resource-explorer-2``: Resource Explorer now uses newly supported IPv4 'amazonaws.com' endpoints by default.
* api-change:``securitylake``: Documentation updates for Security Lake
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.40
=======

* api-change:``appsync``: Adds support for new options on GraphqlAPIs, Resolvers and  Data Sources for emitting Amazon CloudWatch metrics for enhanced monitoring of AppSync APIs.
* api-change:``cloudwatch``: Update cloudwatch command to latest version
* api-change:``neptune-graph``: Adding a new option "parameters" for data plane api ExecuteQuery to support running parameterized query via SDK.
* api-change:``route53domains``: This release adds bill contact support for RegisterDomain, TransferDomain, UpdateDomainContact and GetDomainDetail API.


1.32.39
=======

* api-change:``amp``: Overall documentation updates.
* api-change:``batch``: This feature allows Batch to support configuration of repository credentials for jobs running on ECS
* api-change:``braket``: Creating a job will result in DeviceOfflineException when using an offline device, and DeviceRetiredException when using a retired device.
* api-change:``cost-optimization-hub``: Adding includeMemberAccounts field to the response of ListEnrollmentStatuses API.
* api-change:``ecs``: Documentation only update for Amazon ECS.
* api-change:``iot``: This release allows AWS IoT Core users to enable Online Certificate Status Protocol (OCSP) Stapling for TLS X.509 Server Certificates when creating and updating AWS IoT Domain Configurations with Custom Domain.
* api-change:``pricing``: Add Throttling Exception to all APIs.


1.32.38
=======

* api-change:``codepipeline``: Add ability to execute pipelines with new parallel & queued execution modes and add support for triggers with filtering on branches and file paths.
* api-change:``quicksight``: General Interactions for Visuals; Waterfall Chart Color Configuration; Documentation Update
* api-change:``workspaces``: This release introduces User-Decoupling feature. This feature allows Workspaces Core customers to provision workspaces without providing users. CreateWorkspaces and DescribeWorkspaces APIs will now take a new optional parameter "WorkspaceName".


1.32.37
=======

* api-change:``datasync``: AWS DataSync now supports manifests for specifying files or objects to transfer.
* api-change:``lexv2-models``: Update lexv2-models command to latest version
* api-change:``redshift``: LisRecommendations API to fetch Amazon Redshift Advisor recommendations.


1.32.36
=======

* api-change:``appsync``: Support for environment variables in AppSync GraphQL APIs
* api-change:``ecs``: This release is a documentation only update to address customer issues.
* api-change:``es``: This release adds clear visibility to the customers on the changes that they make on the domain.
* api-change:``logs``: This release adds a new field, logGroupArn, to the response of the logs:DescribeLogGroups action.
* api-change:``opensearch``: This release adds clear visibility to the customers on the changes that they make on the domain.
* api-change:``wafv2``: You can now delete an API key that you've created for use with your CAPTCHA JavaScript integration API.


1.32.35
=======

* api-change:``glue``: Introduce Catalog Encryption Role within Glue Data Catalog Settings. Introduce SASL/PLAIN as an authentication method for Glue Kafka connections
* api-change:``workspaces``: Added definitions of various WorkSpace states


1.32.34
=======

* api-change:``dynamodb``: Any number of users can execute up to 50 concurrent restores (any type of restore) in a given account.
* api-change:``sagemaker``: Amazon SageMaker Canvas adds GenerativeAiSettings support for CanvasAppSettings.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.33
=======

* api-change:``cognito-idp``: Added CreateIdentityProvider and UpdateIdentityProvider details for new SAML IdP features
* api-change:``ivs``: This release introduces a new resource Playback Restriction Policy which can be used to geo-restrict or domain-restrict channel stream playback when associated with a channel.  New APIs to support this resource were introduced in the form of Create/Delete/Get/Update/List.
* api-change:``managedblockchain-query``: This release adds support for transactions that have not reached finality. It also removes support for the status property from the response of the GetTransaction operation. You can use the confirmationStatus and executionStatus properties to determine the status of the transaction.
* api-change:``mediaconvert``: This release includes support for broadcast-mixed audio description tracks.
* api-change:``neptune-graph``: Adding new APIs in SDK for Amazon Neptune Analytics. These APIs include operations to execute, cancel, list queries and get the graph summary.


1.32.32
=======

* api-change:``cloudformation``: CloudFormation IaC generator allows you to scan existing resources in your account and select resources to generate a template for a new or existing CloudFormation stack.
* api-change:``elbv2``: Update elbv2 command to latest version
* api-change:``glue``: Update page size limits for GetJobRuns and GetTriggers APIs.
* api-change:``ssm``: This release adds an optional Duration parameter to StateManager Associations. This allows customers to specify how long an apply-only-on-cron association execution should run. Once the specified Duration is out all the ongoing cancellable commands or automations are cancelled.


1.32.31
=======

* api-change:``datazone``: Add new skipDeletionCheck to DeleteDomain. Add new skipDeletionCheck to DeleteProject which also automatically deletes dependent objects
* api-change:``route53``: Update the SDKs for text changes in the APIs.


1.32.30
=======

* api-change:``autoscaling``: EC2 Auto Scaling customers who use attribute based instance-type selection can now intuitively define their Spot instances price protection limit as a percentage of the lowest priced On-Demand instance type.
* api-change:``comprehend``: Comprehend PII analysis now supports Spanish input documents.
* api-change:``ec2``: EC2 Fleet customers who use attribute based instance-type selection can now intuitively define their Spot instances price protection limit as a percentage of the lowest priced On-Demand instance type.
* api-change:``mwaa``: This release adds MAINTENANCE environment status for Amazon MWAA environments.
* api-change:``rds``: Introduced support for the InsufficientDBInstanceCapacityFault error in the RDS RestoreDBClusterFromSnapshot and RestoreDBClusterToPointInTime API methods. This provides enhanced error handling, ensuring a more robust experience.
* api-change:``snowball``: Modified description of createaddress to include direction to add path when providing a JSON file.


1.32.29
=======

* api-change:``connect``: Update list and string length limits for predefined attributes.
* api-change:``inspector2``: This release adds ECR container image scanning based on their lastRecordedPullTime.
* api-change:``sagemaker``: Amazon SageMaker Automatic Model Tuning now provides an API to programmatically delete tuning jobs.


1.32.28
=======

* api-change:``acm-pca``: AWS Private CA now supports an option to omit the CDP extension from issued certificates, when CRL revocation is enabled.
* api-change:``lightsail``: This release adds support for IPv6-only instance plans.


1.32.27
=======

* api-change:``ec2``: Introduced a new clientToken request parameter on CreateNetworkAcl and CreateRouteTable APIs. The clientToken parameter allows idempotent operations on the APIs.
* api-change:``ecs``: Documentation updates for Amazon ECS.
* api-change:``outposts``: DeviceSerialNumber parameter is now optional in StartConnection API
* api-change:``rds``: This release adds support for Aurora Limitless Database.
* api-change:``storagegateway``: Add DeprecationDate and SoftwareVersion to response of ListGateways.


1.32.26
=======

* api-change:``inspector2``: This release adds support for CIS scans on EC2 instances.


1.32.25
=======

* bugfix:``s3 sync``: Disable S3 Express support for s3 sync command


1.32.24
=======

* api-change:``appconfigdata``: Fix FIPS Endpoints in aws-us-gov.
* api-change:``cloud9``: Doc-only update around removing AL1 from list of available AMIs for Cloud9
* api-change:``cloudfront-keyvaluestore``: This release improves upon the DescribeKeyValueStore API by returning two additional fields, Status of the KeyValueStore and the FailureReason in case of failures during creation of KeyValueStore.
* api-change:``connectcases``: This release adds the ability to view audit history on a case and introduces a new parameter, performedBy, for CreateCase and UpdateCase API's.
* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``ecs``: This release adds support for Transport Layer Security (TLS) and Configurable Timeout to ECS Service Connect. TLS facilitates privacy and data security for inter-service communications, while Configurable Timeout allows customized per-request timeout and idle timeout for Service Connect services.
* api-change:``finspace``: Allow customer to set zip default through command line arguments.
* api-change:``organizations``: Doc only update for quota increase change
* api-change:``rds``: Introduced support for the InsufficientDBInstanceCapacityFault error in the RDS CreateDBCluster API method. This provides enhanced error handling, ensuring a more robust experience when creating database clusters with insufficient instance capacity.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.23
=======

* api-change:``athena``: Introducing new NotebookS3LocationUri parameter to Athena ImportNotebook API. Payload is no longer required and either Payload or NotebookS3LocationUri needs to be provided (not both) for a successful ImportNotebook API call. If both are provided, an InvalidRequestException will be thrown.
* api-change:``codebuild``: Release CodeBuild Reserved Capacity feature
* api-change:``dynamodb``: This release adds support for including ApproximateCreationDateTimePrecision configurations in EnableKinesisStreamingDestination API, adds the same as an optional field in the response of DescribeKinesisStreamingDestination, and adds support for a new UpdateKinesisStreamingDestination API.
* api-change:``qconnect``: Increased Quick Response name max length to 100


1.32.22
=======

* api-change:``b2bi``: Increasing TestMapping inputFileContent file size limit to 5MB and adding file size limit 250KB for TestParsing input file. This release also includes exposing InternalServerException for Tag APIs.
* api-change:``cloudtrail``: This release adds a new API ListInsightsMetricData to retrieve metric data from CloudTrail Insights.
* api-change:``connect``: GetMetricDataV2 now supports 3 groupings
* api-change:``drs``: Removed invalid and unnecessary default values.
* api-change:``firehose``: Allow support for Snowflake as a Kinesis Data Firehose delivery destination.
* api-change:``sagemaker-featurestore-runtime``: Increase BatchGetRecord limits from 10 items to 100 items


1.32.21
=======

* api-change:``dynamodb``: Updating note for enabling streams for UpdateTable.
* api-change:``keyspaces``: This release adds support for Multi-Region Replication with provisioned tables, and Keyspaces auto scaling APIs


1.32.20
=======

* api-change:``iot``: Revert release of LogTargetTypes
* api-change:``iotfleetwise``: Updated APIs: SignalNodeType query parameter has been added to ListSignalCatalogNodesRequest and ListVehiclesResponse has been extended with attributes field.
* api-change:``macie2``: This release adds support for analyzing Amazon S3 objects that are encrypted using dual-layer server-side encryption with AWS KMS keys (DSSE-KMS). It also adds support for reporting DSSE-KMS details in statistics and metadata about encryption settings for S3 buckets and objects.
* api-change:``payment-cryptography``: Provide an additional option for key exchange using RSA wrap/unwrap in addition to tr-34/tr-31 in ImportKey and ExportKey operations. Added new key usage (type) TR31_M1_ISO_9797_1_MAC_KEY, for use with Generate/VerifyMac dataplane operations  with ISO9797 Algorithm 1 MAC calculations.
* api-change:``personalize-runtime``: Documentation updates for Amazon Personalize
* api-change:``personalize``: Documentation updates for Amazon Personalize.
* api-change:``rekognition``: This release adds ContentType and TaxonomyLevel attributes to DetectModerationLabels and GetMediaAnalysisJob API responses.
* api-change:``securityhub``: Documentation updates for AWS Security Hub


1.32.19
=======

* api-change:``sagemaker``: This release will have ValidationException thrown if certain invalid app types are provided. The release will also throw ValidationException if more than 10 account ids are provided in VpcOnlyTrustedAccounts.


1.32.18
=======

* api-change:``connect``: Supervisor Barge for Chat is now supported through the MonitorContact API.
* api-change:``connectparticipant``: Introduce new Supervisor participant role
* api-change:``location``: Location SDK documentation update. Added missing fonts to the MapConfiguration data type. Updated note for the SubMunicipality property in the place data type.
* api-change:``mwaa``: This Amazon MWAA feature release includes new fields in CreateWebLoginToken response model. The new fields IamIdentity and AirflowIdentity will let you match identifications, as the Airflow identity length is currently hashed to 64 characters.
* api-change:``s3control``: S3 On Outposts team adds dualstack endpoints support for S3Control and S3Outposts API calls.
* api-change:``supplychain``: This release includes APIs CreateBillOfMaterialsImportJob and GetBillOfMaterialsImportJob.
* api-change:``transfer``: AWS Transfer Family now supports static IP addresses for SFTP & AS2 connectors and for async MDNs on AS2 servers.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.17
=======

* api-change:``ec2``: This release adds support for adding an ElasticBlockStorage volume configurations in ECS RunTask/StartTask/CreateService/UpdateService APIs. The configuration allows for attaching EBS volumes to ECS Tasks.
* api-change:``ecs``: This release adds support for adding an ElasticBlockStorage volume configurations in ECS RunTask/StartTask/CreateService/UpdateService APIs. The configuration allows for attaching EBS volumes to ECS Tasks.
* api-change:``events``: Update events command to latest version
* api-change:``iot``: Add ConflictException to Update APIs of AWS IoT Software Package Catalog
* api-change:``iotfleetwise``: The following dataTypes have been removed: CUSTOMER_DECODED_INTERFACE in NetworkInterfaceType; CUSTOMER_DECODED_SIGNAL_INFO_IS_NULL in SignalDecoderFailureReason; CUSTOMER_DECODED_SIGNAL_NETWORK_INTERFACE_INFO_IS_NULL in NetworkInterfaceFailureReason; CUSTOMER_DECODED_SIGNAL in SignalDecoderType
* api-change:``secretsmanager``: Doc only update for Secrets Manager
* api-change:``workspaces``: Added AWS Workspaces RebootWorkspaces API - Extended Reboot documentation update


1.32.16
=======

* api-change:``connectcampaigns``: Minor pattern updates for Campaign and Dial Request API fields.
* api-change:``location``: This release adds API support for custom layers for the maps service APIs: CreateMap, UpdateMap, DescribeMap.
* api-change:``logs``: Add support for account level subscription filter policies to PutAccountPolicy, DescribeAccountPolicies, and DeleteAccountPolicy APIs. Additionally, PutAccountPolicy has been modified with new optional "selectionCriteria" parameter for resource selection.
* api-change:``qconnect``: QueryAssistant and GetRecommendations will be discontinued starting June 1, 2024. To receive generative responses after March 1, 2024 you will need to create a new Assistant in the Connect console and integrate the Amazon Q in Connect JavaScript library (amazon-q-connectjs) into your applications.
* api-change:``redshift-serverless``: Updates to ConfigParameter for RSS workgroup, removal of use_fips_ssl
* api-change:``route53``: Route53 now supports geoproximity routing in AWS regions
* api-change:``wisdom``: QueryAssistant and GetRecommendations will be discontinued starting June 1, 2024. To receive generative responses after March 1, 2024 you will need to create a new Assistant in the Connect console and integrate the Amazon Q in Connect JavaScript library (amazon-q-connectjs) into your applications.


1.32.15
=======

* api-change:``codebuild``: Aws CodeBuild now supports new compute type BUILD_GENERAL1_XLARGE
* api-change:``ec2``: Amazon EC2 R7iz bare metal instances are powered by custom 4th generation Intel Xeon Scalable processors.
* api-change:``route53resolver``: This release adds support for query type configuration on firewall rules that enables customers for granular action (ALLOW, ALERT, BLOCK) by DNS query type.


1.32.14
=======

* api-change:``connect``: Minor trait updates for User APIs
* api-change:``kms``: Documentation updates for AWS Key Management Service (KMS).
* api-change:``redshift-serverless``: use_fips_ssl and require_ssl parameter support for Workgroup, UpdateWorkgroup, and CreateWorkgroup


1.32.13
=======

* api-change:``config``: Updated ResourceType enum with new resource types onboarded by AWS Config in November and December 2023.
* api-change:``docdb``: Adding PerformanceInsightsEnabled and PerformanceInsightsKMSKeyId fields to DescribeDBInstances Response.
* api-change:``ecs``: This release adds support for managed instance draining which facilitates graceful termination of Amazon ECS instances.
* api-change:``es``: This release adds support for new or existing Amazon OpenSearch domains to enable TLS 1.3 or TLS 1.2 with perfect forward secrecy cipher suites for domain endpoints.
* api-change:``lightsail``: This release adds support to set up an HTTPS endpoint on an instance.
* api-change:``opensearch``: This release adds support for new or existing Amazon OpenSearch domains to enable TLS 1.3 or TLS 1.2 with perfect forward secrecy cipher suites for domain endpoints.
* api-change:``sagemaker``: Adding support for provisioned throughput mode for SageMaker Feature Groups
* api-change:``servicecatalog``: Added Idempotency token support to Service Catalog  AssociateServiceActionWithProvisioningArtifact, DisassociateServiceActionFromProvisioningArtifact, DeleteServiceAction API
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.12
=======

* api-change:``connect``: Amazon Connect, Contact Lens Evaluation API increase evaluation notes max length to 3072.
* api-change:``mediaconvert``: This release includes video engine updates including HEVC improvements, support for ingesting VP9 encoded video in MP4 containers, and support for user-specified 3D LUTs.


1.32.11
=======

* api-change:``apprunner``: AWS App Runner adds Python 3.11 and Node.js 18 runtimes.
* api-change:``location``: This release introduces a new parameter to bypasses an API key's expiry conditions and delete the key.
* api-change:``quicksight``: Add LinkEntityArn support for different partitions; Add UnsupportedUserEditionException in UpdateDashboardLinks API; Add support for New Reader Experience Topics


1.32.10
=======

* api-change:``codestar-connections``: New integration with the GitLab self-managed provider type.
* api-change:``kinesis-video-archived-media``: NoDataRetentionException thrown when GetImages requested for a Stream that does not retain data (that is, has a DataRetentionInHours of 0).
* api-change:``sagemaker``: Amazon SageMaker Studio now supports Docker access from within app container


1.32.9
======

* api-change:``emr``: Update emr command to latest version


1.32.8
======

* api-change:``iam``: Documentation updates for AWS Identity and Access Management (IAM).
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.7
======

* api-change:``bedrock-agent``: Adding Claude 2.1 support to Bedrock Agents
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version
* api-change:``glue``: This release adds additional configurations for Query Session Context on the following APIs: GetUnfilteredTableMetadata, GetUnfilteredPartitionMetadata, GetUnfilteredPartitionsMetadata.
* api-change:``lakeformation``: This release adds additional configurations on GetTemporaryGlueTableCredentials for Query Session Context.
* api-change:``mediaconnect``: This release adds the DescribeSourceMetadata API. This API can be used to view the stream information of the flow's source.
* api-change:``networkmonitor``: CloudWatch Network Monitor is a new service within CloudWatch that will help network administrators and operators continuously monitor network performance metrics such as round-trip-time and packet loss between their AWS-hosted applications and their on-premises locations.
* api-change:``omics``: Provides minor corrections and an updated description of APIs.
* api-change:``secretsmanager``: Update endpoint rules and examples.


1.32.6
======

* api-change:``amp``: This release updates Amazon Managed Service for Prometheus APIs to support customer managed KMS keys.
* api-change:``appintegrations``: The Amazon AppIntegrations service adds DeleteApplication API for deleting applications, and updates APIs to support third party applications reacting to workspace events and make data requests to Amazon Connect for agent and contact events.
* api-change:``bedrock-agent``: This release introduces Amazon Aurora as a vector store on Knowledge Bases for Amazon Bedrock
* api-change:``codecommit``: AWS CodeCommit now supports customer managed keys from AWS Key Management Service. UpdateRepositoryEncryptionKey is added for updating the key configuration. CreateRepository, GetRepository, BatchGetRepositories are updated with new input or output parameters.
* api-change:``connect``: Adds APIs to manage User Proficiencies and Predefined Attributes. Enhances StartOutboundVoiceContact API input. Introduces SearchContacts API. Enhances DescribeContact API. Adds an API to update Routing Attributes in QueuePriority and QueueTimeAdjustmentSeconds.
* api-change:``medialive``: MediaLive now supports the ability to configure the audio that an AWS Elemental Link UHD device produces, when the device is configured as the source for a flow in AWS Elemental MediaConnect.
* api-change:``neptune-graph``: Adds Waiters for successful creation and deletion of Graph, Graph Snapshot, Import Task and Private Endpoints for Neptune Analytics
* api-change:``rds-data``: This release adds support for using RDS Data API with Aurora PostgreSQL Serverless v2 and provisioned DB clusters.
* api-change:``rds``: This release adds support for using RDS Data API with Aurora PostgreSQL Serverless v2 and provisioned DB clusters.
* api-change:``sagemaker``: Amazon SageMaker Training now provides model training container access for debugging purposes. Amazon SageMaker Search now provides the ability to use visibility conditions to limit resource access to a single domain or multiple domains.


1.32.5
======

* api-change:``appstream``: This release introduces configurable clipboard, allowing admins to specify the maximum length of text that can be copied by the users from their device to the remote session and vice-versa.
* api-change:``eks``: Add support for cluster insights, new EKS capability that surfaces potentially upgrade impacting issues.
* api-change:``guardduty``: This release 1) introduces a new API: GetOrganizationStatistics , and 2) adds a new UsageStatisticType TOP_ACCOUNTS_BY_FEATURE for GetUsageStatistics API
* api-change:``managedblockchain-query``: Adding Confirmation Status and Execution Status to GetTransaction Response.
* api-change:``mediatailor``: Adds the ability to configure time shifting on MediaTailor channels using the TimeShiftConfiguration field
* api-change:``route53``: Amazon Route 53 now supports the Canada West (Calgary) Region (ca-west-1) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.4
======

* api-change:``appsync``: This release adds additional configurations on GraphQL APIs for limits on query depth, resolver count, and introspection
* api-change:``chime-sdk-meetings``: Add meeting features to specify a maximum camera resolution, a maximum content sharing resolution, and a maximum number of attendees for a given meeting.
* api-change:``ec2``: Provision BYOIPv4 address ranges and advertise them by specifying the network border groups option in Los Angeles, Phoenix and Dallas AWS Local Zones.
* api-change:``fsx``: Added support for FSx for OpenZFS on-demand data replication across AWS accounts and/or regions.Added the IncludeShared attribute for DescribeSnapshots.Added the CopyStrategy attribute for OpenZFSVolumeConfiguration.
* api-change:``marketplace-catalog``: AWS Marketplace now supports a new API, BatchDescribeEntities, which returns metadata and content for multiple entities.
* api-change:``rds``: RDS - The release adds two new APIs: DescribeDBRecommendations and ModifyDBRecommendation


1.32.3
======

* api-change:``cognito-idp``: Amazon Cognito now supports trigger versions that define the fields in the request sent to pre token generation Lambda triggers.
* api-change:``eks``: Add support for EKS Cluster Access Management.
* api-change:``quicksight``: A docs-only release to add missing entities to the API reference.
* api-change:``route53resolver``: Add DOH protocols in resolver endpoints.


1.32.2
======

* enhancement:``cloudformation package``: Add support for intrinsic Fn:ForEach (fixes `#8075 <https://github.com/aws/aws-cli/issues/8075>`__)
* api-change:``cloud9``: Updated Cloud9 API documentation for AL2023 release
* api-change:``connect``: Adds relatedContactId field to StartOutboundVoiceContact API input. Introduces PauseContact API and ResumeContact API for Task contacts. Adds pause duration, number of pauses, timestamps for last paused and resumed events to DescribeContact API response. Adds new Rule type and new Rule action.
* api-change:``connectcases``: Increase number of fields that can be included in CaseEventIncludedData from 50 to 200
* api-change:``kms``: Documentation updates for AWS Key Management Service
* api-change:``rds``: Updates Amazon RDS documentation by adding code examples
* api-change:``sagemaker``: This release 1) introduces a new API: DeleteCompilationJob , and 2) adds InfraCheckConfig for Create/Describe training job API


1.32.1
======

* api-change:``appstream``: This release includes support for images of Windows Server 2022 platform.
* api-change:``b2bi``: Documentation updates for AWS B2B Data Interchange
* api-change:``billingconductor``: Billing Conductor is releasing a new API, GetBillingGroupCostReport, which provides the ability to retrieve/view the Billing Group Cost Report broken down by attributes for a specific billing group.
* api-change:``connect``: This release adds support for more granular billing using tags (key:value pairs)
* api-change:``controltower``: Documentation updates for AWS Control Tower.
* api-change:``firehose``: This release, 1) adds configurable buffering hints for the Splunk destination, and 2) reduces the minimum configurable buffering interval for supported destinations
* api-change:``gamelift``: Amazon GameLift adds the ability to add and update the game properties of active game sessions.
* api-change:``iot``: This release adds the ability to self-manage certificate signing in AWS IoT Core fleet provisioning using the new certificate provider resource.
* api-change:``neptune-graph``: This is the initial SDK release for Amazon Neptune Analytics
* api-change:``opensearch``: Updating documentation for Amazon OpenSearch Service support for new zero-ETL integration with Amazon S3.
* api-change:``quicksight``: Update Dashboard Links support; SingleAxisOptions support; Scatterplot Query limit support.
* api-change:``workspaces``: Updated note to ensure customers understand running modes.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.32.0
======

* feature:Python: End of support for Python 3.7
* api-change:``drs``: Adding AgentVersion to SourceServer and RecoveryInstance structures
* feature:Python: End of support for Python 3.7


1.31.13
=======

* api-change:``imagebuilder``: This release adds the Image Workflows feature to give more flexibility and control over the image building and testing process.
* api-change:``location``: This release 1)  adds sub-municipality field in Places API for searching and getting places information, and 2) allows optimizing route calculation based on expected arrival time.
* api-change:``logs``: This release introduces the StartLiveTail API to tail ingested logs in near real time.


1.31.12
=======

* api-change:``neptune``: This release adds a new parameter configuration setting to the Neptune cluster related APIs that can be leveraged to switch between the underlying supported storage modes.
* api-change:``pinpoint``: This release includes Amazon Pinpoint API documentation updates pertaining to campaign message sending rate limits.
* api-change:``securityhub``: Added new resource detail objects to ASFF, including resources for AwsDynamoDbTable, AwsEc2ClientVpnEndpoint, AwsMskCluster, AwsS3AccessPoint, AwsS3Bucket
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.31.11
=======

* api-change:``cloudwatch``: Update cloudwatch command to latest version
* api-change:``ec2``: M2 Mac instances are built on Apple M2 Mac mini computers. I4i instances are powered by 3rd generation Intel Xeon Scalable processors. C7i compute optimized, M7i general purpose and R7i memory optimized instances are powered by custom 4th Generation Intel Xeon Scalable processors.
* api-change:``finspace``: Releasing Scaling Group, Dataview, and Volume APIs


1.31.10
=======

* api-change:``codedeploy``: This release adds support for two new CodeDeploy features: 1) zonal deployments for Amazon EC2 in-place deployments, 2) deployments triggered by Auto Scaling group termination lifecycle hook events.


1.31.9
======

* api-change:``backup``: AWS Backup - Features: Add VaultType to the output of DescribeRecoveryPoint, ListRecoveryPointByBackupVault API and add ResourceType to the input of ListRestoreJobs API
* api-change:``comprehend``: Documentation updates for Trust and Safety features.
* api-change:``connect``: Releasing Tagging Support for Instance Management APIS
* api-change:``ec2``: Releasing the new cpuManufacturer attribute within the DescribeInstanceTypes API response which notifies our customers with information on who the Manufacturer is for the processor attached to the instance, for example: Intel.
* api-change:``payment-cryptography``: AWS Payment Cryptography IPEK feature release


1.31.8
======

* api-change:``athena``: Adding IdentityCenter enabled request for interactive query
* api-change:``cleanroomsml``: Updated service title from cleanroomsml to CleanRoomsML.
* api-change:``cloudformation``: Documentation update, December 2023
* api-change:``ec2``: Adds A10G, T4G, and H100 as accelerator name options and Habana as an accelerator manufacturer option for attribute based selection


1.31.7
======

* api-change:``billingconductor``: This release adds the ability to specify a linked account of the billing group for the custom line item resource.
* api-change:``braket``: This release enhances service support to create quantum tasks and hybrid jobs associated with Braket Direct Reservations.
* api-change:``cloud9``: This release adds the requirement to include the imageId parameter in the CreateEnvironmentEC2 API call.
* api-change:``cloudformation``: Including UPDATE_* states as a success status for CreateStack waiter.
* api-change:``finspace``: Release General Purpose type clusters
* api-change:``medialive``: Adds support for custom color correction on channels using 3D LUT files.
* api-change:``servicecatalog-appregistry``: Documentation-only updates for Dawn
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.31.6
======

* api-change:``qconnect``: This release adds the PutFeedback API and allows providing feedback against the specified assistant for the specified target.
* api-change:``rbin``: Added resource identifier in the output and updated error handling.
* api-change:``verifiedpermissions``: Adds description field to PolicyStore API's and namespaces field to GetSchema.


1.31.5
======

* api-change:``arc-zonal-shift``: This release adds a new capability, zonal autoshift. You can configure zonal autoshift so that AWS shifts traffic for a resource away from an Availability Zone, on your behalf, when AWS determines that there is an issue that could potentially affect customers in the Availability Zone.
* api-change:``glue``: Adds observation and analyzer support to the GetDataQualityResult and BatchGetDataQualityResult APIs.
* api-change:``sagemaker``: This release adds support for 1/ Code Editor, based on Code-OSS, Visual Studio Code Open Source, a new fully managed IDE option in SageMaker Studio  2/ JupyterLab, a new fully managed JupyterLab IDE experience in SageMaker Studio


1.31.4
======

* api-change:``marketplace-agreement``: The AWS Marketplace Agreement Service provides an API interface that helps AWS Marketplace sellers manage their agreements, including listing, filtering, and viewing details about their agreements.
* api-change:``marketplace-catalog``: This release enhances the ListEntities API to support new entity type-specific strongly typed filters in the request and entity type-specific strongly typed summaries in the response.
* api-change:``marketplace-deployment``: AWS Marketplace Deployment is a new service that provides essential features that facilitate the deployment of software, data, and services procured through AWS Marketplace.
* api-change:``redshift-serverless``: This release adds the following support for Amazon Redshift Serverless: 1) cross-account cross-VPCs, 2) copying snapshots across Regions, 3) scheduling snapshot creation, and 4) restoring tables from a recovery point.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.31.3
======

* api-change:``application-autoscaling``: Amazon SageMaker customers can now use Application Auto Scaling to automatically scale the number of Inference Component copies across an endpoint to meet the varying demand of their workloads.
* api-change:``cleanrooms``: AWS Clean Rooms now provides differential privacy to protect against user-identification attempts and machine learning modeling to allow two parties to identify similar users in their data.
* api-change:``cleanroomsml``: Public Preview SDK release of AWS Clean Rooms ML APIs
* api-change:``opensearch``: Launching Amazon OpenSearch Service support for new zero-ETL integration with Amazon S3. Customers can now manage their direct query data sources to Amazon S3 programatically
* api-change:``opensearchserverless``: Amazon OpenSearch Serverless collections support an additional attribute called standby-replicas. This allows to specify whether a collection should have redundancy enabled.
* api-change:``sagemaker-runtime``: Update sagemaker-runtime command to latest version
* api-change:``sagemaker``: This release adds following support 1/ Improved SDK tooling for model deployment. 2/ New Inference Component based features to lower inference costs and latency 3/ SageMaker HyperPod management. 4/ Additional parameters for FM Fine Tuning in Autopilot
* api-change:``sts``: Documentation updates for AWS Security Token Service.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.31.2
======

* api-change:``accessanalyzer``: This release adds support for external access findings for S3 directory buckets to help you easily identify cross-account access. Updated service API, documentation, and paginators.
* api-change:``bedrock``: This release adds support for customization types, model life cycle status and minor versions/aliases for model identifiers.
* api-change:``bedrock-agent``: This release introduces Agents for Amazon Bedrock
* api-change:``bedrock-agent-runtime``: This release introduces Agents for Amazon Bedrock Runtime
* api-change:``bedrock-runtime``: This release adds support for minor versions/aliases for invoke model identifier.
* api-change:``connect``: Added support for following capabilities: Amazon Connect's in-app, web, and video calling. Two-way SMS integrations. Contact Lens real-time chat analytics feature. Amazon Connect Analytics Datalake capability. Capability to configure real time chat rules.
* api-change:``customer-profiles``: This release introduces DetectProfileObjectType API to auto generate object type mapping.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version
* api-change:``qbusiness``: Amazon Q - a generative AI powered application that your employees can use to ask questions and get answers from knowledge spread across disparate content repositories, summarize reports, write articles, take actions, and much more - all within their company's connected content repositories.
* api-change:``qconnect``: Amazon Q in Connect, an LLM-enhanced evolution of Amazon Connect Wisdom. This release adds generative AI support to Amazon Q Connect QueryAssistant and GetRecommendations APIs.
* api-change:``s3``: Adds support for S3 Express One Zone.
* api-change:``s3control``: Adds support for S3 Express One Zone, and InvocationSchemaVersion 2.0 for S3 Batch Operations.


1.31.1
======

* api-change:``elasticache``: Launching Amazon ElastiCache Serverless that enables you to create a cache in under a minute without any capacity management. ElastiCache Serverless monitors the cache's memory, CPU, and network usage and scales both vertically and horizontally to support your application's requirements.


1.31.0
======

* api-change:``appsync``: This update enables introspection of Aurora cluster databases using the RDS Data API
* api-change:``b2bi``: This is the initial SDK release for AWS B2B Data Interchange.
* api-change:``backup``: AWS Backup now supports restore testing, a new feature that allows customers to automate restore testing and validating their backups. Additionally, this release adds support for EBS Snapshots Archive tier.
* api-change:``controltower``: This release adds the following support: 1. The EnableControl API can configure controls that are configurable.  2. The GetEnabledControl API shows the configured parameters on an enabled control. 3. The new UpdateEnabledControl API can change parameters on an enabled control.
* api-change:``efs``: Update efs command to latest version
* api-change:``fis``: AWS FIS adds support for multi-account experiments & empty target resolution. This release also introduces the CreateTargetAccountConfiguration API that allows experiments across multiple AWS accounts, and the ListExperimentResolvedTargets API to list target details.
* api-change:``glue``: add observations support to DQ CodeGen config model + update document for connectiontypes supported by ConnectorData entities
* api-change:``rds``: Updates Amazon RDS documentation for support for RDS for Db2.
* api-change:``securityhub``: Adds and updates APIs to support central configuration. This feature allows the Security Hub delegated administrator to configure Security Hub for their entire AWS Org across multiple regions from a home Region. With this release, findings also include account name and application metadata.
* api-change:``transcribe``: This release adds support for AWS HealthScribe APIs within Amazon Transcribe
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version
* feature:Versioning: With the release of Botocore 1.33.0, Boto3 and Botocore will share the same version number.


1.30.7
======

* api-change:``accessanalyzer``: IAM Access Analyzer now continuously monitors IAM roles and users in your AWS account or organization to generate findings for unused access. Additionally, IAM Access Analyzer now provides custom policy checks to validate that IAM policies adhere to your security standards ahead of deployments.
* api-change:``amp``: This release adds support for the Amazon Managed Service for Prometheus collector, a fully managed, agentless Prometheus metrics scraping capability.
* api-change:``bcm-data-exports``: Users can create, read, update, delete Exports of billing and cost management data.  Users can get details of Export Executions and details of Tables for exporting.  Tagging support is provided for Exports
* api-change:``cloudtrail``: CloudTrail Lake now supports federating event data stores. giving users the ability to run queries against their event data using Amazon Athena.
* api-change:``codestar-connections``: This release adds support for the CloudFormation Git sync feature. Git sync enables updating a CloudFormation stack from a template stored in a Git repository.
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze and generate recommendations with customization and discounts preferences.
* api-change:``config``: Support Periodic Recording for Configuration Recorder
* api-change:``controltower``: Add APIs to create and manage a landing zone.
* api-change:``cost-optimization-hub``: This release launches Cost Optimization Hub, a new AWS Billing and Cost Management feature that helps you consolidate and prioritize cost optimization recommendations across your AWS Organizations member accounts and AWS Regions, so that you can get the most out of your AWS spend.
* api-change:``detective``: Added new APIs in Detective to support resource investigations
* api-change:``ecs``: Adds a new 'type' property to the Setting structure. Adds a new AccountSetting - guardDutyActivate for ECS.
* api-change:``efs``: Update efs command to latest version
* api-change:``eks``: This release adds support for EKS Pod Identity feature. EKS Pod Identity makes it easy for customers to obtain IAM permissions for the applications running in their EKS clusters.
* api-change:``eks-auth``: This release adds support for EKS Pod Identity feature. EKS Pod Identity makes it easy for customers to obtain IAM permissions for their applications running in the EKS clusters.
* api-change:``elbv2``: Update elbv2 command to latest version
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version
* api-change:``freetier``: This is the initial SDK release for the AWS Free Tier GetFreeTierUsage API
* api-change:``fsx``: Added support for FSx for ONTAP scale-out file systems and FlexGroup volumes. Added the HAPairs field and ThroughputCapacityPerHAPair for filesystem. Added AggregateConfiguration (containing Aggregates and ConstituentsPerAggregate) and SizeInBytes for volume.
* api-change:``guardduty``: Add support for Runtime Monitoring for ECS and ECS-EC2.
* api-change:``iotfleetwise``: AWS IoT FleetWise introduces new APIs for vision system data, such as data collected from cameras, radars, and lidars. You can now model and decode complex data types.
* api-change:``lakeformation``: This release adds four new APIs "DescribeLakeFormationIdentityCenterConfiguration", "CreateLakeFormationIdentityCenterConfiguration", "DescribeLakeFormationIdentityCenterConfiguration", and "DeleteLakeFormationIdentityCenterConfiguration", and also updates the corresponding documentation.
* api-change:``lexv2-models``: Update lexv2-models command to latest version
* api-change:``lexv2-runtime``: Update lexv2-runtime command to latest version
* api-change:``logs``: Added APIs to Create, Update, Get, List and Delete LogAnomalyDetectors and List and Update Anomalies in Detector. Added LogGroupClass attribute for LogGroups to classify loggroup as Standard loggroup with all capabilities or InfrequentAccess loggroup with limited capabilities.
* api-change:``managedblockchain``: Add optional NetworkType property to Accessor APIs
* api-change:``personalize``: Enables metadata in recommendations, recommendations with themes, and next best action recommendations
* api-change:``personalize-events``: This release enables PutActions and PutActionInteractions
* api-change:``personalize-runtime``: Enables metadata in recommendations and next best action recommendations
* api-change:``quicksight``: This release launches new APIs for trusted identity propagation setup and supports creating datasources using trusted identity propagation as authentication method for QuickSight accounts configured with IAM Identity Center.
* api-change:``redshift``: This release adds support for multi-data warehouse writes through data sharing.
* api-change:``repostspace``: Initial release of AWS re:Post Private
* api-change:``s3``: Adding new params - Key and Prefix, to S3 API operations for supporting S3 Access Grants. Note - These updates will not change any of the existing S3 API functionality.
* api-change:``s3control``: Introduce Amazon S3 Access Grants, a new S3 access control feature that maps identities in directories such as Active Directory, or AWS Identity and Access Management (IAM) Principals, to datasets in S3.
* api-change:``secretsmanager``: AWS Secrets Manager has released the BatchGetSecretValue API, which allows customers to fetch up to 20 Secrets with a single request using a list of secret names or filters.
* api-change:``securityhub``: Adds and updates APIs to support customizable security controls. This feature allows Security Hub customers to provide custom parameters for security controls. With this release, findings for controls that support custom parameters will include the parameters used to generate the findings.
* api-change:``stepfunctions``: Update stepfunctions command to latest version
* api-change:``transcribe``: This release adds support for transcriptions from audio sources in 64 new languages and introduces generative call summarization in Transcribe Call Analytics (Post call)
* api-change:``workspaces``: The release introduces Multi-Region Resilience one-way data replication that allows you to replicate data from your primary WorkSpace to a standby WorkSpace in another AWS Region. DescribeWorkspaces now returns the status of data replication.
* api-change:``workspaces-thin-client``: Initial release of Amazon WorkSpaces Thin Client


1.30.6
======

* api-change:``kinesis``: This release adds support for resource based policies on streams and consumers.
* api-change:``s3control``: Amazon S3 Batch Operations now manages buckets or prefixes in a single step.
* api-change:``sagemaker``: This feature adds the end user license agreement status as a model access configuration parameter.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.30.5
======

* api-change:``cloudfront-keyvaluestore``: This release adds support for CloudFront KeyValueStore, a globally managed key value datastore associated with CloudFront Functions.
* api-change:``cloudfront``: This release adds support for CloudFront KeyValueStore, a globally managed key value datastore associated with CloudFront Functions.
* api-change:``ec2``: Documentation updates for Amazon EC2.
* api-change:``inspector-scan``: This release adds support for the new Amazon Inspector Scan API. The new Inspector Scan API can synchronously scan SBOMs adhering to the CycloneDX v1.5 format.
* api-change:``iotsitewise``: Adds 1/ user-defined unique identifier for asset and model metadata, 2/ asset model components, and 3/ query API for asset metadata and telemetry data. Supports 4/ multi variate anomaly detection using Amazon Lookout for Equipment, 5/ warm storage tier, and 6/ buffered ingestion of time series data.
* api-change:``iottwinmaker``: This release adds following support. 1. New APIs for metadata bulk operations. 2. Modify the component type API to support composite component types - nesting component types within one another. 3. New list APIs for components and properties. 4. Support the larger scope digital twin modeling.
* api-change:``s3``: Add support for automatic date based partitioning in S3 Server Access Logs.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.30.4
======

* api-change:``codestar-connections``: This release updates a few CodeStar Connections related APIs.
* api-change:``docdb``: Amazon DocumentDB updates for new cluster storage configuration: Amazon DocumentDB I/O-Optimized.
* api-change:``ec2``: This release adds support for Security group referencing over Transit gateways, enabling you to simplify Security group management and control of instance-to-instance traffic across VPCs that are connected by Transit gateway.


1.30.3
======

* enhancement:``ssm`` Session Manager: Pass StartSession API response as environment variable to session-manager-plugin
* api-change:``appmesh``: Change the default value of these fields from 0 to null: MaxConnections, MaxPendingRequests, MaxRequests, HealthCheckThreshold, PortNumber, and HealthCheckPolicy -> port. Users are not expected to perceive the change, except that badRequestException is thrown when required fields missing configured.
* api-change:``athena``: Adding SerivicePreProcessing time metric
* api-change:``cloud9``: A minor doc only update related to changing the date of an API change.
* api-change:``cloudformation``: This release adds a new flag ImportExistingResources to CreateChangeSet. Specify this parameter on a CREATE- or UPDATE-type change set to import existing resources with custom names instead of recreating them.
* api-change:``codepipeline``: CodePipeline now supports overriding source revisions to achieve manual re-deploy of a past revision
* api-change:``codestar-connections``: This release adds support for the CloudFormation Git sync feature. Git sync enables updating a CloudFormation stack from a template stored in a Git repository.
* api-change:``connect``: This release adds WISDOM_QUICK_RESPONSES as new IntegrationType of Connect IntegrationAssociation resource and bug fixes.
* api-change:``dlm``: Added support for SAP HANA in Amazon Data Lifecycle Manager EBS snapshot lifecycle policies with pre and post scripts.
* api-change:``ec2``: This release adds new features for Amazon VPC IP Address Manager (IPAM) Allowing a choice between Free and Advanced Tiers, viewing public IP address insights across regions and in Amazon Cloudwatch, use IPAM to plan your subnet IPs within a VPC and bring your own autonomous system number to IPAM.
* api-change:``ecr``: Documentation and operational updates for Amazon ECR, adding support for pull through cache rules for upstream registries that require authentication.
* api-change:``emr``: Update emr command to latest version
* api-change:``events``: Update events command to latest version
* api-change:``internetmonitor``: Adds new querying capabilities for running data queries on a monitor
* api-change:``ivs``: type & defaulting refinement to various range properties
* api-change:``ivschat``: type & defaulting refinement to various range properties
* api-change:``kinesisvideo``: Docs only build to bring up-to-date with public docs.
* api-change:``location``: Remove default value and allow nullable for request parameters having minimum value larger than zero.
* api-change:``medialive``: MediaLive has now added support for per-output static image overlay.
* api-change:``mgn``: Removed invalid and unnecessary default values.
* api-change:``osis``: Add support for enabling a persistent buffer when creating or updating an OpenSearch Ingestion pipeline. Add tags to Pipeline and PipelineSummary response models.
* api-change:``pipes``: TargetParameters now properly supports BatchJobParameters.ArrayProperties.Size and BatchJobParameters.RetryStrategy.Attempts being optional, and EcsTaskParameters.Overrides.EphemeralStorage.SizeInGiB now properly required when setting EphemeralStorage
* api-change:``rds``: This release adds support for option groups and replica enhancements to Amazon RDS Custom.
* api-change:``redshift-serverless``: Updated SDK for Amazon Redshift Serverless, which provides the ability to configure a connection with IAM Identity Center to manage user and group access to databases.
* api-change:``redshift``: Updated SDK for Amazon Redshift, which you can use to configure a connection with IAM Identity Center to manage access to databases. With these, you can create a connection through a managed application. You can also change a managed application, delete it, or get information about an existing one.
* api-change:``s3``: Removes all default 0 values for numbers and false values for booleans
* api-change:``sso-admin``: Improves support for configuring RefreshToken and TokenExchange grants on applications.
* api-change:``sso-oidc``: Adding support for `sso-oauth:CreateTokenWithIAM`.
* api-change:``sts``: API updates for the AWS Security Token Service
* api-change:``trustedadvisor``: AWS Trusted Advisor introduces new APIs to enable you to programmatically access Trusted Advisor best practice checks, recommendations, and prioritized recommendations. Trusted Advisor APIs enable you to integrate Trusted Advisor with your operational tools to automate your workloads.
* api-change:``verifiedpermissions``: Adding BatchIsAuthorized API which supports multiple authorization requests against a PolicyStore
* api-change:``wisdom``: This release adds QuickResponse as a new Wisdom resource and Wisdom APIs for import, create, read, search, update and delete QuickResponse resources.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.30.2
======

* api-change:``codecatalyst``: This release includes updates to the Dev Environment APIs to include an optional vpcConnectionName parameter that supports using Dev Environments with Amazon VPC.
* api-change:``dlm``: This release adds support for Amazon Data Lifecycle Manager default policies for EBS snapshots and EBS-backed AMIs.
* api-change:``ec2``: Enable use of tenant-specific PublicSigningKeyUrl from device trust providers and onboard jumpcloud as a new device trust provider.
* api-change:``fsx``: Enables customers to update their PerUnitStorageThroughput on their Lustre file systems.
* api-change:``glue``: Introduces new column statistics APIs to support statistics generation for tables within the Glue Data Catalog.
* api-change:``imagebuilder``: This release adds the Image Lifecycle Management feature to automate the process of deprecating, disabling and deleting outdated images and their associated resources.
* api-change:``iot``: GA release the ability to index and search devices based on their GeoLocation data. With GeoQueries you can narrow your search to retrieve devices located in the desired geographic boundary.
* api-change:``ivs-realtime``: This release introduces server side composition and recording for stages.
* api-change:``kafka``: Added a new API response field which determines if there is an action required from the customer regarding their cluster.
* api-change:``lambda``: Adds support for logging configuration in Lambda Functions. Customers will have more control how their function logs are captured and to which cloud watch log group they are delivered also.
* api-change:``macie2``: This release adds support for configuring Macie to assume an IAM role when retrieving sample occurrences of sensitive data reported by findings.
* api-change:``mediapackage``: DRM_TOP_LEVEL_COMPACT allows placing content protection elements at the MPD level and referenced at the AdaptationSet level
* api-change:``pinpoint-sms-voice-v2``: Amazon Pinpoint now offers additional operations as part of version 2 of the SMS and voice APIs. This release includes 26 new APIs to create and manage phone number registrations, add verified destination numbers, and request sender IDs.
* api-change:``polly``: Add new engine - long-form - dedicated for longer content, such as news articles, training materials, or marketing videos.
* api-change:``quicksight``: Custom permission support for QuickSight roles; Three new datasources STARBURST, TRINO, BIGQUERY; Lenient mode changes the default behavior to allow for exporting and importing with certain UI allowed errors, Support for permissions and tags export and import.
* api-change:``sagemaker``: Amazon SageMaker Studio now supports Trainium instance types - trn1.2xlarge, trn1.32xlarge, trn1n.32xlarge.
* api-change:``ssm-incidents``: Introduces new APIs ListIncidentFindings and BatchGetIncidentFindings to use findings related to an incident.
* api-change:``ssm``: This release introduces the ability to filter automation execution steps which have parent steps. In addition, runbook variable information is returned by GetAutomationExecution and parent step information is returned by the DescribeAutomationStepExecutions API.
* api-change:``sso-admin``: Instances bound to a single AWS account, API operations for managing instances and applications, and assignments to applications are now supported. Trusted identity propagation is also supported, with new API operations for managing trusted token issuers and application grants and scopes.
* api-change:``transfer``: Introduced S3StorageOptions for servers to enable directory listing optimizations and added Type fields to logical directory mappings.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.30.1
======

* api-change:``autoscaling``: This release introduces Instance Maintenance Policy, a new EC2 Auto Scaling capability that allows customers to define whether instances are launched before or after existing instances are terminated during instance replacement operations.
* api-change:``cloudtrail``: The Lake Repricing feature lets customers configure a BillingMode for an event data store. The BillingMode determines the cost for ingesting and storing events and the default and maximum retention period for the event data store.
* api-change:``codecatalyst``: This release adds functionality for retrieving information about workflows and workflow runs and starting workflow runs in Amazon CodeCatalyst.
* api-change:``ec2``: AWS EBS now supports Snapshot Lock, giving users the ability to lock an EBS Snapshot to prohibit deletion of the snapshot. This release introduces the LockSnapshot, UnlockSnapshot & DescribeLockedSnapshots APIs to manage lock configuration for snapshots. The release also includes the dl2q_24xlarge.
* api-change:``finspace-data``: Adding deprecated trait to APIs in this name space.
* api-change:``finspace``: Adding deprecated trait on Dataset Browser Environment APIs
* api-change:``lambda``: Add Java 21 (java21) support to AWS Lambda
* api-change:``mwaa``: This Amazon MWAA release adds support for customer-managed VPC endpoints. This lets you choose whether to create, and manage your environment's VPC endpoints, or to have Amazon MWAA create, and manage them for you.
* api-change:``rds``: Updates Amazon RDS documentation for support for upgrading RDS for MySQL snapshots from version 5.7 to version 8.0.
* api-change:``redshift``: The custom domain name SDK for Amazon Redshift provisioned clusters is updated with additional required parameters for modify and delete operations. Additionally, users can provide domain names with longer top-level domains.
* api-change:``s3control``: Add 5 APIs to create, update, get, list, delete S3 Storage Lens group(eg. CreateStorageLensGroup), 3 APIs for tagging(TagResource,UntagResource,ListTagsForResource), and update to StorageLensConfiguration to allow metrics to be aggregated on Storage Lens groups.
* api-change:``ssm-sap``: Update the default value of MaxResult to 50.


1.30.0
======

* api-change:``backup``: AWS Backup - Features: Provide Job Summary for your backup activity.
* api-change:``cleanrooms``: This feature provides the ability for the collaboration creator to configure either the member who can run queries or a different member in the collaboration to be billed for query compute costs.
* api-change:``connect``: Introducing SegmentAttributes parameter for StartChatContact API
* api-change:``glue``: Introduces new storage optimization APIs to support automatic compaction of Apache Iceberg tables.
* api-change:``iot``: This release introduces new attributes in API CreateSecurityProfile, UpdateSecurityProfile and DescribeSecurityProfile to support management of Metrics Export for AWS IoT Device Defender Detect.
* api-change:``lambda``: Add Python 3.12 (python3.12) support to AWS Lambda
* api-change:``mediatailor``: Removed unnecessary default values.
* api-change:``pipes``: Added support (via new LogConfiguration field in CreatePipe and UpdatePipe APIs) for logging to Amazon CloudWatch Logs, Amazon Simple Storage Service (Amazon S3), and Amazon Kinesis Data Firehose
* api-change:``resource-explorer-2``: Resource Explorer supports multi-account search. You can now use Resource Explorer to search and discover resources across AWS accounts within your organization or organizational unit.
* api-change:``sagemaker``: This release makes Model Registry Inference Specification fields as not required.
* api-change:``signer``: Documentation updates for AWS Signer
* api-change:``stepfunctions``: Update stepfunctions command to latest version
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version
* feature:ContainerProvider: Added Support for EKS container credentials


1.29.85
=======

* api-change:``dataexchange``: Removed Required trait for DataSet.OriginDetails.ProductId.
* api-change:``dms``: Added new Db2 LUW Target endpoint with related endpoint settings. New executeTimeout endpoint setting for mysql endpoint. New ReplicationDeprovisionTime field for serverless describe-replications.
* api-change:``ec2``: Adds the new EC2 DescribeInstanceTopology API, which you can use to retrieve the network topology of your running instances on select platform types to determine their relative proximity to each other.
* api-change:``ecs``: Adds a Client Token parameter to the ECS RunTask API. The Client Token parameter allows for idempotent RunTask requests.
* api-change:``emr``: Update emr command to latest version
* api-change:``servicecatalog-appregistry``: When the customer associates a resource collection to their application with this new feature, then a new application tag will be applied to all supported resources that are part of that collection. This allows customers to more easily find the application that is associated with those resources.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.84
=======

* api-change:``controltower``: AWS Control Tower supports tagging for enabled controls. This release introduces TagResource, UntagResource and ListTagsForResource APIs to manage tags in existing enabled controls. It updates EnabledControl API to tag resources at creation time.
* api-change:``cur``: This release adds support for tagging and customers can now tag report definitions. Additionally, ReportStatus is now added to report definition to show when the last delivered time stamp and if it succeeded or not.
* api-change:``ec2``: EC2 adds API updates to enable ENA Express at instance launch time.
* api-change:``fms``: Adds optimizeUnassociatedWebACL flag to ManagedServiceData, updates third-party firewall examples, and other minor documentation updates.
* api-change:``marketplace-entitlement``: Update marketplace-entitlement command to latest version
* api-change:``mediaconvert``: This release includes the ability to specify any input source as the primary input for corresponding follow modes, and allows users to specify fit and fill behaviors without resizing content.
* api-change:``rds``: Updates Amazon RDS documentation for zero-ETL integrations.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.83
=======

* api-change:``cloudformation``: Added new ConcurrencyMode feature for AWS CloudFormation StackSets for faster deployments to target accounts.
* api-change:``cloudtrail``: The Insights in Lake feature lets customers enable CloudTrail Insights on a source CloudTrail Lake event data store and create a destination event data store to collect Insights events based on unusual management event activity in the source event data store.
* api-change:``comprehend``: This release adds support for toxicity detection and prompt safety classification.
* api-change:``connect``: This release adds the ability to integrate customer lambda functions with Connect attachments for scanning and updates the ListIntegrationAssociations API to support filtering on IntegrationArn.
* api-change:``ec2``: AWS EBS now supports Block Public Access for EBS Snapshots. This release introduces the EnableSnapshotBlockPublicAccess, DisableSnapshotBlockPublicAccess and GetSnapshotBlockPublicAccessState APIs to manage account-level public access settings for EBS Snapshots in an AWS Region.
* api-change:``eks``: Adding EKS Anywhere subscription related operations.
* api-change:``lambda``: Add Custom runtime on Amazon Linux 2023 (provided.al2023) support to AWS Lambda.
* api-change:``logs``: Update to support new APIs for delivery of logs from AWS services.
* api-change:``omics``: Support UBAM filetype for Omics Storage and make referenceArn optional
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.82
=======

* api-change:``sqs``: This release enables customers to call SQS using AWS JSON-1.0 protocol and bug fix.


1.29.81
=======

* api-change:``connect``: This release clarifies in our public documentation that InstanceId is a requirement for SearchUsers API requests.
* api-change:``connectcases``: This release adds the ability to add/view comment authors through CreateRelatedItem and SearchRelatedItems API. For more information see https://docs.aws.amazon.com/cases/latest/APIReference/Welcome.html
* api-change:``datasync``: This change allows for 0 length access keys and secret keys for object storage locations. Users can now pass in empty string credentials.
* api-change:``guardduty``: Added API support for new GuardDuty EKS Audit Log finding types.
* api-change:``lambda``: Add Node 20 (nodejs20.x) support to AWS Lambda.
* api-change:``lexv2-models``: Update lexv2-models command to latest version
* api-change:``omics``: Adding Run UUID and Run Output URI: GetRun and StartRun API response has two new fields "uuid" and "runOutputUri".
* api-change:``rds``: This Amazon RDS release adds support for patching the OS of an RDS Custom for Oracle DB instance. You can now upgrade the database or operating system using the modify-db-instance command.
* api-change:``redshift-serverless``: Added a new parameter in the workgroup that helps you control your cost for compute resources. This feature provides a ceiling for RPUs that Amazon Redshift Serverless can scale up to. When automatic compute scaling is required, having a higher value for MaxRPU can enhance query throughput.
* api-change:``resiliencehub``: AWS Resilience Hub enhances Resiliency Score, providing actionable recommendations to improve application resilience. Amazon Elastic Kubernetes Service (EKS) operational recommendations have been added to help improve the resilience posture of your applications.
* api-change:``sqs``: This release enables customers to call SQS using AWS JSON-1.0 protocol.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.80
=======

* bugfix:``help``: Relax line length limit for rendered ``help`` pages
* api-change:``dataexchange``: Updated SendDataSetNotificationRequest Comment to be maximum length 4096.
* api-change:``dlm``: Added support for pre and post scripts in Amazon Data Lifecycle Manager EBS snapshot lifecycle policies.
* api-change:``rds``: This Amazon RDS release adds support for the multi-tenant configuration. In this configuration, an RDS DB instance can contain multiple tenant databases. In RDS for Oracle, a tenant database is a pluggable database (PDB).
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.79
=======

* api-change:``ce``: This release extends the GetReservationPurchaseRecommendation API to support recommendations for Amazon MemoryDB reservations.
* api-change:``codebuild``: AWS CodeBuild now supports AWS Lambda compute.
* api-change:``connect``: Added new API that allows Amazon Connect Outbound Campaigns to create contacts in Amazon Connect when ingesting your dial requests.
* api-change:``docdb``: Update the input of CreateDBInstance and ModifyDBInstance to support setting CA Certificates. Update the output of DescribeDBInstance and DescribeDBEngineVersions to show current and supported CA certificates.
* api-change:``iam``: Add partitional endpoint for iso-e.
* api-change:``mwaa``: This release adds support for Apache Airflow version 2.7.2. This version release includes support for deferrable operators and triggers.
* api-change:``polly``: Amazon Polly adds new US English voices - Danielle and Gregory. Danielle and Gregory are available as Neural voices only.
* api-change:``route53``: Add partitional endpoints for iso-e and iso-f.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.78
=======

* api-change:``config``: Updated ResourceType enum with new resource types onboarded by AWS Config in October 2023.
* api-change:``connect``: Amazon Connect Chat introduces Create Persistent Contact Association API, allowing customers to choose when to resume previous conversations from previous chats, eliminating the need to repeat themselves and allowing agents to provide personalized service with access to entire conversation history.
* api-change:``iotwireless``: Added LoRaWAN version 1.0.4 support
* api-change:``launch-wizard``: AWS Launch Wizard is a service that helps reduce the time it takes to deploy applications to the cloud while providing a guided deployment experience.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.77
=======

* api-change:``apprunner``: AWS App Runner now supports using dual-stack address type for the public endpoint of your incoming traffic.
* api-change:``connect``: GetMetricDataV2 API: Update to include new metrics PERCENT_NON_TALK_TIME, PERCENT_TALK_TIME, PERCENT_TALK_TIME_AGENT, PERCENT_TALK_TIME_CUSTOMER
* api-change:``gamelift``: Amazon GameLift adds support for shared credentials, which allows applications that are deployed on managed EC2 fleets to interact with other AWS resources.
* api-change:``glue``: This release introduces Google BigQuery Source and Target in AWS Glue CodeGenConfigurationNode.
* api-change:``network-firewall``: This release introduces the stateless rule analyzer, which enables you to analyze your stateless rules for asymmetric routing.
* api-change:``quicksight``: This release introduces Float Decimal Type as SubType in QuickSight SPICE datasets and Custom week start and Custom timezone options in Analysis and Dashboard
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.76
=======

* api-change:``connect``: Adds the BatchGetFlowAssociation API which returns flow associations (flow-resource) corresponding to the list of resourceArns supplied in the request. This release also adds IsDefault, LastModifiedRegion and LastModifiedTime fields to the responses of several Describe and List APIs.
* api-change:``globalaccelerator``: Global Accelerator now support accelerators with cross account endpoints.
* api-change:``rds``: This release adds support for customized networking resources to Amazon RDS Custom.
* api-change:``redshift``: Added support for Multi-AZ deployments for Provisioned RA3 clusters that provide 99.99% SLA availability.
* api-change:``sagemaker``: Support for batch transform input in Model dashboard


1.29.75
=======

* api-change:``amplify``: Add backend field to CreateBranch and UpdateBranch requests. Add pagination support for ListApps, ListDomainAssociations, ListBranches, and ListJobs
* api-change:``application-insights``: Automate attaching managed policies
* api-change:``ec2``: Capacity Blocks for ML are a new EC2 purchasing option for reserving GPU instances on a future date to support short duration machine learning (ML) workloads. Capacity Blocks automatically place instances close together inside Amazon EC2 UltraClusters for low-latency, high-throughput networking.
* api-change:``m2``: Added name filter ability for ListDataSets API, added ForceUpdate for Updating environment and BatchJob submission using S3BatchJobIdentifier
* api-change:``neptunedata``: Minor change to not retry CancelledByUserException
* api-change:``translate``: Added support for Brevity translation settings feature.


1.29.74
=======

* api-change:``connect``: This release adds InstanceId field for phone number APIs.
* api-change:``dataexchange``: We added a new API action: SendDataSetNotification.
* api-change:``datasync``: Platform version changes to support AL1 deprecation initiative.
* api-change:``finspace``: Introducing new API UpdateKxClusterCodeConfiguration, introducing new cache types for clusters and introducing new deployment modes for updating clusters.
* api-change:``mediapackagev2``: This feature allows customers to create a combination of manifest filtering, startover and time delay configuration that applies to all egress requests by default.
* api-change:``rds``: This release launches the CreateIntegration, DeleteIntegration, and DescribeIntegrations APIs to manage zero-ETL Integrations.
* api-change:``redshift-serverless``: Added support for custom domain names for Amazon Redshift Serverless workgroups. This feature enables customers to create a custom domain name and use ACM to generate fully secure connections to it.
* api-change:``resiliencehub``: Introduced the ability to filter applications by their last assessment date and time and have included metrics for the application's estimated workload Recovery Time Objective (RTO) and estimated workload Recovery Point Objective (RPO).
* api-change:``s3outposts``: Updated ListOutpostsWithS3 API response to include S3OutpostArn for use with AWS RAM.
* api-change:``wisdom``: This release added necessary API documents on creating a Wisdom knowledge base to integrate with S3.


1.29.73
=======

* api-change:``emr``: Update emr command to latest version
* api-change:``neptune``: Update TdeCredentialPassword type to SensitiveString
* api-change:``pinpoint``: Updated documentation to describe the case insensitivity for EndpointIds.
* api-change:``redshift``: added support to create a dual stack cluster
* api-change:``wafv2``: Updates the descriptions for the calls that manage web ACL associations, to provide information for customer-managed IAM policies.


1.29.72
=======

* api-change:``appstream``: This release introduces multi-session fleets, allowing customers to provision more than one user session on a single fleet instance.
* api-change:``ec2``: Launching GetSecurityGroupsForVpc API. This API gets security groups that can be associated by the AWS account making the request with network interfaces in the specified VPC.
* api-change:``network-firewall``: Network Firewall now supports inspection of outbound SSL/TLS traffic.
* api-change:``opensearch``: You can specify ipv4 or dualstack IPAddressType for cluster endpoints. If you specify IPAddressType as dualstack, the new endpoint will be visible under the 'EndpointV2' parameter and will support IPv4 and IPv6 requests. Whereas, the 'Endpoint' will continue to serve IPv4 requests.
* api-change:``redshift``: Add Redshift APIs GetResourcePolicy, DeleteResourcePolicy, PutResourcePolicy and DescribeInboundIntegrations for the new Amazon Redshift Zero-ETL integration feature, which can be used to control data ingress into Redshift namespace, and view inbound integrations.
* api-change:``sagemaker``: Amazon Sagemaker Autopilot now supports Text Generation jobs.
* api-change:``sns``: Message Archiving and Replay is now supported in Amazon SNS for FIFO topics.
* api-change:``ssm-sap``: AWS Systems Manager for SAP added support for registration and discovery of SAP ABAP applications
* api-change:``transfer``: No API changes from previous release. This release migrated the model to Smithy keeping all features unchanged.
* api-change:``endpoint-rules``: Update endpoint-rules command to latest version


1.29.71
=======

* api-change:``connectcases``: Increase maximum length of CommentBody to 3000, and increase maximum length of StringValue to 1500
* api-change:``groundstation``: This release will allow KMS alias names to be used when creating Mission Profiles
* api-change:``iam``: Updates to GetAccessKeyLastUsed action to replace NoSuchEntity error with AccessDeniedException error.


1.29.70
=======

* api-change:``codepipeline``: Add ability to trigger pipelines from git tags, define variables at pipeline level and new pipeline type V2.
* api-change:``ec2``: This release updates the documentation for InstanceInterruptionBehavior and HibernationOptionsRequest to more accurately describe the behavior of these two parameters when using Spot hibernation.
* api-change:``eks``: Added support for Cluster Subnet and Security Group mutability.
* api-change:``iam``: Add the partitional endpoint for IAM in iso-f.
* api-change:``migrationhub-config``: This release introduces DeleteHomeRegionControl API that customers can use to delete the Migration Hub Home Region configuration
* api-change:``migrationhubstrategy``: This release introduces multi-data-source feature in Migration Hub Strategy Recommendations. This feature now supports vCenter as a data source to fetch inventory in addition to ADS and Import from file workflow that is currently supported with MHSR collector.
* api-change:``opensearchserverless``: This release includes the following new APIs: CreateLifecyclePolicy, UpdateLifecyclePolicy, BatchGetLifecyclePolicy, DeleteLifecyclePolicy, ListLifecyclePolicies and BatchGetEffectiveLifecyclePolicy to support the data lifecycle management feature.


1.29.69
=======

* api-change:``marketplacecommerceanalytics``: The StartSupportDataExport operation has been deprecated as part of the Product Support Connection deprecation. As of December 2022, Product Support Connection is no longer supported.
* api-change:``networkmanager``: This release adds API support for Tunnel-less Connect (NoEncap Protocol) for AWS Cloud WAN
* api-change:``redshift-serverless``: This release adds support for customers to see the patch version and workgroup version in Amazon Redshift Serverless.
* api-change:``rekognition``: Amazon Rekognition introduces StartMediaAnalysisJob, GetMediaAnalysisJob, and ListMediaAnalysisJobs operations to run a bulk analysis of images with a Detect Moderation model.


1.29.68
=======

* api-change:``appconfig``: Update KmsKeyIdentifier constraints to support AWS KMS multi-Region keys.
* api-change:``appintegrations``: Updated ScheduleConfig to be an optional input to CreateDataIntegration to support event driven downloading of files from sources such as Amazon s3 using Amazon Connect AppIntegrations.
* api-change:``connect``: This release adds support for updating phone number metadata, such as phone number description.
* api-change:``discovery``: This release introduces three new APIs: StartBatchDeleteConfigurationTask, DescribeBatchDeleteConfigurationTask, and BatchDeleteAgents.
* api-change:``medical-imaging``: Updates on documentation links
* api-change:``ssm``: This release introduces a new API: DeleteOpsItem. This allows deletion of an OpsItem.


1.29.67
=======

* api-change:``ec2``: Amazon EC2 C7a instances, powered by 4th generation AMD EPYC processors, are ideal for high performance, compute-intensive workloads such as high performance computing. Amazon EC2 R7i instances are next-generation memory optimized and powered by custom 4th Generation Intel Xeon Scalable processors.
* api-change:``managedblockchain-query``: This release adds support for Ethereum Sepolia network
* api-change:``neptunedata``: Doc changes to add IAM action mappings for the data actions.
* api-change:``omics``: This change enables customers to retrieve failure reasons with detailed status messages for their failed runs
* api-change:``opensearch``: Added Cluster Administrative options for node restart, opensearch process restart and opensearch dashboard restart for Multi-AZ without standby domains
* api-change:``quicksight``: This release adds the following: 1) Trino and Starburst Database Connectors 2) Custom total for tables and pivot tables 3) Enable restricted folders 4) Add rolling dates for time equality filters 5) Refine DataPathValue and introduce DataPathType 6) Add SeriesType to ReferenceLineDataConfiguration
* api-change:``secretsmanager``: Documentation updates for Secrets Manager
* api-change:``servicecatalog``: Introduce support for EXTERNAL product and provisioning artifact type in CreateProduct and CreateProvisioningArtifact APIs.
* api-change:``verifiedpermissions``: Improving Amazon Verified Permissions Create experience
* api-change:``workspaces``: Documentation updates for WorkSpaces


1.29.66
=======

* api-change:``cloud9``: Update to imageId parameter behavior and dates updated.
* api-change:``dynamodb``: Updating descriptions for several APIs.
* api-change:``kendra``: Changes for a new feature in Amazon Kendra's Query API to Collapse/Expand query results
* api-change:``rds``: This release adds support for upgrading the storage file system configuration on the DB instance using a blue/green deployment or a read replica.
* api-change:``wisdom``: This release adds an max limit of 25 recommendation ids for NotifyRecommendationsReceived API.


1.29.65
=======

* api-change:``codepipeline``: Add retryMode ALL_ACTIONS to RetryStageExecution API that retries a failed stage starting from first action in the stage
* api-change:``discovery``: This release introduces three new APIs: StartBatchDeleteConfigurationTask, DescribeBatchDeleteConfigurationTask, and BatchDeleteAgents.
* api-change:``ecs``: Documentation only updates to address Amazon ECS tickets.
* api-change:``globalaccelerator``: Fixed error where ListCustomRoutingEndpointGroups did not have a paginator
* api-change:``guardduty``: Add domainWithSuffix finding field to dnsRequestAction
* api-change:``kafka``: AWS Managed Streaming for Kafka is launching MSK Replicator, a new feature that enables customers to reliably replicate data across Amazon MSK clusters in same or different AWS regions. You can now use SDK to create, list, describe, delete, update, and manage tags of MSK Replicators.
* api-change:``route53-recovery-cluster``: Adds Owner field to ListRoutingControls API.
* api-change:``route53-recovery-control-config``: Adds permissions for GetResourcePolicy to support returning details about AWS Resource Access Manager resource policies for shared resources.


1.29.64
=======

* api-change:``cloudformation``: SDK and documentation updates for UpdateReplacePolicy
* api-change:``drs``: Updated exsiting API to allow AWS Elastic Disaster Recovery support of launching recovery into existing EC2 instances.
* api-change:``entityresolution``: This launch expands our matching techniques to include provider-based matching to help customer match, link, and enhance records with minimal data movement. With data service providers, we have removed the need for customers to build bespoke integrations,.
* api-change:``managedblockchain-query``: This release introduces two new APIs: GetAssetContract and ListAssetContracts. This release also adds support for Bitcoin Testnet.
* api-change:``mediapackagev2``: This release allows customers to manage MediaPackage v2 resource using CloudFormation.
* api-change:``opensearch``: This release allows customers to list and associate optional plugin packages with compatible Amazon OpenSearch Service clusters for enhanced functionality.
* api-change:``redshift-serverless``: Added support for managing credentials of serverless namespace admin using AWS Secrets Manager.
* api-change:``redshift``: Added support for managing credentials of provisioned cluster admin using AWS Secrets Manager.
* api-change:``sesv2``: This release provides enhanced visibility into your SES identity verification status. This will offer you more actionable insights, enabling you to promptly address any verification-related issues.
* api-change:``transfer``: Documentation updates for AWS Transfer Family
* api-change:``xray``: This releases enhances GetTraceSummaries API to support new TimeRangeType Service to query trace summaries by segment end time.


1.29.63
=======

* api-change:``auditmanager``: This release introduces a new limit to the awsAccounts parameter. When you create or update an assessment, there is now a limit of 200 AWS accounts that can be specified in the assessment scope.
* api-change:``autoscaling``: Update the NotificationMetadata field to only allow visible ascii characters. Add paginators to DescribeInstanceRefreshes, DescribeLoadBalancers, and DescribeLoadBalancerTargetGroups
* api-change:``config``: Add enums for resource types supported by Config
* api-change:``controltower``: Added new EnabledControl resource details to ListEnabledControls API and added new GetEnabledControl API.
* api-change:``customer-profiles``: Adds sensitive trait to various shapes in Customer Profiles Calculated Attribute API model.
* api-change:``ec2``: This release adds Ubuntu Pro as a supported platform for On-Demand Capacity Reservations and adds support for setting an Amazon Machine Image (AMI) to disabled state. Disabling the AMI makes it private if it was previously shared, and prevents new EC2 instance launches from it.
* api-change:``elbv2``: Update elbv2 command to latest version
* api-change:``glue``: Extending version control support to GitLab and Bitbucket from AWSGlue
* api-change:``inspector2``: Add MacOs ec2 platform support
* api-change:``ivs-realtime``: Update GetParticipant to return additional metadata.
* api-change:``lambda``: Adds support for Lambda functions to access Dual-Stack subnets over IPv6, via an opt-in flag in CreateFunction and UpdateFunctionConfiguration APIs
* api-change:``location``: This release adds endpoint updates for all AWS Location resource operations.
* api-change:``machinelearning``: This release marks Password field as sensitive
* api-change:``pricing``: Documentation updates for Price List
* api-change:``rds``: This release adds support for adding a dedicated log volume to open-source RDS instances.
* api-change:``rekognition``: Amazon Rekognition introduces support for Custom Moderation. This allows the enhancement of accuracy for detect moderation labels operations by creating custom adapters tuned on customer data.
* api-change:``sagemaker``: Amazon SageMaker Canvas adds KendraSettings and DirectDeploySettings support for CanvasAppSettings
* api-change:``textract``: This release adds 9 new APIs for adapter and adapter version management, 3 new APIs for tagging, and updates AnalyzeDocument and StartDocumentAnalysis API parameters for using adapters.
* api-change:``transcribe``: This release is to enable m4a format to customers
* api-change:``workspaces``: Updated the CreateWorkspaces action documentation to clarify that the PCoIP protocol is only available for Windows bundles.


1.29.62
=======

* api-change:``ec2``: Documentation updates for Elastic Compute Cloud (EC2).
* api-change:``fsx``: After performing steps to repair the Active Directory configuration of a file system, use this action to initiate the process of attempting to recover to the file system.
* api-change:``marketplace-catalog``: This release adds support for Document type as an alternative for stringified JSON for StartChangeSet, DescribeChangeSet and DescribeEntity APIs
* api-change:``quicksight``: NullOption in FilterListConfiguration; Dataset schema/table max length increased; Support total placement for pivot table visual; Lenient mode relaxes the validation to create resources with definition; Data sources can be added to folders; Redshift data sources support IAM Role-based authentication
* api-change:``transfer``: This release updates the max character limit of PreAuthenticationLoginBanner and PostAuthenticationLoginBanner to 4096 characters


1.29.61
=======

* api-change:``omics``: Add Etag Support for Omics Storage in ListReadSets and GetReadSetMetadata API
* api-change:``rds``: Updates Amazon RDS documentation for corrections and minor improvements.
* api-change:``route53``: Add hostedzonetype filter to ListHostedZones API.
* api-change:``securityhub``: Added new resource detail objects to ASFF, including resources for AwsEventsEventbus, AwsEventsEndpoint, AwsDmsEndpoint, AwsDmsReplicationTask, AwsDmsReplicationInstance, AwsRoute53HostedZone, and AwsMskCluster
* api-change:``storagegateway``: Add SoftwareVersion to response of DescribeGatewayInformation.
* api-change:``workspaces``: This release introduces Manage applications. This feature allows users to manage their WorkSpaces applications by associating or disassociating their WorkSpaces with applications. The DescribeWorkspaces API will now additionally return OperatingSystemName in its responses.


1.29.60
=======

* api-change:``appconfig``: AWS AppConfig introduces KMS customer-managed key (CMK) encryption support for data saved to AppConfig's hosted configuration store.
* api-change:``datazone``: Initial release of Amazon DataZone
* api-change:``mediatailor``: Updates DescribeVodSource to include a list of ad break opportunities in the response
* api-change:``mgn``: This release includes the following new APIs: ListConnectors, CreateConnector,  UpdateConnector, DeleteConnector and UpdateSourceServer to support the source action framework feature.
* api-change:``sagemaker``: Adding support for AdditionalS3DataSource, a data source used for training or inference that is in addition to the input dataset or model data.


1.29.59
=======

* api-change:``connect``: GetMetricDataV2 API: Update to include new metrics CONTACTS_RESOLVED_IN_X , AVG_HOLD_TIME_ALL_CONTACTS , AVG_RESOLUTION_TIME , ABANDONMENT_RATE , AGENT_NON_RESPONSE_WITHOUT_CUSTOMER_ABANDONS with added features: Interval Period, TimeZone, Negate MetricFilters, Extended date time range.
* api-change:``location``: Amazon Location Service adds support for bounding polygon queries. Additionally, the GeofenceCount field has been added to the DescribeGeofenceCollection API response.
* api-change:``mediaconvert``: This release adds the ability to replace video frames without modifying the audio essence.
* api-change:``oam``: This release adds support for sharing AWS::ApplicationInsights::Application resources.
* api-change:``sagemaker``: This release allows users to run Selective Execution in SageMaker Pipelines without SourcePipelineExecutionArn if selected steps do not have any dependent steps.
* api-change:``wellarchitected``: AWS Well-Architected now supports Review Templates that allows you to create templates with pre-filled answers for Well-Architected and Custom Lens best practices.


1.29.58
=======

* api-change:``bedrock-runtime``: Add model timeout exception for InvokeModelWithResponseStream API and update validator for invoke model identifier.
* api-change:``bedrock``: Provisioned throughput feature with Amazon and third-party base models, and update validators for model identifier and taggable resource ARNs.
* api-change:``ec2``: Introducing Amazon EC2 R7iz instances with 3.9 GHz sustained all-core turbo frequency and deliver up to 20% better performance than previous generation z1d instances.
* api-change:``managedblockchain``: Remove Rinkeby as option from Ethereum APIs
* api-change:``rds``: Adds DefaultCertificateForNewLaunches field in the DescribeCertificates API response.
* api-change:``sso``: Fix FIPS Endpoints in aws-us-gov.
* api-change:``sts``: STS API updates for assumeRole
* api-change:``transfer``: Documentation updates for AWS Transfer Family


1.29.57
=======

* api-change:``bedrock``: Model Invocation logging added to enable or disable logs in customer account. Model listing and description support added. Provisioned Throughput feature added. Custom model support added for creating custom models. Also includes list, and delete functions for custom model.
* api-change:``bedrock-runtime``: Run Inference: Added support to run the inference on models.  Includes set of APIs for running inference in streaming and non-streaming mode.
* api-change:``budgets``: Update DescribeBudgets and DescribeBudgetNotificationsForAccount MaxResults limit to 1000.
* api-change:``ec2``: Adds support for Customer Managed Key encryption for Amazon Verified Access resources
* api-change:``iotfleetwise``: AWS IoT FleetWise now supports encryption through a customer managed AWS KMS key. The PutEncryptionConfiguration and GetEncryptionConfiguration APIs were added.
* api-change:``sagemaker``: Online store feature groups supports Standard and InMemory tier storage types for low latency storage for real-time data retrieval. The InMemory tier supports collection types List, Set, and Vector.
* api-change:``sagemaker-featurestore-runtime``: Feature Store supports read/write of records with collection type features.
* api-change:``wafv2``: Correct and improve the documentation for the FieldToMatch option JA3 fingerprint.


1.29.56
=======

* api-change:``cognito-idp``: The UserPoolType Status field is no longer used.
* api-change:``firehose``: Features : Adding support for new data ingestion source to Kinesis Firehose - AWS Managed Services Kafka.
* api-change:``iot``: Added support for IoT Rules Engine Kafka Action Headers
* api-change:``textract``: This release adds new feature - Layout to Analyze Document API which can automatically extract layout elements such as titles, paragraphs, headers, section headers, lists, page numbers, footers, table areas, key-value areas and figure areas and order the elements as a human would read.


1.29.55
=======

* api-change:``appintegrations``: The Amazon AppIntegrations service adds a set of APIs (in preview) to manage third party applications to be used in Amazon Connect agent workspace.
* api-change:``apprunner``: This release allows an App Runner customer to specify a custom source directory to run the build & start command. This change allows App Runner to support monorepo based repositories
* api-change:``codedeploy``: CodeDeploy now supports In-place and Blue/Green EC2 deployments with multiple Classic Load Balancers and multiple Target Groups.
* api-change:``connect``: This release updates a set of Amazon Connect APIs that provides the ability to integrate third party applications in the Amazon Connect agent workspace.
* api-change:``dynamodb``: Amazon DynamoDB now supports Incremental Export as an enhancement to the existing Export Table
* api-change:``ec2``: The release includes AWS verified access to support FIPs compliance in North America regions
* api-change:``lakeformation``: This release adds three new API support "CreateLakeFormationOptIn", "DeleteLakeFormationOptIn" and "ListLakeFormationOptIns", and also updates the corresponding documentation.
* api-change:``pinpoint``: Update documentation for RemoveAttributes to more accurately reflect its behavior when attributes are deleted.
* api-change:``s3``: This release adds a new field COMPLETED to the ReplicationStatus Enum. You can now use this field to validate the replication status of S3 objects using the AWS SDK.


1.29.54
=======

* api-change:``amplifyuibuilder``: Support for generating code that is compatible with future versions of amplify project dependencies.
* api-change:``chime-sdk-media-pipelines``: Adds support for sending WebRTC audio to Amazon Kineses Video Streams.
* api-change:``emr-serverless``: This release adds support for application-wide default job configurations.
* api-change:``finspace-data``: Adding sensitive trait to attributes. Change max SessionDuration from 720 to 60. Correct "ApiAccess" attribute to "apiAccess" to maintain consistency between APIs.
* api-change:``quicksight``: Added ability to tag users upon creation.
* api-change:``ssm``: This release updates the enum values for ResourceType in SSM DescribeInstanceInformation input and ConnectionStatus in GetConnectionStatus output.
* api-change:``wafv2``: You can now perform an exact match against the web request's JA3 fingerprint.


1.29.53
=======

* api-change:``braket``: This release adds support to view the device queue depth (the number of queued quantum tasks and hybrid jobs on a device) and queue position for a quantum task and hybrid job.
* api-change:``dms``: new vendors for DMS CSF: MongoDB, MariaDB, DocumentDb and Redshift
* api-change:``ec2``: EC2 M2 Pro Mac instances are powered by Apple M2 Pro Mac Mini computers featuring 12 core CPU, 19 core GPU, 32 GiB of memory, and 16 core Apple Neural Engine and uniquely enabled by the AWS Nitro System through high-speed Thunderbolt connections.
* api-change:``efs``: Update efs command to latest version
* api-change:``guardduty``: Add `EKS_CLUSTER_NAME` to filter and sort key.
* api-change:``mediaconvert``: This release supports the creation of of audio-only tracks in CMAF output groups.


1.29.52
=======

* api-change:``appconfig``: Enabling boto3 paginators for list APIs and adding documentation around ServiceQuotaExceededException errors
* api-change:``apprunner``: This release adds improvements for managing App Runner auto scaling configuration resources. New APIs: UpdateDefaultAutoScalingConfiguration and ListServicesForAutoScalingConfiguration. Updated API: DeleteAutoScalingConfiguration.
* api-change:``codeartifact``: Add support for the Swift package format.
* api-change:``kinesisvideo``: Updated DescribeMediaStorageConfiguration, StartEdgeConfigurationUpdate, ImageGenerationConfiguration$SamplingInterval, and UpdateMediaStorageConfiguration to match AWS Docs.
* api-change:``logs``: Add ClientToken to QueryDefinition CFN Handler in CWL
* api-change:``s3``: Fix an issue where the SDK can fail to unmarshall response due to NumberFormatException
* api-change:``servicediscovery``: Adds a new DiscoverInstancesRevision API and also adds InstanceRevision field to the DiscoverInstances API response.
* api-change:``sso-oidc``: Update FIPS endpoints in aws-us-gov.
* enhancement:``codeartifact login``: Add Swift support for CodeArtifact login command


1.29.51
=======

* api-change:``ec2``: This release adds support for C7i, and R7a instance types.
* api-change:``outposts``: This release adds the InstanceFamilies field to the ListAssets response.
* api-change:``sagemaker``: This release adds support for one-time model monitoring schedules that are executed immediately without delay, explicit data analysis windows for model monitoring schedules and exclude features attributes to remove features from model monitor analysis.


1.29.50
=======

* api-change:``discovery``: Add sensitive protection for customer information
* api-change:``macie2``: This release changes the default managedDataIdentifierSelector setting for new classification jobs to RECOMMENDED. By default, new classification jobs now use the recommended set of managed data identifiers.
* api-change:``workmail``: This release includes four new APIs UpdateUser, UpdateGroup, ListGroupsForEntity and DescribeEntity, along with RemoteUsers and some enhancements to existing APIs.


1.29.49
=======

* api-change:``appstream``: This release introduces app block builder, allowing customers to provision a resource to package applications into an app block
* api-change:``connect``: New rule type (OnMetricDataUpdate) has been added
* api-change:``datasync``: Documentation-only updates for AWS DataSync.
* api-change:``sagemaker``: This release introduces Skip Model Validation for Model Packages


1.29.48
=======

* enhancement:``codeartifact login``: Include stderr output from underlying login tool when subprocess fails
* api-change:``appstream``: This release introduces multi-session fleets, allowing customers to provision more than one user session on a single fleet instance.
* api-change:``cloudformation``: Documentation updates for AWS CloudFormation
* api-change:``entityresolution``: Changed "ResolutionTechniques" and "MappedInputFields" in workflow and schema mapping operations to be required fields.
* api-change:``lookoutequipment``: This release adds APIs for the new scheduled retraining feature.


1.29.47
=======

* api-change:``cloud9``: Update to include information on Ubuntu 18 deprecation.
* api-change:``drs``: Updated existing APIs and added new ones to support using AWS Elastic Disaster Recovery post-launch actions. Added support for new regions.
* api-change:``firehose``: DocumentIdOptions has been added for the Amazon OpenSearch destination.
* api-change:``guardduty``: Add `managementType` field to ListCoverage API response.
* api-change:``internetmonitor``: This release updates the Amazon CloudWatch Internet Monitor API domain name.
* api-change:``ivs-realtime``: Doc only update that changes description for ParticipantToken.
* api-change:``simspaceweaver``: Edited the introductory text for the API reference.
* api-change:``xray``: Add StartTime field in GetTraceSummaries API response for each TraceSummary.


1.29.46
=======

* api-change:``ec2``: This release adds support for restricting public sharing of AMIs through AMI Block Public Access
* api-change:``events``: Update events command to latest version
* api-change:``kendra``: Amazon Kendra now supports confidence score buckets for retrieved passage results using the Retrieve API.


1.29.45
=======

* api-change:``ecr``: This release will have ValidationException be thrown from ECR LifecyclePolicy APIs in regions LifecyclePolicy is not supported, this includes existing Amazon Dedicated Cloud (ADC) regions. This release will also change Tag: TagValue and Tag: TagKey to required.
* api-change:``medialive``: AWS Elemental Link now supports attaching a Link UHD device to a MediaConnect flow.
* api-change:``quicksight``: This release launches new updates to QuickSight KPI visuals - support for sparklines, new templated layout and new targets for conditional formatting rules.


1.29.44
=======

* api-change:``fsx``: Amazon FSx documentation fixes
* api-change:``sagemaker``: Autopilot APIs will now support holiday featurization for Timeseries models. The models will now hold holiday metadata and should be able to accommodate holiday effect during inference.
* api-change:``sso-admin``: Content updates to IAM Identity Center API for China Regions.
* api-change:``workspaces``: A new field "ErrorDetails" will be added to the output of "DescribeWorkspaceImages" API call. This field provides in-depth details about the error occurred during image import process. These details include the possible causes of the errors and troubleshooting information.


1.29.43
=======

* api-change:``neptunedata``: Minor changes to send unsigned requests to Neptune clusters
* api-change:``securityhub``: Documentation updates for AWS Security Hub
* api-change:``simspaceweaver``: BucketName and ObjectKey are now required for the S3Location data type. BucketName is now required for the S3Destination data type.


1.29.42
=======

* api-change:``appflow``: Adding OAuth2.0 support for servicenow connector.
* api-change:``ec2``: This release adds 'outpost' location type to the DescribeInstanceTypeOfferings API, allowing customers that have been allowlisted for outpost to query their offerings in the API.
* api-change:``elbv2``: Update elbv2 command to latest version
* api-change:``medialive``: Adds advanced Output Locking options for Epoch Locking: Custom Epoch and Jam Sync Time
* api-change:``wafv2``: The targeted protection level of the Bot Control managed rule group now provides optional, machine-learning analysis of traffic statistics to detect some bot-related activity. You can enable or disable the machine learning functionality through the API.


1.29.41
=======

* api-change:``billingconductor``: This release adds support for line item filtering in for the custom line item resource.
* api-change:``cloud9``: Added support for Ubuntu 22.04 that was not picked up in a previous Trebuchet request. Doc-only update.
* api-change:``compute-optimizer``: This release adds support to provide recommendations for G4dn and P3 instances that use NVIDIA GPUs.
* api-change:``ec2``: Introducing Amazon EC2 C7gd, M7gd, and R7gd Instances with up to 3.8 TB of local NVMe-based SSD block-level storage. These instances are powered by AWS Graviton3 processors, delivering up to 25% better performance over Graviton2-based instances.
* api-change:``ecs``: Documentation only update for Amazon ECS.
* api-change:``events``: Update events command to latest version
* api-change:``rds``: Add support for feature integration with AWS Backup.
* api-change:``sagemaker``: SageMaker Neo now supports data input shape derivation for Pytorch 2.0  and XGBoost compilation job for cloud instance targets. You can skip DataInputConfig field during compilation job creation. You can also access derived information from model in DescribeCompilationJob response.
* api-change:``vpc-lattice``: This release adds Lambda event structure version config support for LAMBDA target groups. It also adds newline support for auth policies.


1.29.40
=======

* api-change:``chime-sdk-media-pipelines``: This release adds support for the Voice Analytics feature for customer-owned KVS streams as part of the Amazon Chime SDK call analytics.
* api-change:``connect``: Amazon Connect adds the ability to read, create, update, delete, and list view resources, and adds the ability to read, create, delete, and list view versions.
* api-change:``identitystore``: New Identity Store content for China Region launch
* api-change:``neptunedata``: Removed the descriptive text in the introduction.


1.29.39
=======

* api-change:``chime-sdk-media-pipelines``: This release adds support for feature Voice Enhancement for Call Recording as part of Amazon Chime SDK call analytics.
* api-change:``cloudhsm``: Deprecating CloudHSM Classic API Service.
* api-change:``connectcampaigns``: Amazon Connect outbound campaigns has launched agentless dialing mode which enables customers to make automated outbound calls without agent engagement. This release updates three of the campaign management API's to support the new agentless dialing mode and the new dialing capacity field.
* api-change:``connectparticipant``: Amazon Connect Participant Service adds the ability to get a view resource using a view token, which is provided in a participant message, with the release of the DescribeView API.
* api-change:``customer-profiles``: Adds sensitive trait to various shapes in Customer Profiles API model.
* api-change:``ecs``: This release adds support for an account-level setting that you can use to configure the number of days for AWS Fargate task retirement.
* api-change:``grafana``: Marking SAML RoleValues attribute as sensitive and updating VpcConfiguration attributes to match documentation.
* api-change:``health``: Adds new API DescribeEntityAggregatesForOrganization that retrieves entity aggregates across your organization. Also adds support for resource status filtering in DescribeAffectedEntitiesForOrganization, resource status aggregates in the DescribeEntityAggregates response, and new resource statuses.
* api-change:``ivs``: Updated "type" description for CreateChannel, UpdateChannel, Channel, and ChannelSummary.
* api-change:``kafkaconnect``: Minor model changes for Kafka Connect as well as endpoint updates.
* api-change:``payment-cryptography-data``: Make KeyCheckValue field optional when using asymmetric keys as Key Check Values typically only apply to symmetric keys
* api-change:``sagemaker-runtime``: Update sagemaker-runtime command to latest version


1.29.38
=======

* api-change:``appflow``: Add SAP source connector parallel and pagination feature
* api-change:``apprunner``: App Runner adds support for Bitbucket. You can now create App Runner connection that connects to your Bitbucket repositories and deploy App Runner service with the source code stored in a Bitbucket repository.
* api-change:``auditmanager``: This release marks some assessment metadata as sensitive. We added a sensitive trait to the following attributes: assessmentName, emailAddress, scope, createdBy, lastUpdatedBy, and userName.
* api-change:``cleanrooms``: This release decouples member abilities in a collaboration. With this change, the member who can run queries no longer needs to be the same as the member who can receive results.
* api-change:``datasync``: AWS DataSync introduces Task Reports, a new feature that provides detailed reports of data transfer operations for each task execution.
* api-change:``neptunedata``: Allows customers to execute data plane actions like bulk loading graphs, issuing graph queries using Gremlin and openCypher directly from the SDK.
* api-change:``network-firewall``: Network Firewall increasing pagination token string length
* api-change:``pca-connector-ad``: The Connector for AD allows you to use a fully-managed AWS Private CA as a drop-in replacement for your self-managed enterprise CAs without local agents or proxy servers. Enterprises that use AD to manage Windows environments can reduce their private certificate authority (CA) costs and complexity.
* api-change:``sagemaker``: Amazon SageMaker Canvas adds IdentityProviderOAuthSettings support for CanvasAppSettings


1.29.37
=======

* api-change:``cognito-idp``: Added API example requests and responses for several operations. Fixed the validation regex for user pools Identity Provider name.
* api-change:``fsx``: Documentation updates for project quotas.
* api-change:``omics``: Add RetentionMode support for Runs.
* api-change:``sesv2``: Adds support for the new Export and Message Insights features: create, get, list and cancel export jobs; get message insights.


1.29.36
=======

* api-change:``backup``: Add support for customizing time zone for backup window in backup plan rules.
